/*
****************************************************
*************** MAINS ANALYSER V2.0  ***************
****************************************************
written by Vincent Thiernesse
http://www.muselec.fr

*/




#include <Arduino.h>
#include <EEPROM.h>
#include "arduinoFFT.h"
#include <U8g2lib.h>


#ifdef U8X8_HAVE_HW_SPI
#include <SPI.h>
#endif
#ifdef U8X8_HAVE_HW_I2C
#include <Wire.h>
#endif


arduinoFFT FFT = arduinoFFT();

U8G2_ST75256_JLX256160_1_4W_SW_SPI u8g2(U8G2_R0, /* clock=*/ 13, /* data=*/ 11, /* cs=*/ 10, /* dc=*/ 9, /* reset=*/ 8);

int power_grid_voltage = 1;     // 0 for 100V to 127V (20A current sensor) and 1 for 220V to 240V (10A current sensor)
int power_grid_freq = 0;        // 0 for 50Hz and 1 for 60Hz


typedef u8g2_uint_t u8g_uint_t;


const byte range = 0;           // pin for the relay
const byte RUN_STOP = 14;       // pin for the button
const byte bright = 4;          // pin for the backlight

uint8_t screen[10496];

  int   plotted[256];
  int   bbuffer[256];
  float powers[4];
  int   firstvplot=1,firstiplot=1,calibri,calibr = 1;

int  count_analog =0;
int  finished = 0;

byte  show_screen=1,contrast=150,brightness=8,selected=0,windowing=0,period=156;
int   phase=1,cphase;

const uint16_t samples = 256;
double vReal[samples];
double vImag[samples];
int witch_spectrum = 0;

int plot_time = 0,T_cal = 0,varCount = 0,energy_acq = 0,P_cal = 1,time_buf;long analysis_energy,analysis_time;
int P_div[]={1,5,20,100};

const PROGMEM unsigned char image1[] = {      // mysterious image
0x99, 0x99, 0x99, 0x99, 0x9A, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xAA, 0xAB, 0xBA, 0xAA, 0xAB, 
        0xBB, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBA, 0xBB, 0xAA, 0xAA, 0xAA, 0xBA, 0xBA, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBA, 0xBB, 0xBB, 0xAA, 0xBB, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xAB, 0xAA, 0xAA, 0xAB, 0xBA, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xBA, 0xBA, 0xAA, 0xBA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBA, 0xBB, 0xBA, 0xAA, 0xAB, 0xAA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xBA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAB, 0xAB, 0xBB, 0xBB, 0xBA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAB, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xAA, 0xBB, 0xAA, 0xBB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xBA, 0xBA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBA, 0xAB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9,
  0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBB, 0xBA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBB, 0xBB, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,
  0xBB, 0xBB, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAC, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0x9A, 0xAA, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x88, 0x88, 0x99, 0x99, 0x99, 0x98, 0x99, 0x89, 0x99, 0x99, 0x98,
  0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0xA9, 0x99, 0x9A, 0xBA, 0x99, 0x99, 0xAA, 0xAA, 0x99, 0xAB, 0xA9, 0x9A, 0x9A, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 
        0x98, 0x88, 0x99, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x98, 0x98, 0xBB, 0x88, 0x89, 0x88, 0x88, 0x88, 0x9A, 0x98, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
        0x66, 0x67, 0x66, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x65, 0x55, 0x55, 0x56,
  0x55, 0x65, 0x67, 0x88, 0x8A, 0xAA, 0x99, 0x88, 0x89, 0xA7, 0x79, 0xAA, 0xDE, 0xD8, 0x66, 0x7C, 0x85, 0x66, 0x66, 0x66, 0x66, 0x68, 0x96, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x55, 0x55, 0x66, 0x55, 0x55, 0x65, 0x55, 0x55, 0x55, 0x55, 0x54, 0x55, 
        0x55, 0x44, 0x55, 0x55, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x45, 0x44, 0x55, 0x55, 0x55, 0x55, 0x55,
  0x66, 0x66, 0x56, 0x67, 0x88, 0x86, 0x57, 0x75, 0x66, 0x86, 0x79, 0x75, 0x79, 0xA9, 0x54, 0x37, 0xD5, 0x34, 0x44, 0x44, 0x44, 0x44, 0x97, 0x44, 0x44, 0x44, 0x44, 0x44, 0x55, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 
        0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x34, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x43, 0x44, 0x34, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x45, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55,
  0x45, 0x54, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x22, 0x36, 0x45, 0x53, 0x86, 0x47, 0x74, 0x33, 0xAC, 0x33, 0x43, 0x33, 0x33, 0x43, 0x58, 0x74, 0x44, 0x44, 0x44, 0x44, 0x56, 0x44, 0x44, 0x44, 0x44, 0x54, 0x45, 0x45, 0x54, 0x44, 0x44, 0x44, 0x44, 0x44, 
        0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,
  0x33, 0x33, 0x44, 0x43, 0x33, 0x32, 0x22, 0x23, 0x32, 0x22, 0x23, 0x42, 0x43, 0x46, 0xA8, 0x33, 0x3A, 0x93, 0x44, 0x45, 0x66, 0x54, 0x45, 0x87, 0x54, 0x44, 0x45, 0x54, 0x48, 0x64, 0x57, 0x75, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x54, 0x44, 0x44, 0x44, 
        0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x55, 0x44, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55, 0x45, 0x55, 0x54, 0x44, 0x44, 0x44, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55, 0x54, 0x54, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x66, 0x66,
  0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x22, 0x23, 0x32, 0x22, 0x22, 0x22, 0x23, 0x32, 0x36, 0x74, 0x34, 0x66, 0x55, 0x67, 0x78, 0x97, 0x54, 0x57, 0x86, 0x55, 0x55, 0x55, 0x56, 0x85, 0x88, 0x76, 0x56, 0x65, 0x56, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 0x55, 
        0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x45, 0x55, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x44, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x65, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x45, 0x68, 0x53, 0x55, 0x66, 0x55, 0x69, 0x97, 0x55, 0x68, 0x75, 0x55, 0x55, 0x55, 0x77, 0x86, 0x56, 0x66, 0x76, 0x66, 0x66, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 
        0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x66, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x32, 0x22, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x32, 0x22, 0x22, 0x33, 0x22, 0x22, 0x22, 0x33, 0x32, 0x34, 0x44, 0x56, 0x66, 0x79, 0x86, 0x55, 0x88, 0x66, 0x76, 0x66, 0x67, 0x79, 0x66, 0x66, 0x87, 0x66, 0x66, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 
        0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x32, 0x22, 0x22, 0x33, 0x22, 0x22, 0x22, 0x22, 0x23, 0x32, 0x22, 0x33, 0x22, 0x22, 0x22, 0x22, 0x23, 0x33, 0x33, 0x34, 0x66, 0x67, 0xA9, 0x77, 0x69, 0x97, 0x77, 0x77, 0x67, 0x69, 0x86, 0x66, 0x88, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x66, 0x55, 
        0x56, 0x65, 0x65, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x65, 0x55, 0x55, 0x55, 0x56, 0x56, 0x55, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x65, 0x55, 0x55, 0x55, 0x55, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x33, 0x22, 0x22, 0x24, 0x32, 0x22, 0x22, 0x22, 0x22, 0x33, 0x32, 0x33, 0x22, 0x22, 0x23, 0x33, 0x43, 0x23, 0x43, 0x33, 0x34, 0x55, 0x56, 0x67, 0x76, 0x97, 0x55, 0x67, 0x78, 0x78, 0xA7, 0x77, 0x89, 0x66, 0x66, 0x66, 0x66, 0x65, 0x66, 0x66, 0x56, 
        0x65, 0x66, 0x55, 0x56, 0x65, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x65, 0x55, 0x55, 0x65, 0x55, 0x55, 0x55, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x65, 0x56, 0x56, 0x65, 0x55, 0x65, 0x55, 0x66, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x23, 0x22, 0x22, 0x23, 0x42, 0x22, 0x22, 0x22, 0x22, 0x23, 0x33, 0x33, 0x24, 0x22, 0x44, 0x43, 0x34, 0x55, 0x44, 0x44, 0x33, 0x33, 0x33, 0x44, 0x43, 0x43, 0x45, 0x45, 0x57, 0x77, 0x97, 0x68, 0x9A, 0x76, 0x78, 0x86, 0x65, 0x65, 0x66, 0x66, 0x65, 
        0x66, 0x66, 0x55, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x56, 0x55, 0x55, 0x55, 0x56, 0x55, 0x56, 0x56, 0x66, 0x65, 0x66, 0x55, 0x55, 0x55, 0x55, 0x56, 0x56, 0x65, 0x55, 0x55, 0x55, 0x55, 0x66, 0x66, 0x66, 0x56, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x22, 0x32, 0x22, 0x22, 0x43, 0x23, 0x32, 0x22, 0x22, 0x22, 0x22, 0x43, 0x47, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x57, 0x76, 0x43, 0x43, 0x34, 0x33, 0x33, 0x44, 0x43, 0x43, 0x33, 0x67, 0x46, 0x89, 0x78, 0xA5, 0x35, 0x66, 0x66, 0x66, 0x66, 0x65, 
        0x66, 0x66, 0x66, 0x56, 0x55, 0x55, 0x55, 0x55, 0x55, 0x66, 0x65, 0x55, 0x55, 0x55, 0x56, 0x55, 0x56, 0x56, 0x66, 0x66, 0x65, 0x55, 0x55, 0x55, 0x65, 0x66, 0x56, 0x65, 0x55, 0x55, 0x55, 0x56, 0x66, 0x66, 0x65, 0x56, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x22, 0x33, 0x22, 0x22, 0x33, 0x32, 0x43, 0x22, 0x22, 0x22, 0x23, 0x32, 0x57, 0x54, 0x23, 0x33, 0x33, 0x23, 0x33, 0x33, 0x34, 0x43, 0x34, 0x56, 0x54, 0x44, 0x55, 0x55, 0x54, 0x53, 0x48, 0x55, 0x8A, 0x6A, 0xA5, 0x24, 0x66, 0x56, 0x66, 0x56, 0x65, 
        0x66, 0x66, 0x66, 0x66, 0x65, 0x55, 0x55, 0x55, 0x56, 0x55, 0x65, 0x66, 0x55, 0x55, 0x65, 0x55, 0x55, 0x55, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 0x55, 0x65, 0x55, 0x55, 0x65, 0x55, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x33, 0x22, 0x22, 0x33, 0x22, 0x22, 0x33, 0x25, 0x32, 0x23, 0x22, 0x22, 0x33, 0x65, 0x23, 0x33, 0x33, 0x33, 0x32, 0x22, 0x32, 0x22, 0x33, 0x35, 0x56, 0x76, 0x44, 0x45, 0x66, 0x45, 0x76, 0x36, 0x54, 0x5B, 0x87, 0xB8, 0x43, 0x66, 0x55, 0x66, 0x56, 0x65, 
        0x66, 0x65, 0x66, 0x65, 0x56, 0x65, 0x66, 0x65, 0x55, 0x55, 0x55, 0x66, 0x66, 0x55, 0x55, 0x65, 0x55, 0x65, 0x66, 0x66, 0x66, 0x55, 0x55, 0x55, 0x56, 0x66, 0x55, 0x66, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x22, 0x22, 0x22, 0x23, 0x32, 0x22, 0x22, 0x23, 0x64, 0x22, 0x22, 0x22, 0x34, 0x74, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x23, 0x33, 0x33, 0x36, 0x53, 0x47, 0x76, 0x65, 0x48, 0x84, 0x54, 0x28, 0x86, 0x9A, 0x94, 0x46, 0x55, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x65, 0x65, 0x56, 0x55, 0x65, 0x65, 0x55, 0x66, 0x66, 0x65, 0x56, 0x56, 0x65, 0x66, 0x55, 0x66, 0x66, 0x66, 0x55, 0x55, 0x66, 0x55, 0x66, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66,
  0x22, 0x23, 0x33, 0x33, 0x33, 0x32, 0x33, 0x44, 0x57, 0x64, 0x33, 0x22, 0x23, 0x66, 0x33, 0x44, 0x32, 0x33, 0x44, 0x44, 0x45, 0x43, 0x22, 0x33, 0x33, 0x25, 0x73, 0x24, 0x44, 0x55, 0x45, 0x66, 0x44, 0x37, 0x74, 0x7A, 0xA6, 0x35, 0x55, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x56, 0x56, 0x66, 0x66, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x76, 0x66, 0x66, 0x67, 0x77, 0x77,
  0x22, 0x32, 0x22, 0x22, 0x33, 0x33, 0x34, 0x45, 0x56, 0x78, 0x76, 0x55, 0x33, 0x46, 0x75, 0x54, 0x22, 0x22, 0x23, 0x23, 0x33, 0x45, 0x43, 0x33, 0x33, 0x34, 0x46, 0x42, 0x34, 0x44, 0x34, 0x44, 0x53, 0x36, 0x82, 0x47, 0xA8, 0x25, 0x88, 0x56, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77,
  0x22, 0x33, 0x32, 0x22, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x44, 0x54, 0x33, 0x44, 0x44, 0x33, 0x32, 0x33, 0x33, 0x33, 0x32, 0x44, 0x33, 0x33, 0x33, 0x32, 0x24, 0x75, 0x33, 0x44, 0x33, 0x55, 0x33, 0x34, 0x64, 0x26, 0xAB, 0x9A, 0xCC, 0x86, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0x33, 0x23, 0x33, 0x33, 0x32, 0x23, 0x22, 0x22, 0x22, 0x22, 0x32, 0x33, 0x33, 0x34, 0x54, 0x33, 0x22, 0x22, 0x34, 0x33, 0x34, 0x44, 0x44, 0x33, 0x33, 0x33, 0x33, 0x47, 0x84, 0x34, 0x43, 0x36, 0x53, 0x33, 0x34, 0x37, 0xBB, 0x78, 0xCC, 0xB7, 0x67, 0x77, 
        0x77, 0x77, 0x79, 0x86, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x67, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x87,
  0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x22, 0x22, 0x34, 0x43, 0x32, 0x24, 0x43, 0x44, 0x34, 0x55, 0x67, 0x76, 0x69, 0xA8, 0x64, 0x33, 0x33, 0x33, 0x33, 0x45, 0x44, 0x46, 0x65, 0x55, 0x43, 0x54, 0x33, 0x33, 0x44, 0xAD, 0xBB, 0x99, 0xB8, 0x67, 0x77, 
        0x77, 0x77, 0x67, 0x76, 0x77, 0x66, 0x66, 0x66, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x56, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x88, 0x77, 0x77, 0x78, 0x78, 0x88, 0x88,
  0x23, 0x32, 0x33, 0x22, 0x23, 0x22, 0x22, 0x33, 0x32, 0x33, 0x22, 0x22, 0x24, 0x52, 0x22, 0x37, 0x88, 0x98, 0x76, 0x68, 0x9A, 0x99, 0x99, 0x76, 0x53, 0x43, 0x44, 0x55, 0x33, 0x35, 0x65, 0x43, 0x35, 0x43, 0x22, 0x33, 0x4E, 0xFB, 0x89, 0x89, 0x77, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x76, 0x66, 0x65, 0x55, 0x55, 0x77, 0x88, 0x87, 0x66, 0x66, 0x55, 0x56, 0x66, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x87, 0x77, 0x77, 0x78, 0x78, 0x88, 0x88,
  0x33, 0x33, 0x33, 0x22, 0x33, 0x22, 0x22, 0x33, 0x33, 0x32, 0x22, 0x34, 0x33, 0x64, 0x24, 0x87, 0x79, 0x86, 0x44, 0x57, 0x74, 0x68, 0x77, 0x75, 0x44, 0x44, 0x55, 0x33, 0x34, 0x44, 0x44, 0x33, 0x33, 0x55, 0x43, 0x23, 0x29, 0xE9, 0x99, 0x9A, 0xA7, 0x77, 
        0x87, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x65, 0x55, 0x7A, 0xCD, 0xEE, 0xEE, 0xDD, 0xDD, 0xDD, 0xDC, 0xB9, 0x77, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x88, 0x88, 0x78, 0x77, 0x88, 0x88, 0x88, 0x88,
  0x32, 0x22, 0x22, 0x22, 0x33, 0x33, 0x33, 0x22, 0x23, 0x33, 0x23, 0x44, 0x32, 0x35, 0x48, 0x67, 0x86, 0x43, 0x34, 0x76, 0x56, 0x74, 0x35, 0x65, 0x43, 0x44, 0x66, 0x66, 0x66, 0x55, 0x67, 0x54, 0x76, 0x55, 0x44, 0x33, 0x24, 0x9A, 0x99, 0xAA, 0xA9, 0x77, 
        0x87, 0x78, 0x77, 0x77, 0x77, 0x76, 0x66, 0x56, 0xBD, 0xEE, 0xED, 0xDD, 0xCC, 0xCB, 0xBC, 0xCC, 0xCD, 0xDE, 0xDD, 0xCB, 0x98, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x88, 0x88, 0x88, 0x78, 0x88, 0x88, 0x88, 0x88,
  0x22, 0x22, 0x22, 0x22, 0x33, 0x32, 0x22, 0x22, 0x22, 0x22, 0x35, 0x32, 0x34, 0x33, 0x77, 0x68, 0x54, 0x54, 0x35, 0x78, 0x87, 0x53, 0x56, 0x55, 0x43, 0x45, 0x65, 0x55, 0x54, 0x66, 0x77, 0x87, 0x77, 0x66, 0x64, 0x23, 0x54, 0x37, 0x8A, 0xAA, 0x98, 0x98, 
        0x77, 0x78, 0x77, 0x77, 0x66, 0x66, 0x55, 0xAE, 0xED, 0xDD, 0xDC, 0xCC, 0xCC, 0xBB, 0xBB, 0xAB, 0xBB, 0xBA, 0xBC, 0xCD, 0xDD, 0xCB, 0x86, 0x67, 0x77, 0x77, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x22, 0x22, 0x23, 0x22, 0x23, 0x22, 0x22, 0x22, 0x22, 0x23, 0x53, 0x33, 0x58, 0x64, 0x84, 0x64, 0x34, 0x35, 0x57, 0x88, 0x77, 0x64, 0x66, 0x54, 0x45, 0x66, 0x66, 0x67, 0x99, 0x98, 0x76, 0x65, 0x45, 0x65, 0x64, 0x48, 0x52, 0x27, 0x78, 0xA9, 0x99, 0xBB, 
        0x86, 0x77, 0x77, 0x66, 0x55, 0x55, 0x7C, 0xED, 0xCC, 0xCC, 0xCC, 0xCB, 0xBB, 0xBA, 0xAA, 0xAA, 0x99, 0x99, 0x98, 0x9A, 0xAB, 0xBC, 0xCB, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x22, 0x22, 0x23, 0x23, 0x22, 0x33, 0x32, 0x33, 0x32, 0x24, 0x54, 0x45, 0x53, 0x47, 0x64, 0x73, 0x24, 0x66, 0x78, 0x76, 0x54, 0x35, 0x66, 0x43, 0x54, 0x44, 0x56, 0x99, 0x74, 0x44, 0x66, 0x53, 0x34, 0x76, 0x55, 0x86, 0x53, 0x25, 0x87, 0x9A, 0x97, 0x59, 
        0x97, 0x77, 0x76, 0x68, 0xBC, 0xBD, 0xEE, 0xDD, 0xCC, 0xCC, 0xCC, 0xBA, 0xAA, 0xA9, 0xAA, 0xA9, 0x99, 0x88, 0x87, 0x78, 0x88, 0x99, 0x9A, 0xBA, 0x97, 0x77, 0x77, 0x87, 0x77, 0x77, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x98,
  0x33, 0x23, 0x33, 0x33, 0x44, 0x32, 0x33, 0x33, 0x32, 0x23, 0x33, 0x44, 0x33, 0x36, 0x76, 0x85, 0x47, 0x76, 0x77, 0x66, 0x63, 0x57, 0x55, 0x46, 0x33, 0x66, 0x88, 0x64, 0x45, 0x54, 0x43, 0x23, 0x33, 0x46, 0x34, 0x84, 0x54, 0x23, 0x44, 0x6A, 0x53, 0x36, 
        0x98, 0x86, 0x7A, 0xEE, 0xEE, 0xEE, 0xCC, 0xCB, 0xCB, 0xBA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x87, 0x76, 0x66, 0x66, 0x56, 0x66, 0x66, 0x78, 0x88, 0x87, 0x77, 0x77, 0x77, 0x77, 0x78, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x98,
  0x42, 0x33, 0x23, 0x42, 0x33, 0x44, 0x33, 0x32, 0x22, 0x34, 0x45, 0x33, 0x34, 0x33, 0x67, 0xA8, 0x55, 0x57, 0x97, 0x54, 0x56, 0x85, 0x45, 0x74, 0x37, 0x77, 0x78, 0x77, 0x64, 0x22, 0x23, 0x33, 0x22, 0x24, 0x54, 0x76, 0x56, 0x32, 0x33, 0x7B, 0x62, 0x24, 
        0x75, 0x7A, 0xEF, 0xEE, 0xEE, 0xEC, 0xCC, 0xAA, 0xBA, 0x99, 0x98, 0x99, 0xA9, 0x99, 0x99, 0x98, 0x86, 0x66, 0x65, 0x56, 0x65, 0x66, 0x66, 0x66, 0x67, 0x88, 0x77, 0x77, 0x78, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x98,
  0x23, 0x33, 0x32, 0x44, 0x22, 0x34, 0x55, 0x44, 0x43, 0x44, 0x55, 0x54, 0x44, 0x44, 0x34, 0x69, 0x85, 0x79, 0x85, 0x45, 0x69, 0x75, 0x26, 0x74, 0x67, 0x78, 0x75, 0x32, 0x23, 0x22, 0x33, 0x33, 0x22, 0x22, 0x34, 0x64, 0x45, 0x44, 0x23, 0x58, 0x42, 0x24, 
        0xA7, 0x8B, 0xB9, 0x9A, 0xCD, 0xCC, 0xCB, 0xBB, 0xA9, 0x88, 0x77, 0x89, 0x99, 0x98, 0x99, 0x88, 0x76, 0x66, 0x65, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x88, 0x88, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x33, 0x33, 0x24, 0x74, 0x33, 0x44, 0x33, 0x44, 0x34, 0x55, 0x55, 0x44, 0x44, 0x54, 0x66, 0x45, 0x88, 0x68, 0x67, 0x77, 0x86, 0x75, 0x55, 0x36, 0x78, 0x64, 0x32, 0x22, 0x33, 0x32, 0x33, 0x33, 0x32, 0x22, 0x23, 0x43, 0x23, 0x45, 0x32, 0x25, 0x67, 0x66, 
        0xA7, 0x77, 0x77, 0x66, 0x79, 0xBB, 0xAB, 0xBA, 0xA8, 0x99, 0x88, 0x99, 0x99, 0x98, 0x88, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x32, 0x32, 0x45, 0x56, 0x65, 0x53, 0x33, 0x23, 0x45, 0x55, 0x66, 0x54, 0x56, 0x46, 0x75, 0x55, 0x46, 0x87, 0x88, 0x76, 0x46, 0x66, 0x64, 0x47, 0x88, 0x64, 0x33, 0x23, 0x32, 0x33, 0x22, 0x22, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x53, 0x25, 0x88, 0xBA, 
        0x87, 0x76, 0x77, 0x76, 0x66, 0x99, 0x78, 0x99, 0xA9, 0x99, 0x98, 0x99, 0x99, 0x77, 0x67, 0x76, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x33, 0x23, 0x66, 0x78, 0x64, 0x24, 0x42, 0x25, 0x78, 0x65, 0x65, 0x56, 0x64, 0x67, 0x65, 0x65, 0x79, 0x98, 0x99, 0x95, 0x56, 0x9A, 0x85, 0x36, 0x34, 0x65, 0x44, 0x53, 0x33, 0x22, 0x22, 0x22, 0x22, 0x33, 0x33, 0x44, 0x54, 0x43, 0x46, 0x34, 0x55, 0xA9, 
        0x78, 0x87, 0x67, 0x76, 0x77, 0x78, 0x97, 0x56, 0x79, 0x99, 0x87, 0x88, 0x77, 0x77, 0x65, 0x66, 0x66, 0x66, 0x66, 0x75, 0x67, 0x66, 0x76, 0x66, 0x77, 0x76, 0x66, 0x67, 0x88, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x53, 0x36, 0x88, 0x95, 0x33, 0x66, 0x43, 0x36, 0x64, 0x55, 0x44, 0x45, 0x45, 0x76, 0x57, 0x66, 0x99, 0x9A, 0x77, 0x45, 0x77, 0xAA, 0x99, 0x87, 0x22, 0x34, 0x69, 0x94, 0x22, 0x22, 0x22, 0x22, 0x23, 0x34, 0x64, 0x44, 0x44, 0x44, 0x34, 0x42, 0x45, 0x67, 
        0x78, 0x98, 0x86, 0x67, 0x77, 0x87, 0x78, 0x87, 0x67, 0x88, 0x77, 0x67, 0x75, 0x66, 0x65, 0x56, 0x67, 0x76, 0x66, 0x76, 0x67, 0x77, 0x76, 0x76, 0x77, 0x67, 0x76, 0x67, 0x79, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x89, 0x99,
  0x33, 0x69, 0x99, 0x43, 0x24, 0x95, 0x56, 0x77, 0x43, 0x45, 0x55, 0x67, 0x78, 0x88, 0x87, 0x77, 0x76, 0x85, 0x54, 0x46, 0x67, 0x88, 0x89, 0x8A, 0x63, 0x34, 0x46, 0x42, 0x22, 0x33, 0x33, 0x22, 0x22, 0x36, 0x53, 0x56, 0x55, 0x43, 0x44, 0x43, 0x34, 0x56, 
        0x77, 0x98, 0x87, 0x67, 0x77, 0x77, 0x78, 0x88, 0x86, 0x67, 0x77, 0x77, 0x87, 0x56, 0x66, 0x66, 0x77, 0x76, 0x66, 0x77, 0x76, 0x77, 0x67, 0x67, 0x77, 0x67, 0x76, 0x66, 0x67, 0x99, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x54, 0x88, 0x86, 0x33, 0x24, 0x75, 0x67, 0x97, 0x54, 0x55, 0x56, 0x67, 0x88, 0x89, 0x76, 0x55, 0x55, 0xA5, 0x46, 0x7B, 0xBB, 0x99, 0x88, 0x97, 0x87, 0x32, 0x32, 0x22, 0x24, 0x44, 0x44, 0x23, 0x24, 0x56, 0x35, 0x74, 0x45, 0x43, 0x24, 0x65, 0x34, 0x47, 
        0x87, 0x88, 0x88, 0x76, 0x88, 0x66, 0x78, 0x88, 0x98, 0x76, 0x78, 0x77, 0x89, 0x86, 0x67, 0x76, 0x67, 0x76, 0x76, 0x77, 0x77, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x67, 0x66, 0x77, 0x7A, 0x97, 0x88, 0x98, 0x88, 0x88, 0x88, 0x88, 0x89, 0x88,
  0x66, 0xA7, 0x74, 0x32, 0x26, 0x77, 0x67, 0x78, 0x89, 0x98, 0x98, 0x77, 0x89, 0x97, 0x76, 0x64, 0x39, 0x94, 0x27, 0xCE, 0xDC, 0xDE, 0xCC, 0xFC, 0xC8, 0x43, 0x33, 0x22, 0x35, 0x73, 0x66, 0x33, 0x33, 0x56, 0x58, 0x55, 0x55, 0x43, 0x34, 0x56, 0x54, 0x34, 
        0x66, 0x78, 0x88, 0x87, 0x67, 0x77, 0x77, 0x89, 0x99, 0x76, 0x67, 0x88, 0x89, 0x98, 0x67, 0x77, 0x77, 0x76, 0x77, 0x78, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0xA9, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89,
  0x38, 0x85, 0x55, 0x33, 0x77, 0x76, 0x66, 0x89, 0x98, 0x79, 0xA7, 0x78, 0x68, 0x96, 0x69, 0xB6, 0x9A, 0x42, 0x33, 0x39, 0xB9, 0x86, 0xBF, 0xFE, 0xE6, 0x53, 0x24, 0x44, 0x33, 0x65, 0x44, 0x32, 0x33, 0x66, 0x77, 0x46, 0x77, 0x66, 0x65, 0x44, 0x55, 0x43, 
        0x34, 0x57, 0x88, 0x88, 0x76, 0x78, 0x87, 0x68, 0x98, 0x98, 0x76, 0x78, 0x88, 0x89, 0x86, 0x77, 0x77, 0x87, 0x77, 0x78, 0x87, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x76, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x67, 0x55, 0x46, 0x33, 0x64, 0x44, 0x67, 0x76, 0x9A, 0x88, 0x99, 0xA9, 0x86, 0x34, 0x98, 0x88, 0xC5, 0x12, 0x23, 0x23, 0x8B, 0xB7, 0x59, 0xDF, 0xD8, 0x78, 0x43, 0x57, 0x62, 0x79, 0x53, 0x33, 0x33, 0x37, 0x64, 0x67, 0x64, 0x55, 0x54, 0x44, 0x33, 0x55, 
        0x43, 0x35, 0x77, 0x78, 0x87, 0x68, 0x88, 0x77, 0x88, 0x88, 0x87, 0x67, 0x98, 0x99, 0x98, 0x66, 0x87, 0x78, 0x88, 0x77, 0x88, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x7A, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x65, 0x66, 0x55, 0x42, 0x33, 0x36, 0x86, 0x55, 0x97, 0x8A, 0x99, 0xA8, 0x52, 0x48, 0x63, 0x59, 0x62, 0x22, 0x22, 0x22, 0x27, 0xBB, 0x75, 0x6B, 0xEC, 0x9A, 0x84, 0x25, 0x74, 0x97, 0x65, 0x32, 0x22, 0x27, 0x74, 0x77, 0x88, 0x76, 0x57, 0x65, 0x42, 0x23, 
        0x44, 0x34, 0x66, 0x57, 0x88, 0x77, 0x88, 0x87, 0x68, 0x99, 0x99, 0x86, 0x79, 0x89, 0x99, 0x87, 0x88, 0x77, 0x88, 0x87, 0x88, 0x87, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x79, 0x98, 0x88, 0x88, 0x88, 0x89, 0x88, 0x89, 0x99,
  0x23, 0x65, 0x33, 0x65, 0x54, 0x68, 0x73, 0x48, 0x77, 0x74, 0x35, 0x65, 0x5A, 0xB4, 0x34, 0xA7, 0x22, 0x22, 0x22, 0x22, 0x22, 0x5B, 0xB6, 0x55, 0x9D, 0xCB, 0x85, 0x32, 0x35, 0x65, 0x67, 0x54, 0x43, 0x33, 0x85, 0x67, 0x54, 0x33, 0x34, 0x44, 0x54, 0x32, 
        0x22, 0x33, 0x55, 0x47, 0x89, 0x86, 0x88, 0x88, 0x77, 0x89, 0x99, 0x98, 0x77, 0x98, 0x89, 0xA8, 0x78, 0x87, 0x88, 0x87, 0x78, 0x88, 0x88, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0xA8, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x22, 0x22, 0x22, 0x35, 0x47, 0x95, 0x22, 0x6A, 0x76, 0x42, 0x33, 0x24, 0x9A, 0x33, 0x78, 0x52, 0x22, 0x22, 0x22, 0x23, 0x22, 0x24, 0xBB, 0x65, 0x58, 0xDD, 0xA6, 0x43, 0x22, 0x45, 0x9C, 0x96, 0x77, 0x86, 0x34, 0x44, 0x43, 0x22, 0x22, 0x22, 0x24, 0x54, 
        0x33, 0x33, 0x34, 0x57, 0x78, 0x97, 0x78, 0x78, 0x87, 0x78, 0x88, 0x99, 0x87, 0x88, 0x89, 0x99, 0x76, 0x87, 0x78, 0x87, 0x77, 0x88, 0x88, 0x88, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0xA8, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x22, 0x22, 0x22, 0x45, 0x7B, 0x63, 0x44, 0x5B, 0xB6, 0x23, 0x34, 0x9B, 0x53, 0x58, 0x73, 0x22, 0x22, 0x22, 0x22, 0x23, 0x22, 0x22, 0x39, 0xB6, 0x55, 0x7B, 0xCA, 0x53, 0x32, 0x34, 0xAB, 0x75, 0x77, 0x75, 0x22, 0x32, 0x33, 0x32, 0x23, 0x33, 0x56, 0x65, 
        0x65, 0x45, 0x33, 0x47, 0x78, 0x88, 0x88, 0x77, 0x88, 0x87, 0x89, 0x99, 0x98, 0x78, 0x98, 0x99, 0x97, 0x78, 0x77, 0x88, 0x77, 0x78, 0x88, 0x87, 0x88, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x78, 0x99, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x22, 0x23, 0x32, 0x34, 0x5A, 0x62, 0x22, 0x89, 0x8B, 0x9A, 0x87, 0x65, 0x58, 0x84, 0x23, 0x33, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x7B, 0x85, 0x55, 0x8C, 0x72, 0x33, 0x23, 0x43, 0x49, 0x95, 0x44, 0x23, 0x32, 0x22, 0x33, 0x23, 0x34, 0x43, 0x22, 
        0x33, 0x33, 0x33, 0x46, 0x77, 0x88, 0x87, 0x87, 0x88, 0x88, 0x78, 0x99, 0x9A, 0x87, 0x89, 0x99, 0xAA, 0x87, 0x77, 0x88, 0x87, 0x78, 0x98, 0x88, 0x88, 0x77, 0x76, 0x77, 0x77, 0x78, 0x77, 0x78, 0x89, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99, 0x99,
  0x22, 0x22, 0x22, 0x22, 0x23, 0x42, 0x33, 0x85, 0x48, 0x6B, 0xCB, 0xBB, 0x84, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x24, 0x99, 0x55, 0x47, 0x83, 0x22, 0x33, 0x35, 0x99, 0x33, 0x22, 0x32, 0x22, 0x22, 0x22, 0x23, 0x32, 0x32, 0x23, 
        0x23, 0x32, 0x23, 0x43, 0x35, 0x58, 0x78, 0x87, 0x88, 0x88, 0x77, 0x89, 0x99, 0x98, 0x78, 0xA9, 0x9A, 0xA8, 0x77, 0x78, 0x88, 0x68, 0x88, 0x98, 0x88, 0x88, 0x77, 0x77, 0x78, 0x78, 0x87, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x22, 0x22, 0x22, 0x33, 0x32, 0x22, 0x23, 0x83, 0x4B, 0x43, 0x57, 0x52, 0x22, 0x33, 0x33, 0x34, 0x44, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x22, 0x27, 0xA6, 0x55, 0x68, 0x64, 0x22, 0x36, 0x83, 0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x34, 0x44, 0x33, 0x23, 
        0x33, 0x32, 0x23, 0x32, 0x25, 0x78, 0x79, 0x87, 0x78, 0x98, 0x88, 0x78, 0x99, 0x99, 0x87, 0x9A, 0x99, 0xAA, 0x87, 0x88, 0x78, 0x77, 0x99, 0x99, 0x88, 0x88, 0x87, 0x77, 0x77, 0x88, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x22, 0x22, 0x22, 0x22, 0x33, 0x33, 0x34, 0x74, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x33, 0x33, 0x33, 0x23, 0x32, 0x23, 0x33, 0x32, 0x22, 0x5B, 0xC7, 0x6A, 0xCB, 0x62, 0x22, 0x22, 0x22, 0x23, 0x22, 0x22, 0x23, 0x46, 0x54, 0x33, 0x33, 0x33, 
        0x43, 0x24, 0x55, 0x54, 0x34, 0x76, 0x88, 0x89, 0x77, 0x88, 0x89, 0x87, 0x99, 0xA9, 0x98, 0x79, 0x99, 0xAA, 0x97, 0x68, 0x88, 0x97, 0x99, 0x89, 0x98, 0x88, 0x88, 0x87, 0x87, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x22, 0x22, 0x22, 0x32, 0x22, 0x23, 0x35, 0x63, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x32, 0x23, 0xBD, 0x9A, 0xCB, 0xA4, 0x22, 0x22, 0x23, 0x23, 0x22, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x33, 
        0x53, 0x34, 0x33, 0x33, 0x44, 0x54, 0x77, 0x79, 0x88, 0x78, 0x88, 0x87, 0x79, 0x9A, 0x99, 0x87, 0xAA, 0x9A, 0xAA, 0x77, 0x88, 0x88, 0x89, 0x89, 0x99, 0x88, 0x88, 0x88, 0x78, 0x88, 0x88, 0x89, 0x8A, 0x98, 0x88, 0x88, 0x88, 0x88, 0x99, 0x89,
  0x22, 0x22, 0x22, 0x22, 0x33, 0x33, 0x25, 0x52, 0x34, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x43, 0x33, 0x22, 0x22, 0x23, 0x33, 0x54, 0x32, 0x39, 0xDC, 0xCB, 0x87, 0x74, 0x32, 0x22, 0x22, 0x32, 0x33, 0x33, 0x32, 0x32, 0x22, 0x33, 0x33, 
        0x45, 0x33, 0x32, 0x22, 0x34, 0x43, 0x56, 0x79, 0x79, 0x97, 0x88, 0x98, 0x88, 0x99, 0x9A, 0xA9, 0x89, 0x99, 0xAB, 0x97, 0x78, 0x89, 0x89, 0x88, 0x99, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x32, 0x22, 0x22, 0x22, 0x23, 0x33, 0x38, 0x52, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x22, 0x5B, 0xDB, 0x77, 0x78, 0x75, 0x22, 0x23, 0x33, 0x22, 0x33, 0x23, 0x22, 0x35, 0x54, 0x32, 
        0x34, 0x43, 0x33, 0x32, 0x23, 0x34, 0x46, 0x57, 0x69, 0x99, 0x78, 0x98, 0x88, 0x89, 0x9A, 0xAA, 0x98, 0xA9, 0xAA, 0xB9, 0x77, 0x88, 0x98, 0x98, 0x89, 0x99, 0x99, 0x88, 0x87, 0x88, 0x88, 0x88, 0x89, 0x99, 0x98, 0x88, 0x88, 0x88, 0x99, 0x88,
  0x43, 0x22, 0x22, 0x22, 0x22, 0x33, 0x36, 0x43, 0x33, 0x34, 0x43, 0x33, 0x33, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x32, 0x22, 0x23, 0x33, 0x22, 0x33, 0x32, 0x22, 0x25, 0x9C, 0x8B, 0x96, 0x78, 0x85, 0x32, 0x23, 0x33, 0x33, 0x23, 0x23, 0x65, 0x33, 0x32, 
        0x23, 0x33, 0x33, 0x33, 0x22, 0x34, 0x55, 0x45, 0x79, 0x89, 0x98, 0x89, 0x98, 0x79, 0x99, 0xAA, 0xA9, 0x8A, 0x9A, 0xAA, 0xA6, 0x78, 0x99, 0x99, 0x99, 0x98, 0x99, 0x98, 0x88, 0x88, 0x88, 0x88, 0x89, 0xAA, 0x98, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x54, 0x32, 0x32, 0x22, 0x33, 0x32, 0x55, 0x43, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x32, 0x22, 0x22, 0x23, 0x33, 0x33, 0x22, 0x33, 0x23, 0x33, 0x33, 0x33, 0x32, 0x32, 0x39, 0xAB, 0xEC, 0x97, 0x78, 0x85, 0x32, 0x33, 0x32, 0x33, 0x25, 0x62, 0x22, 0x22, 
        0x22, 0x23, 0x33, 0x33, 0x22, 0x34, 0x44, 0x45, 0x99, 0x89, 0x99, 0x88, 0x99, 0x88, 0x99, 0xAA, 0xAA, 0x89, 0xA9, 0xAB, 0xB8, 0x67, 0x79, 0x99, 0x99, 0x89, 0x99, 0x99, 0x88, 0x98, 0x98, 0x99, 0x99, 0x9A, 0x98, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x55, 0x43, 0x32, 0x22, 0x23, 0x33, 0x53, 0x33, 0x22, 0x22, 0x23, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x32, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x24, 0x79, 0xDE, 0xDD, 0x97, 0x78, 0x84, 0x22, 0x32, 0x22, 0x25, 0x32, 0x22, 0x23, 
        0x33, 0x33, 0x32, 0x32, 0x33, 0x45, 0x43, 0x35, 0x88, 0x78, 0x99, 0x98, 0x8A, 0xA9, 0x9A, 0x9A, 0xAA, 0xA9, 0xAA, 0xAB, 0xBB, 0x97, 0x78, 0x99, 0x99, 0x99, 0x99, 0x88, 0x88, 0x98, 0x89, 0x99, 0xA9, 0x9A, 0x98, 0x88, 0x88, 0x88, 0x99, 0x98,
  0x65, 0x55, 0x43, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x33, 0x22, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x33, 0x7D, 0xED, 0xCC, 0x97, 0x78, 0x73, 0x22, 0x22, 0x34, 0x22, 0x22, 0x33, 
        0x32, 0x22, 0x33, 0x23, 0x44, 0x45, 0x54, 0x34, 0x56, 0x66, 0x89, 0x99, 0x99, 0xAA, 0x9A, 0xA9, 0xAA, 0xAA, 0x9A, 0xAA, 0xCC, 0xB8, 0x78, 0x89, 0x99, 0x99, 0xA9, 0x99, 0x89, 0x99, 0x88, 0x99, 0xAA, 0x9A, 0x98, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x76, 0x66, 0x55, 0x43, 0x32, 0x22, 0x33, 0x33, 0x32, 0x32, 0x22, 0x22, 0x22, 0x22, 0x33, 0x33, 0x22, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x34, 0x44, 0x33, 0x33, 0x22, 0x22, 0x22, 0x25, 0xCF, 0xDC, 0xCB, 0x97, 0x88, 0x53, 0x22, 0x33, 0x22, 0x23, 0x53, 
        0x34, 0x33, 0x22, 0x34, 0x43, 0x43, 0x44, 0x43, 0x47, 0x97, 0x68, 0x9A, 0xA9, 0x9A, 0xAA, 0xA9, 0x9A, 0xBA, 0xB9, 0xBB, 0xBC, 0xCB, 0x77, 0x88, 0x89, 0x9A, 0x99, 0x98, 0x88, 0x89, 0x99, 0x9A, 0xAA, 0xAA, 0x98, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x67, 0x77, 0x66, 0x54, 0x33, 0x33, 0x23, 0x33, 0x33, 0x33, 0x33, 0x23, 0x33, 0x33, 0x33, 0x32, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x44, 0x44, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x39, 0xDD, 0xCC, 0xCB, 0x97, 0x77, 0x42, 0x32, 0x32, 0x35, 0x33, 
        0x22, 0x33, 0x33, 0x33, 0x44, 0x33, 0x33, 0x44, 0x35, 0x89, 0x86, 0x8A, 0xA9, 0x99, 0xAA, 0xAA, 0xAA, 0xBB, 0xBA, 0xBC, 0xBB, 0xCC, 0x97, 0x88, 0x88, 0x99, 0xA9, 0x98, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0x98, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x57, 0x77, 0x77, 0x66, 0x54, 0x43, 0x33, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x23, 0x22, 0x22, 0x22, 0x5B, 0xED, 0xDC, 0xCB, 0x97, 0x75, 0x42, 0x23, 0x44, 0x45, 
        0x54, 0x33, 0x33, 0x34, 0x43, 0x33, 0x32, 0x34, 0x43, 0x69, 0x88, 0x78, 0xAA, 0xB9, 0xAB, 0x9A, 0xAA, 0xBB, 0xBC, 0xBB, 0xBB, 0xCC, 0xB8, 0x67, 0x88, 0x99, 0x99, 0x99, 0x99, 0x89, 0x99, 0xAA, 0xAA, 0xBB, 0xA8, 0x88, 0x87, 0x88, 0x88, 0x99,
  0x36, 0x77, 0x77, 0x77, 0x66, 0x55, 0x43, 0x33, 0x33, 0x22, 0x22, 0x33, 0x23, 0x33, 0x32, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0xAE, 0xED, 0xCB, 0xCD, 0x86, 0x86, 0x23, 0x34, 0x43, 
        0x34, 0x33, 0x43, 0x33, 0x33, 0x33, 0x22, 0x33, 0x43, 0x46, 0x79, 0x97, 0x7A, 0xBA, 0xA9, 0xAB, 0xBB, 0xAB, 0xCC, 0xCA, 0xCB, 0xBC, 0xCB, 0x78, 0x89, 0x99, 0x9A, 0x99, 0x99, 0xA9, 0xAA, 0xAA, 0xAB, 0xBB, 0xA8, 0x88, 0x88, 0x88, 0x88, 0x99,
  0x33, 0x77, 0x77, 0x77, 0x77, 0x66, 0x55, 0x44, 0x33, 0x33, 0x32, 0x22, 0x23, 0x32, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x44, 0x45, 0x45, 0x56, 0x66, 0x76, 0x65, 0x55, 0x54, 0x43, 0x33, 0x27, 0xDE, 0xDC, 0xBB, 0xBA, 0x88, 0x84, 0x23, 0x34, 
        0x33, 0x34, 0x55, 0x54, 0x44, 0x34, 0x43, 0x33, 0x35, 0x46, 0x66, 0x89, 0x69, 0xAB, 0xAA, 0xAB, 0xCB, 0xAB, 0xCC, 0xBB, 0xBC, 0xBB, 0xCD, 0xB7, 0x99, 0x99, 0x9A, 0x99, 0x99, 0xA9, 0xAA, 0xAB, 0xBB, 0xBB, 0xB9, 0x88, 0x88, 0x88, 0x88, 0x89,
  0x42, 0x36, 0x77, 0x77, 0x77, 0x77, 0x76, 0x65, 0x43, 0x33, 0x32, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x44, 0x44, 0x45, 0x56, 0x66, 0x65, 0x55, 0x55, 0x44, 0x44, 0x33, 0x33, 0x33, 0x5C, 0xFD, 0xCC, 0xBB, 0xCA, 0x88, 0x62, 0x23, 
        0x44, 0x54, 0x56, 0x43, 0x23, 0x44, 0x66, 0x53, 0x24, 0x45, 0x86, 0x69, 0x88, 0xBA, 0xAB, 0x9B, 0xCB, 0xBB, 0xCC, 0xBC, 0xCB, 0xBC, 0xDD, 0xC9, 0x89, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xBB, 0xAB, 0xBB, 0xCC, 0xBA, 0x78, 0x88, 0x88, 0x88, 0x88,
  0x64, 0x23, 0x67, 0x77, 0x78, 0x77, 0x88, 0x77, 0x75, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x34, 0x44, 0x44, 0x55, 0x55, 0x66, 0x65, 0x66, 0x65, 0x55, 0x55, 0x55, 0x55, 0x55, 0x35, 0xBE, 0xED, 0xCA, 0xBC, 0xC8, 0x78, 0x42, 
        0x33, 0x43, 0x54, 0x32, 0x46, 0x64, 0x33, 0x44, 0x33, 0x45, 0x77, 0x57, 0x87, 0xBA, 0xBA, 0xBA, 0xBB, 0xCB, 0xBC, 0xCC, 0xCB, 0xCC, 0xCC, 0xCC, 0x98, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xCC, 0xCA, 0x78, 0x88, 0x88, 0x88, 0x88,
  0x76, 0x42, 0x35, 0x78, 0x88, 0x88, 0x88, 0x88, 0x87, 0x66, 0x54, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x34, 0x43, 0x44, 0x45, 0x55, 0x56, 0x67, 0x77, 0x77, 0x66, 0x66, 0x66, 0x67, 0x77, 0x76, 0x65, 0x5B, 0xEE, 0xDC, 0xCB, 0xBC, 0xA8, 0x96, 
        0x22, 0x22, 0x44, 0x56, 0x86, 0x43, 0x32, 0x23, 0x33, 0x44, 0x67, 0x67, 0x77, 0xBB, 0xAB, 0xCB, 0xAC, 0xCB, 0xBC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDD, 0xC9, 0xBA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBC, 0xBB, 0xBC, 0xCC, 0xCA, 0x78, 0x88, 0x88, 0x88, 0x89,
  0x88, 0x74, 0x33, 0x46, 0x78, 0x88, 0x88, 0x88, 0x88, 0x66, 0x66, 0x66, 0x54, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x45, 0x55, 0x66, 0x77, 0x78, 0x78, 0x77, 0x77, 0x77, 0x77, 0x78, 0x88, 0x88, 0x77, 0x65, 0xAE, 0xEE, 0xCB, 0xBB, 0xCB, 0x78, 
        0x73, 0x25, 0x97, 0x65, 0x63, 0x23, 0x43, 0x22, 0x33, 0x34, 0x58, 0x56, 0x77, 0xBB, 0xAB, 0xBB, 0xBB, 0xBC, 0xBB, 0xCD, 0xCC, 0xCC, 0xCC, 0xED, 0xC9, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBC, 0xBB, 0xBC, 0xCC, 0xCA, 0x78, 0x78, 0x88, 0x88, 0x89,
  0x88, 0x87, 0x54, 0x33, 0x46, 0x78, 0x88, 0x88, 0x78, 0x86, 0x67, 0x77, 0x76, 0x54, 0x43, 0x33, 0x33, 0x33, 0x33, 0x44, 0x45, 0x56, 0x67, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x76, 0x6A, 0xEE, 0xED, 0xCC, 0xBB, 0xB7, 
        0x77, 0x65, 0x43, 0x23, 0x42, 0x32, 0x34, 0x43, 0x33, 0x33, 0x48, 0x55, 0x68, 0xBA, 0xAB, 0xBB, 0xCA, 0xBB, 0xBC, 0xCC, 0xCC, 0xCB, 0xDD, 0xCD, 0xDD, 0x9B, 0xCC, 0xBC, 0xCC, 0xCB, 0xBC, 0xCC, 0xCC, 0xCC, 0xCA, 0x78, 0x78, 0x88, 0x88, 0x88,
  0x99, 0x88, 0x87, 0x54, 0x33, 0x45, 0x67, 0x77, 0x77, 0x77, 0x66, 0x66, 0x64, 0x33, 0x33, 0x33, 0x33, 0x34, 0x44, 0x44, 0x55, 0x66, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89, 0x99, 0x98, 0x89, 0x89, 0x88, 0x76, 0xBE, 0xEE, 0xED, 0xCB, 0xBB, 
        0x96, 0x95, 0x22, 0x23, 0x32, 0x33, 0x34, 0x45, 0x43, 0x33, 0x36, 0x55, 0x69, 0xBA, 0xBB, 0xBB, 0xCB, 0xAB, 0xDD, 0xBC, 0xDC, 0xCC, 0xCD, 0xCD, 0xEE, 0xC9, 0xBC, 0xCC, 0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xD9, 0x78, 0x78, 0x88, 0x88, 0x89,
  0x99, 0x99, 0x99, 0x86, 0x55, 0x43, 0x44, 0x44, 0x55, 0x55, 0x54, 0x44, 0x33, 0x33, 0x33, 0x33, 0x34, 0x44, 0x43, 0x35, 0x56, 0x67, 0x78, 0x89, 0x99, 0x99, 0x88, 0x99, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x7B, 0xED, 0xDE, 0xED, 0xCB, 
        0xB9, 0x79, 0x62, 0x22, 0x22, 0x33, 0x33, 0x34, 0x66, 0x43, 0x35, 0x44, 0x69, 0x9B, 0xBB, 0xBB, 0xBC, 0xBB, 0xDC, 0xCD, 0xDC, 0xCD, 0xCD, 0xDD, 0xEE, 0xEB, 0xBC, 0xCC, 0xCD, 0xDC, 0xCC, 0xDC, 0xCC, 0xCC, 0xD9, 0x77, 0x88, 0x88, 0x88, 0x89,
  0x99, 0x99, 0x99, 0x99, 0x87, 0x65, 0x54, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x44, 0x44, 0x45, 0x55, 0x43, 0x33, 0x45, 0x66, 0x67, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0x98, 0x76, 0xAD, 0xDD, 0xDE, 0xDC, 
        0xBB, 0xA7, 0x97, 0x22, 0x22, 0x33, 0x43, 0x33, 0x47, 0x75, 0x45, 0x78, 0x88, 0x8A, 0xBB, 0xBB, 0xBC, 0xCB, 0xBC, 0xDD, 0xCD, 0xDD, 0xCB, 0xDD, 0xDE, 0xDD, 0xAC, 0xCD, 0xDC, 0xDC, 0xCC, 0xDD, 0xCC, 0xCC, 0xC8, 0x78, 0x88, 0x88, 0x88, 0x89,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x87, 0x76, 0x65, 0x55, 0x55, 0x54, 0x44, 0x55, 0x55, 0x55, 0x65, 0x55, 0x33, 0x34, 0x56, 0x76, 0x77, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0x98, 0x87, 0x59, 0xDC, 0xBB, 0xDD, 
        0xCB, 0xBA, 0x89, 0x83, 0x22, 0x23, 0x53, 0x33, 0x35, 0x66, 0x55, 0x9B, 0xBA, 0x8B, 0xBB, 0xBB, 0xCB, 0xCB, 0xBC, 0xDC, 0xDE, 0xDD, 0xDC, 0xDE, 0xDE, 0xEE, 0xDB, 0xCD, 0xDC, 0xDD, 0xCD, 0xDC, 0xCC, 0xCC, 0xB7, 0x77, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x87, 0x77, 0x66, 0x66, 0x66, 0x77, 0x77, 0x66, 0x77, 0x75, 0x33, 0x35, 0x66, 0x77, 0x78, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x97, 0x54, 0xAD, 0xCA, 0xAB, 
        0xBB, 0xAB, 0xB8, 0x98, 0x32, 0x23, 0x43, 0x44, 0x33, 0x56, 0x67, 0x9C, 0xB9, 0x8B, 0xBB, 0xBC, 0xBC, 0xBC, 0xCB, 0xCC, 0xDD, 0xDD, 0xCD, 0xCD, 0xED, 0xEF, 0xFC, 0xBD, 0xDD, 0xDD, 0xCC, 0xCC, 0xDC, 0xCD, 0xA7, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x88, 0x88, 0x88, 0x77, 0x77, 0x77, 0x77, 0x78, 0x87, 0x43, 0x45, 0x67, 0x77, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xBB, 0xAA, 0xAA, 0x96, 0x44, 0x4A, 0xEC, 0xBA, 
        0xAB, 0xBB, 0xBB, 0x88, 0x83, 0x23, 0x43, 0x35, 0x53, 0x35, 0x66, 0x8A, 0xA5, 0x8B, 0xBA, 0xBC, 0xCC, 0xCC, 0xCB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xEE, 0xFE, 0xBD, 0xDD, 0xDD, 0xDD, 0xDC, 0xDC, 0xCD, 0x97, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x78, 0x87, 0x78, 0x88, 0x88, 0x44, 0x56, 0x78, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x9A, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xAA, 0xA9, 0x84, 0x33, 0x45, 0xBE, 0xDC, 
        0xBB, 0xBC, 0xBB, 0xC8, 0x76, 0x34, 0x54, 0x45, 0x65, 0x34, 0x64, 0x78, 0x78, 0xAB, 0xBB, 0xBC, 0xCB, 0xCC, 0xCC, 0xBC, 0xDD, 0xDE, 0xEE, 0xED, 0xDE, 0xEF, 0xFF, 0xCB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDC, 0x77, 0x88, 0x88, 0x88, 0x88, 0x98,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x89, 0x99, 0x87, 0x88, 0x78, 0x88, 0x98, 0x54, 0x67, 0x88, 0x98, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBA, 0xA8, 0x53, 0x33, 0x45, 0x6C, 0xED, 
        0xDD, 0xDD, 0xDC, 0xCC, 0x66, 0x64, 0x55, 0x56, 0x66, 0x55, 0x63, 0x58, 0x7B, 0xBA, 0xBB, 0xBC, 0xCC, 0xCC, 0xCD, 0xDB, 0xCD, 0xDD, 0xEE, 0xED, 0xDE, 0xFF, 0xEF, 0xEC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDA, 0x77, 0x88, 0x88, 0x88, 0x99, 0x99,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x99, 0x97, 0x88, 0x88, 0x88, 0x89, 0x54, 0x78, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xCB, 0xBB, 0xAA, 0x97, 0x54, 0x43, 0x35, 0x68, 0xDE, 
        0xDD, 0xDD, 0xCC, 0xBB, 0xB6, 0x55, 0x53, 0x24, 0x54, 0x45, 0x64, 0x48, 0x8B, 0xBA, 0xBB, 0xBB, 0xCC, 0xCC, 0xCD, 0xCC, 0xCD, 0xDE, 0xEE, 0xED, 0xDE, 0xEE, 0xFF, 0xFD, 0xCD, 0xDD, 0xDD, 0xCD, 0xDD, 0xD8, 0x78, 0x88, 0x88, 0x88, 0x89, 0x99,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x88, 0x88, 0x89, 0x65, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xBB, 0xBC, 0xCC, 0xCB, 0xA9, 0x97, 0x77, 0x43, 0x34, 0x78, 0x9D, 
        0xDD, 0xDC, 0xCC, 0xBB, 0xB9, 0x55, 0x67, 0x74, 0x35, 0x56, 0x54, 0x46, 0x8B, 0xBB, 0xAB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCD, 0xCD, 0xEE, 0xDE, 0xEE, 0xDE, 0xEE, 0xFF, 0xFF, 0xCD, 0xED, 0xDD, 0xDD, 0xDD, 0xC7, 0x78, 0x88, 0x88, 0x88, 0x89, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x89, 0x88, 0x99, 0x75, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBC, 0xCC, 0xBB, 0xA9, 0x78, 0x84, 0x43, 0x34, 0x79, 0x8A, 
        0xDC, 0xB9, 0xAA, 0x98, 0x9A, 0x86, 0x87, 0x56, 0x43, 0x55, 0x44, 0x55, 0x9B, 0xAB, 0xBB, 0xBB, 0xCB, 0xBC, 0xCC, 0xDD, 0xDD, 0xED, 0xEE, 0xEE, 0xEE, 0xEE, 0xFF, 0xFF, 0xDD, 0xEE, 0xDD, 0xDD, 0xDD, 0x97, 0x88, 0x88, 0x88, 0x88, 0x89, 0x98,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x99, 0x99, 0x76, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBC, 0xCC, 0xBB, 0xA9, 0x79, 0x74, 0x43, 0x33, 0x7A, 0xA6, 
        0xBC, 0xAA, 0xAB, 0xBB, 0xCB, 0x97, 0x89, 0x42, 0x32, 0x34, 0x34, 0x55, 0xAA, 0xBB, 0xBA, 0xBB, 0xBC, 0xCC, 0xCC, 0xDC, 0xDD, 0xDE, 0xEE, 0xEE, 0xFE, 0xEE, 0xFF, 0xFF, 0xFD, 0xDE, 0xDD, 0xDD, 0xEB, 0x77, 0x88, 0x88, 0x88, 0x88, 0x89, 0x88,
  0x99, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x77, 0x99, 0x99, 0x99, 0x99, 0x99, 0x86, 0x89, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xCC, 0xCC, 0xBB, 0xA9, 0x7A, 0x84, 0x33, 0x33, 0x79, 0xA5, 
        0x7C, 0xCD, 0xCB, 0xBC, 0xCC, 0xBA, 0x95, 0x87, 0x43, 0x33, 0x33, 0x37, 0xA9, 0xBB, 0xBB, 0xBB, 0xBC, 0xCC, 0xCD, 0xCD, 0xEE, 0xDD, 0xEE, 0xFF, 0xFE, 0xEE, 0xEF, 0xFF, 0xFD, 0xDE, 0xDE, 0xDD, 0xD8, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x87, 0x99, 0x99, 0x99, 0x99, 0x99, 0x85, 0x89, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBC, 0xCC, 0xBC, 0xB9, 0x8B, 0xD5, 0x43, 0x33, 0x59, 0xA6, 
        0x7A, 0xCD, 0xED, 0xDC, 0xCC, 0xCB, 0xC8, 0x7B, 0x74, 0x55, 0x54, 0x47, 0xAA, 0xAB, 0xBB, 0xAB, 0xBC, 0xDC, 0xCC, 0xDE, 0xEE, 0xDD, 0xEE, 0xFF, 0xEE, 0xEE, 0xEF, 0xFF, 0xFE, 0xDD, 0xDD, 0xDE, 0xA6, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x9A, 0xA9, 0x99, 0x99, 0x99, 0x75, 0x89, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBC, 0xBB, 0xB9, 0x7B, 0xFD, 0x99, 0x43, 0x8B, 0x96, 
        0x8A, 0xBB, 0xDD, 0xDC, 0xDD, 0xCC, 0xCD, 0xA8, 0xA5, 0x33, 0x33, 0x36, 0x8A, 0xBB, 0xBB, 0xBB, 0xCC, 0xDD, 0xCD, 0xDE, 0xEE, 0xED, 0xEF, 0xFE, 0xEF, 0xEF, 0xEE, 0xFF, 0xFF, 0xDD, 0xDD, 0xDC, 0x67, 0x78, 0x88, 0x88, 0x88, 0x88, 0x89, 0x98,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xA9, 0x99, 0x99, 0x88, 0x66, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xCC, 0xBB, 0xBA, 0x7C, 0xFF, 0xFD, 0x43, 0x7A, 0x76, 
        0xAB, 0xAA, 0xBC, 0xCC, 0xDD, 0xCC, 0xCD, 0xD9, 0x9A, 0x32, 0x33, 0x35, 0x9B, 0xBB, 0xBB, 0xBB, 0xCC, 0xCD, 0xDD, 0xEE, 0xEE, 0xEE, 0xEF, 0xEE, 0xFE, 0xFF, 0xEF, 0xFF, 0xFF, 0xDD, 0xED, 0xD8, 0x67, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x9A, 0xAA, 0xAA, 0xAA, 0x99, 0x98, 0x88, 0x67, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBA, 0x9C, 0xEE, 0xF9, 0x23, 0x68, 0x56, 
        0xAB, 0xBA, 0xBB, 0xBC, 0xCC, 0xDC, 0xCD, 0xDD, 0x9A, 0x93, 0x32, 0x34, 0x9B, 0xAB, 0xBC, 0xCB, 0xCD, 0xCC, 0xED, 0xDE, 0xEE, 0xEF, 0xEF, 0xFF, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xED, 0xEE, 0xA6, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xBA, 0x99, 0x88, 0x88, 0x67, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBA, 0xBC, 0xBC, 0xB3, 0x23, 0x67, 0x47, 
        0xBB, 0xBA, 0xBB, 0xCB, 0xBC, 0xCC, 0xDD, 0xDE, 0xC8, 0xA8, 0x23, 0x34, 0xAB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCB, 0xCE, 0xEE, 0xED, 0xEF, 0xEE, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFD, 0xEC, 0x66, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAB, 0xBA, 0x98, 0x88, 0x88, 0x77, 0x99, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAB, 0xBA, 0xBB, 0xA7, 0x43, 0x36, 0x85, 0x49, 
        0xBB, 0xBA, 0xAB, 0xCB, 0xBB, 0xBC, 0xDD, 0xDD, 0xDC, 0x8B, 0x72, 0x34, 0x7A, 0xBB, 0xBB, 0xCC, 0xDD, 0xCC, 0xCF, 0xEE, 0xED, 0xFF, 0xFE, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFE, 0xD7, 0x67, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x9A, 0xAA, 0xAA, 0xBB, 0xBA, 0xA9, 0x88, 0x89, 0x87, 0x9A, 0xAA, 0xAA, 0xA9, 0x98, 0x88, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAB, 0xA9, 0x87, 0x73, 0x59, 0x74, 0x5A, 
        0xCB, 0xBB, 0xAA, 0xBB, 0xBB, 0xBB, 0xCD, 0xDD, 0xDE, 0xC8, 0xB7, 0x25, 0x68, 0xBB, 0xBB, 0xCD, 0xDC, 0xDC, 0xCF, 0xEE, 0xEE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x77, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x89,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0xAA, 0xBB, 0xBB, 0xBB, 0xA9, 0x88, 0x99, 0x86, 0x9A, 0xAA, 0xAA, 0xA8, 0x88, 0x77, 0x89, 0x99, 0x9A, 0xAA, 0x99, 0x99, 0x89, 0x87, 0x66, 0x99, 0x74, 0x7B, 
        0xCC, 0xBB, 0xBA, 0xAC, 0xCB, 0xBB, 0xCC, 0xDD, 0xCD, 0xDA, 0x9B, 0x42, 0x5B, 0xBB, 0xBC, 0xDD, 0xCD, 0xDD, 0xCD, 0xEE, 0xEE, 0xEE, 0xFF, 0xEF, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFA, 0x56, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0xAA, 0xBB, 0xBB, 0xBB, 0xA9, 0x79, 0xAA, 0x86, 0x9A, 0xAA, 0xAA, 0x98, 0x89, 0x98, 0x89, 0x99, 0x9A, 0xAA, 0x99, 0x98, 0x88, 0x87, 0x78, 0x98, 0x65, 0xAC, 
        0xCC, 0xCB, 0xBB, 0xAB, 0xDC, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xAA, 0x96, 0xAB, 0xBB, 0xBC, 0xCC, 0xDD, 0xDD, 0xDC, 0xDF, 0xEE, 0xEE, 0xFF, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x56, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBA, 0xAA, 0xAA, 0xAA, 0xBA, 0xBB, 0xBB, 0xB9, 0x79, 0xAC, 0x85, 0x9A, 0xAA, 0xA9, 0x98, 0x78, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x87, 0x78, 0x88, 0x78, 0xBC, 
        0xCC, 0xCB, 0xBB, 0xBA, 0xCD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0xDA, 0xBD, 0x9A, 0xBB, 0xBC, 0xCD, 0xDE, 0xDC, 0xDC, 0xBD, 0xEF, 0xEF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x67, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBA, 0xAA, 0xAB, 0xBA, 0xBB, 0xBB, 0xA9, 0x79, 0xAC, 0x95, 0x8A, 0xBA, 0xAA, 0x98, 0x47, 0x99, 0x98, 0x89, 0x99, 0x99, 0x99, 0x99, 0x88, 0x88, 0x89, 0x99, 0x9B, 0xBC, 
        0xCC, 0xCC, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xAB, 0xB9, 0xAB, 0xCB, 0xCD, 0xDD, 0xDD, 0xDE, 0xCB, 0xFF, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x65, 0x67, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBB, 0xBA, 0xA9, 0x79, 0xAC, 0x96, 0x8A, 0xDD, 0xCA, 0x99, 0x57, 0x99, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAB, 0xBC, 
        0xCC, 0xCC, 0xCC, 0xCC, 0xBA, 0xBC, 0xCC, 0xCC, 0xCD, 0xDC, 0xCD, 0xDA, 0xCA, 0xAB, 0xBC, 0xCC, 0xDD, 0xED, 0xDD, 0xDD, 0xEF, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA4, 0x56, 0x67, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCB, 0xBB, 0xAA, 0xBB, 0xBA, 0xAA, 0x79, 0xAD, 0xA7, 0x9B, 0xFF, 0xED, 0xA8, 0x68, 0x98, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAB, 0xBB, 
        0xCC, 0xCC, 0xDD, 0xDC, 0xCB, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xDE, 0xEB, 0xBC, 0xAB, 0xCC, 0xCC, 0xCD, 0xED, 0xDE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xF7, 0x45, 0x66, 0x77, 0x77, 0x78, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCC, 0x99, 0xAA, 0xAA, 0xAA, 0x89, 0xAE, 0xB7, 0x9C, 0xED, 0xCB, 0x97, 0x68, 0x89, 0x89, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBC, 
        0xCC, 0xDD, 0xDD, 0xDC, 0xCC, 0xBC, 0xCB, 0xBC, 0xCC, 0xDD, 0xEE, 0xED, 0xBC, 0xCA, 0xBB, 0xBC, 0xCD, 0xDE, 0xEE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x64, 0x56, 0x67, 0x67, 0x77, 0x77, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xDD, 0xDD, 0xDD, 0x97, 0x9A, 0xAA, 0xAA, 0xA9, 0xAC, 0xB7, 0x9D, 0xDB, 0xCB, 0xB8, 0x78, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xBB, 0xCC, 0xCC, 0xCC, 0xBB, 0xBB, 0xBC, 0xCC, 
        0xCD, 0xDD, 0xDD, 0xDD, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xDD, 0xED, 0xDE, 0xCB, 0xDB, 0xBB, 0xCC, 0xCC, 0xDE, 0xEE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB5, 0x45, 0x66, 0x67, 0x67, 0x77, 0x77, 0x87, 0x78, 0x87, 0x78, 0x88, 0x88, 0x88,
  0x9A, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xDD, 0xDD, 0xDD, 0x87, 0x78, 0x9A, 0x99, 0xAA, 0x9A, 0x96, 0x8B, 0xEE, 0xEE, 0xEA, 0x89, 0xAA, 0xBB, 0xBB, 0xCD, 0xDE, 0xEE, 0xFF, 0xFF, 0xFE, 0xDD, 0xCD, 0xDC, 0xDD, 
        0xDD, 0xED, 0xEE, 0xDE, 0xDD, 0xDC, 0xCD, 0xCC, 0xCC, 0xDD, 0xDD, 0xDD, 0xDC, 0xCD, 0xAC, 0xCD, 0xCC, 0xCE, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x44, 0x55, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x77, 0x87, 0x78,
  0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDC, 0x33, 0x44, 0x68, 0x99, 0x99, 0x99, 0x86, 0x8B, 0xEE, 0xDD, 0xDC, 0x9B, 0xCC, 0xCD, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xED, 0xDD, 0xDD, 
        0xDD, 0xDE, 0xEE, 0xEE, 0xDD, 0xDD, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xDD, 0xEE, 0xBC, 0xCB, 0xCC, 0xCC, 0xCD, 0xDE, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x45, 0x55, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBC, 0xCC, 0xCC, 0xCC, 0xDD, 0xDD, 0xE9, 0x23, 0x32, 0x23, 0x57, 0x99, 0x99, 0x97, 0x8B, 0xDC, 0xCC, 0xCC, 0xCD, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xEE, 0xDC, 0xAB, 0xDE, 0xED, 0xDD, 0xDD, 
        0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xCC, 0xCD, 0xDC, 0xDD, 0xDD, 0xEE, 0xDC, 0xDB, 0xAC, 0xCC, 0xDD, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA4, 0x45, 0x55, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0xAA, 0xAA, 0xAA, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xCB, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xED, 0xD5, 0x23, 0x33, 0x33, 0x33, 0x58, 0x99, 0x96, 0x6A, 0xAA, 0xAB, 0xBB, 0xBD, 0xFF, 0xFF, 0xFE, 0xDD, 0xDD, 0xCC, 0xDB, 0xBA, 0x55, 0x6A, 0xDD, 0xDD, 0xCD, 
        0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xDC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDE, 0xDB, 0xCC, 0xAB, 0xDD, 0xDD, 0xDE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0x44, 0x55, 0x56, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0xAA, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDD, 0xDD, 0xDE, 0xB2, 0x22, 0x22, 0x33, 0x33, 0x35, 0x78, 0x98, 0x78, 0x99, 0xAA, 0xAA, 0xAA, 0xBC, 0xCB, 0xBB, 0xBB, 0xBB, 0xCC, 0xBA, 0xA8, 0x77, 0x34, 0x9C, 0xDD, 0xDD, 
        0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xDC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDE, 0xDD, 0xED, 0xCD, 0xCC, 0xDD, 0xDD, 0xDE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFD, 0x63, 0x45, 0x55, 0x55, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77,
  0xAA, 0xBA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDE, 0xDD, 0x62, 0x23, 0x32, 0x22, 0x22, 0x22, 0x35, 0x89, 0x99, 0x9A, 0x99, 0xAA, 0xA9, 0x99, 0xAA, 0xAA, 0xBB, 0xBB, 0xBB, 0xA9, 0x99, 0x85, 0x32, 0x5A, 0xBC, 0xDD, 
        0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xDC, 0xCD, 0xDD, 0xDD, 0xDD, 0xDE, 0xED, 0xEE, 0xCC, 0xDB, 0xCC, 0xDD, 0xEE, 0xEE, 0xFF, 0xFF, 0xFF, 0xB5, 0x44, 0x55, 0x55, 0x55, 0x55, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66,
  0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xEE, 0xEC, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x46, 0x89, 0x89, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA8, 0x7A, 0x64, 0x32, 0x36, 0xAB, 0xDE, 
        0xEE, 0xEE, 0xEF, 0xEE, 0xEE, 0xED, 0xDD, 0xCC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDE, 0xDC, 0xDC, 0xBC, 0xDE, 0xEE, 0xEF, 0xFF, 0xFF, 0x95, 0x34, 0x45, 0x55, 0x56, 0x66, 0x56, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x67, 0x76, 0x66,
  0xBB, 0xBB, 0xBB, 0xBB, 0xCC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xE8, 0x22, 0x33, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x46, 0x88, 0x98, 0x89, 0x99, 0x99, 0xA9, 0xAA, 0xAA, 0xAA, 0x9A, 0x98, 0x79, 0x64, 0x33, 0x35, 0x89, 0xCE, 
        0xEE, 0xEF, 0xEF, 0xEF, 0xEE, 0xDD, 0xDD, 0xDC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xED, 0xCD, 0xBC, 0xDD, 0xDE, 0xFF, 0xFF, 0xD5, 0x34, 0x45, 0x56, 0x66, 0x66, 0x66, 0x66, 0x77, 0x67, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78,
  0xBB, 0xBB, 0xCC, 0xCC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDD, 0xEE, 0xEE, 0xED, 0xEE, 0xEE, 0xEE, 0xD4, 0x23, 0x33, 0x33, 0x33, 0x22, 0x32, 0x22, 0x22, 0x22, 0x46, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x99, 0x88, 0x7A, 0xA4, 0x45, 0x34, 0x76, 0xBE, 
        0xEE, 0xEF, 0xFF, 0xEE, 0xED, 0xDD, 0xDD, 0xCB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xEE, 0xCD, 0xDB, 0xCD, 0xDE, 0xFF, 0xF9, 0x55, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x78, 0x77, 0x88, 0x77, 0x88, 0x88, 0x88, 0x88, 0x99,
  0xBB, 0xBC, 0xCC, 0xCD, 0xDD, 0xDD, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0x92, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x22, 0x22, 0x22, 0x46, 0x78, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x88, 0x87, 0x58, 0xC9, 0x67, 0x43, 0x65, 0x9D, 
        0xEF, 0xFF, 0xFE, 0xEE, 0xED, 0xCD, 0xCB, 0x86, 0xCE, 0xDE, 0xEE, 0xED, 0xEE, 0xDC, 0xEE, 0xDD, 0xEC, 0xDD, 0xDE, 0xFF, 0xA6, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99, 0x99, 0x9A,
  0xBB, 0xCC, 0xCC, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x22, 0x33, 0x22, 0x35, 0x77, 0x78, 0x88, 0x88, 0x89, 0x98, 0x88, 0x75, 0x46, 0xAB, 0xB9, 0x42, 0x56, 0x7C, 
        0xEE, 0xEE, 0xEE, 0xDD, 0xCB, 0xBA, 0x97, 0x53, 0x8D, 0xEE, 0xEE, 0xEE, 0xEE, 0xDC, 0xDE, 0xED, 0xDD, 0xDD, 0xEF, 0xFC, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA,
  0xCC, 0xCD, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xE6, 0x23, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x32, 0x23, 0x23, 0x22, 0x22, 0x35, 0x67, 0x78, 0x88, 0x88, 0x88, 0x87, 0x75, 0x44, 0x67, 0x75, 0x33, 0x56, 0x5A, 
        0xDE, 0xED, 0xCC, 0xBA, 0x98, 0x87, 0x65, 0x53, 0x3B, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDE, 0xED, 0xCD, 0xDE, 0xED, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xA9, 0xA9, 0x99, 0x99, 0xA9, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA,
  0xCC, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xFF, 0xEF, 0xFF, 0xFF, 0xEE, 0xEE, 0xEF, 0x92, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x32, 0x32, 0x22, 0x23, 0x45, 0x56, 0x77, 0x77, 0x87, 0x77, 0x65, 0x43, 0x43, 0x32, 0x33, 0x57, 0x58, 
        0xBC, 0xCB, 0xA9, 0x87, 0x65, 0x55, 0x45, 0x55, 0x46, 0xDE, 0xEE, 0xEE, 0xEE, 0xED, 0xDE, 0xEE, 0xCD, 0xEC, 0xA9, 0x99, 0xAA, 0xAA, 0x9A, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xBA,
  0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x32, 0x22, 0x23, 0x22, 0x23, 0x44, 0x55, 0x66, 0x66, 0x66, 0x55, 0x54, 0x33, 0x22, 0x33, 0x57, 0x56, 
        0x89, 0x87, 0x65, 0x55, 0x44, 0x43, 0x56, 0x56, 0x44, 0xBE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDE, 0xEE, 0xEC, 0xEB, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xBA,
  0xDE, 0xEE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x23, 0x33, 0x44, 0x44, 0x54, 0x44, 0x33, 0x33, 0x33, 0x33, 0x46, 0x43, 
        0x55, 0x55, 0x44, 0x43, 0x33, 0x25, 0x65, 0x45, 0x85, 0x6D, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xEE, 0xED, 0xEE, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA,
  0xEE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x32, 0x34, 0x44, 0x44, 0x45, 0x55, 0x55, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x34, 0x45, 0x43, 
        0x34, 0x43, 0x33, 0x22, 0x23, 0x45, 0x45, 0x68, 0x75, 0x5A, 0xEE, 0xDE, 0xEE, 0xEE, 0xEE, 0xDE, 0xFE, 0xDE, 0xC9, 0x9A, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x83, 0x34, 0x45, 0x55, 0x55, 0x55, 0x55, 0x54, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x33, 0x33, 0x43, 0x33, 
        0x33, 0x32, 0x33, 0x23, 0x34, 0x43, 0x58, 0x77, 0x66, 0x57, 0xDF, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xEE, 0xDD, 0xEA, 0x9A, 0xAA, 0xA9, 0xAA, 0xAA, 0x99, 0x9A, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC5, 0x33, 0x33, 0x33, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x23, 0x32, 0x33, 0x32, 
        0x33, 0x32, 0x23, 0x33, 0x34, 0x46, 0x87, 0x67, 0x67, 0x87, 0xBE, 0xEF, 0xFE, 0xEE, 0xEE, 0xDE, 0xEF, 0xED, 0xED, 0x99, 0x99, 0x99, 0x99, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD8, 0x42, 0x33, 0x33, 0x34, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x44, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x22, 0x22, 
        0x33, 0x33, 0x33, 0x44, 0x67, 0x88, 0x77, 0x67, 0x99, 0x86, 0x6C, 0xFE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEF, 0xED, 0xDF, 0xA8, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x89, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xB6, 0x43, 0x33, 0x33, 0x33, 0x33, 0x43, 0x44, 0x44, 0x44, 0x44, 0x43, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x43, 0x43, 0x33, 0x33, 0x33, 0x33, 
        0x33, 0x44, 0x57, 0x89, 0x98, 0x89, 0x88, 0x99, 0xAB, 0x85, 0x48, 0xEF, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xFE, 0xCE, 0xD6, 0x77, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x77, 0x78, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEB, 0x74, 0x23, 0x33, 0x33, 0x34, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x33, 0x22, 0x23, 0x22, 0x22, 0x23, 0x33, 0x44, 0x44, 0x45, 
        0x78, 0x9A, 0xBB, 0xAA, 0xA9, 0x99, 0xAB, 0xAA, 0xAA, 0x85, 0x55, 0xCF, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xEE, 0xDD, 0xF7, 0x45, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x89, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xA6, 0x32, 0x22, 0x33, 0x33, 0x33, 0x33, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x33, 0x34, 0x45, 0x56, 0x67, 0x77, 0x89, 0xAA, 0xAA, 0xBB, 0xBB, 
        0xBB, 0xA9, 0x87, 0x76, 0x67, 0x77, 0x8C, 0xBA, 0xBA, 0x95, 0x54, 0xAF, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEF, 0xEC, 0xED, 0x34, 0x44, 0x45, 0x44, 0x44, 0x44, 0x44, 0x44, 0x45, 0x67, 0x89, 0x99, 0x99, 0x9A, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0x86, 0x54, 0x44, 0x33, 0x32, 0x22, 0x33, 0x33, 0x33, 0x34, 0x43, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x22, 0x33, 0x45, 0x68, 0x99, 0xAB, 0xBB, 0xBB, 0xCC, 0xCC, 0xBB, 0xA9, 0x98, 0x88, 0x87, 
        0x65, 0x44, 0x43, 0x32, 0x23, 0x44, 0x4A, 0xCA, 0xAA, 0xA6, 0x54, 0x6D, 0xFE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEF, 0xFE, 0xDF, 0x82, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x46, 0x78, 0x89, 0x99, 0xAA, 0x9A, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFF, 0xFF, 0xEC, 0x96, 0x67, 0x99, 0x99, 0x99, 0x88, 0x87, 0x65, 0x54, 0x33, 0x33, 0x33, 0x33, 0x33, 0x44, 0x43, 0x33, 0x33, 0x23, 0x32, 0x22, 0x23, 0x33, 0x45, 0x68, 0x9A, 0xAA, 0xAA, 0xA9, 0xA9, 0x9A, 0xAA, 0x98, 0x86, 0x55, 0x54, 0x45, 0x54, 0x33, 
        0x33, 0x33, 0x22, 0x33, 0x22, 0x22, 0x26, 0xCB, 0xAA, 0xA7, 0x54, 0x5B, 0xFF, 0xFE, 0xEE, 0xEE, 0xEE, 0xEE, 0xFF, 0xDD, 0xE4, 0x23, 0x33, 0x33, 0x33, 0x32, 0x33, 0x34, 0x57, 0x88, 0x99, 0xAA, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0xFE, 0xC9, 0x54, 0x44, 0x46, 0x89, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xA9, 0x98, 0x76, 0x65, 0x54, 0x43, 0x33, 0x34, 0x44, 0x44, 0x45, 0x56, 0x88, 0x99, 0xAB, 0xBB, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x86, 0x44, 0x44, 0x44, 0x44, 0x44, 0x33, 0x33, 0x23, 
        0x33, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x9C, 0xBA, 0xA9, 0x65, 0x48, 0xDF, 0xFF, 0xFE, 0xEE, 0xEE, 0xEE, 0xEF, 0xFC, 0xEB, 0x23, 0x33, 0x33, 0x33, 0x33, 0x34, 0x56, 0x78, 0x99, 0xAA, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x85, 0x44, 0x45, 0x44, 0x44, 0x68, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x99, 0xAA, 0xAA, 0xAA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAB, 0xA9, 0x99, 0x99, 0x98, 0x88, 0x88, 0x89, 0x76, 0x65, 0x43, 0x33, 0x33, 0x44, 0x44, 0x44, 0x43, 0x33, 0x33, 0x33, 
        0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x3A, 0xDB, 0xAA, 0x75, 0x46, 0xBE, 0xFF, 0xFF, 0xEE, 0xEE, 0xEE, 0xEF, 0xFD, 0xCF, 0x82, 0x33, 0x33, 0x33, 0x34, 0x56, 0x78, 0x89, 0x9A, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x44, 0x55, 0x55, 0x44, 0x45, 0x79, 0x99, 0x9A, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x88, 0x99, 0x99, 0x9A, 0xAA, 0xAB, 0xBA, 0xBA, 0xAA, 0xA9, 0x98, 0x77, 0x66, 0x66, 0x66, 0x55, 0x44, 0x32, 0x22, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 
        0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x24, 0xCD, 0xAB, 0x85, 0x44, 0x9B, 0xDF, 0xFF, 0xFE, 0xEE, 0xEE, 0xEF, 0xFF, 0xDD, 0xF5, 0x23, 0x33, 0x33, 0x45, 0x67, 0x89, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x55, 0x55, 0x55, 0x44, 0x45, 0x78, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x87, 0x77, 0x89, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x87, 0x76, 0x54, 0x32, 0x33, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 
        0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x7D, 0xCB, 0xA6, 0x54, 0x6A, 0xAB, 0xDF, 0xFE, 0xEE, 0xEE, 0xEE, 0xFF, 0xFB, 0xEE, 0x32, 0x33, 0x35, 0x67, 0x89, 0x9A, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x56, 0x66, 0x55, 0x44, 0x46, 0x79, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x76, 0x67, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x87, 0x65, 0x43, 0x22, 0x23, 0x33, 0x33, 0x33, 0x22, 0x22, 0x23, 0x32, 0x33, 0x33, 0x33, 0x33, 
        0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x27, 0xDC, 0xC9, 0x55, 0x48, 0xAA, 0xAC, 0xEF, 0xEE, 0xFF, 0xEE, 0xEF, 0xFE, 0xCF, 0xB2, 0x34, 0x57, 0x88, 0x99, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x56, 0x66, 0x54, 0x44, 0x56, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x88, 0x76, 0x67, 0x8A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x99, 0x99, 0x87, 0x54, 0x33, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x32, 0x32, 0x23, 0x33, 
        0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x6C, 0xDB, 0x75, 0x46, 0x9B, 0xBA, 0xBD, 0xEF, 0xFF, 0xEE, 0xEE, 0xFF, 0xDD, 0xF9, 0x35, 0x78, 0x99, 0xAA, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x55, 0x55, 0x54, 0x44, 0x57, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x88, 0x76, 0x67, 0x8A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x76, 0x53, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x33, 0x23, 
        0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x27, 0xDD, 0xA6, 0x54, 0x89, 0xBB, 0xAA, 0xCE, 0xFE, 0xFE, 0xEF, 0xFF, 0xFD, 0xEF, 0x76, 0x89, 0x99, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x55, 0x54, 0x44, 0x34, 0x57, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x88, 0x65, 0x67, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x99, 0x99, 0x88, 0x75, 0x43, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 
        0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x6C, 0xDA, 0x65, 0x6A, 0x9B, 0xBA, 0xAC, 0xEE, 0xEE, 0xEE, 0xFF, 0xFF, 0xDF, 0xE8, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x55, 0x44, 0x43, 0x34, 0x68, 0x99, 0x98, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98, 0x87, 0x66, 0x78, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x88, 0x99, 0x98, 0x87, 0x64, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 
        0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x27, 0xED, 0xB7, 0x59, 0xA8, 0xBB, 0xBC, 0xDE, 0xEE, 0xEE, 0xEF, 0xFF, 0xFE, 0xFA, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,
  0x55, 0x44, 0x43, 0x34, 0x68, 0x99, 0x98, 0x89, 0x89, 0x89, 0x99, 0x99, 0x99, 0x99, 0x88, 0x77, 0x66, 0x78, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x98, 0x88, 0x99, 0x88, 0x76, 0x54, 0x22, 0x33, 0x33, 0x33, 0x33, 
        0x33, 0x33, 0x23, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0xBF, 0xFC, 0x88, 0xB8, 0x8C, 0xDE, 0xEE, 0xEF, 0xEE, 0xEE, 0xFF, 0xFE, 0xFB, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA,
  0x44, 0x43, 0x33, 0x35, 0x68, 0x99, 0x98, 0x89, 0x98, 0x88, 0x98, 0x89, 0x98, 0x98, 0x88, 0x76, 0x66, 0x78, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x88, 0x88, 0x89, 0x87, 0x65, 0x43, 0x22, 0x23, 0x33, 
        0x33, 0x33, 0x32, 0x22, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x37, 0xDF, 0xEB, 0xAB, 0x9B, 0xEE, 0xFF, 0xFF, 0xFE, 0xEE, 0xFF, 0xFF, 0xEB, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA,
  0x44, 0x43, 0x33, 0x35, 0x78, 0x99, 0x98, 0x88, 0x98, 0x88, 0x88, 0x88, 0x98, 0x88, 0x88, 0x76, 0x66, 0x78, 0x99, 0x99, 0x99, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x98, 0x88, 0x89, 0x98, 0x86, 0x43, 0x33, 0x32, 
        0x33, 0x33, 0x33, 0x32, 0x32, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x22, 0x5A, 0xEF, 0xEC, 0xCC, 0xDE, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xD8, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA,
  0x43, 0x33, 0x23, 0x45, 0x79, 0x99, 0x89, 0x88, 0x88, 0x88, 0x88, 0x89, 0x98, 0x88, 0x87, 0x76, 0x66, 0x79, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x88, 0x89, 0x99, 0x98, 0x65, 0x43, 
        0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x23, 0x33, 0x32, 0x33, 0x23, 0x22, 0x48, 0xCE, 0xEE, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0xD9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA,
  0x43, 0x33, 0x22, 0x46, 0x89, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x66, 0x66, 0x89, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x98, 0x89, 0x99, 0x98, 0x86, 
        0x54, 0x33, 0x32, 0x33, 0x33, 0x32, 0x33, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x35, 0x9C, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD9, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0xAC,
  0x43, 0x32, 0x23, 0x47, 0x89, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x77, 0x65, 0x67, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x88, 0x88, 0x89, 
        0x87, 0x65, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x23, 0x33, 0x23, 0x22, 0x23, 0x7A, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAB, 0xCD,
  0x43, 0x22, 0x23, 0x58, 0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x76, 0x55, 0x67, 0x89, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0x9A, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x88, 0x88, 
        0x89, 0x98, 0x75, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x32, 0x32, 0x22, 0x45, 0x79, 0xBD, 0xEE, 0xEB, 0x73, 0x48, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xCD, 0xEE,
  0x43, 0x33, 0x24, 0x79, 0x99, 0x98, 0x88, 0x87, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87, 0x76, 0x55, 0x67, 0x99, 0x99, 0x99, 0xAA, 0x9A, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x9A, 0xA9, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x98, 
        0x88, 0x89, 0x99, 0x76, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x23, 0x33, 0x23, 0x32, 0x33, 0x33, 0x32, 0x22, 0x33, 0x44, 0x32, 0x23, 0x34, 0x69, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xBD, 0xDE, 0xEE,
  0x87, 0x79, 0x86, 0x8A, 0xA9, 0x98, 0x88, 0x77, 0x77, 0x77, 0x88, 0x88, 0x87, 0x77, 0x66, 0x55, 0x68, 0x99, 0x99, 0x99, 0xA9, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x99, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0x99, 0x88, 0x88, 0x99, 0x87, 0x54, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x32, 0x32, 0x35, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xBC, 0xDE, 0xEE, 0xEE,
  0xCC, 0xBC, 0xCB, 0x9A, 0xA9, 0x98, 0x88, 0x87, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x65, 0x55, 0x78, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x9A, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xA9, 0x88, 0x88, 0x89, 0x87, 0x54, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x46, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAC, 0xDD, 0xEE, 0xEE, 0xEE,
  0xDD, 0xCC, 0xDC, 0xB9, 0x99, 0x99, 0x88, 0x88, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x64, 0x56, 0x78, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xBA, 0xA9, 0x88, 0x78, 0x88, 0x87, 0x54, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x22, 0x32, 0x22, 0x23, 0x58, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAB, 0xDD, 0xEE, 0xEE, 0xEE, 0xDC,
  0xCD, 0xCA, 0xBB, 0xB9, 0x89, 0x99, 0x9A, 0xBB, 0xAA, 0x98, 0x77, 0x77, 0x77, 0x76, 0x54, 0x45, 0x78, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0xA9, 0x88, 0x77, 0x78, 0x88, 0x75, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x24, 0x79, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xCD, 0xEE, 0xEE, 0xEE, 0xEC, 0xB8,
  0xAC, 0xBA, 0x9A, 0x99, 0x89, 0x89, 0xAC, 0xDD, 0xDD, 0xDB, 0x97, 0x77, 0x77, 0x66, 0x54, 0x46, 0x78, 0x88, 0x99, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAB, 0xAA, 0xA9, 0x87, 0x77, 0x78, 0x99, 0x86, 0x43, 0x23, 0x33, 0x33, 0x33, 0x32, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x35, 0x89, 0x99, 0x99, 0x99, 0x9A, 0xBD, 0xEE, 0xEE, 0xEE, 0xED, 0xCA, 0x75,
  0x8A, 0xCC, 0xBB, 0xA9, 0x98, 0x89, 0xCD, 0xEE, 0xEE, 0xEE, 0xB9, 0x77, 0x87, 0x77, 0x65, 0x56, 0x78, 0x88, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x98, 0x78, 0x99, 0xA9, 0x86, 0x43, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x22, 0x47, 0x99, 0x99, 0x99, 0xBD, 0xEE, 0xEE, 0xEE, 0xEE, 0xDB, 0x86, 0x66,
  0x59, 0xBD, 0xDD, 0xDC, 0xBA, 0x9A, 0xCD, 0xDD, 0xDE, 0xEE, 0xCB, 0x98, 0x88, 0x78, 0x87, 0x66, 0x78, 0x88, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0xA9, 0x9A, 0xAB, 0xBA, 0xA9, 0x99, 0x9A, 0xA9, 0x86, 0x43, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x23, 0x69, 0x99, 0xAB, 0xDE, 0xEE, 0xEE, 0xEE, 0xDB, 0x96, 0x66, 0x67,
  0x46, 0xAC, 0xDD, 0xEE, 0xED, 0xCC, 0xCC, 0xCD, 0xDD, 0xED, 0xDC, 0xA9, 0x88, 0x87, 0x77, 0x66, 0x77, 0x78, 0x88, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0x99, 0x9A, 0xBB, 0xBB, 0xBA, 0xA9, 0x99, 0x99, 0xAA, 0x96, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x33, 0x23, 0x33, 0x33, 0x33, 0x33, 0x22, 0x22, 0x22, 0x35, 0x8B, 0xDE, 0xEE, 0xEE, 0xEE, 0xDC, 0xA7, 0x66, 0x67, 0x77,
  0x34, 0x7A, 0xCD, 0xDE, 0xEE, 0xEE, 0xED, 0xDD, 0xDD, 0xDD, 0xDC, 0xA8, 0x87, 0x76, 0x55, 0x56, 0x77, 0x77, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xAA, 0x99, 0x9B, 0xBB, 0xBB, 0xBB, 0xBA, 0xA9, 0x99, 0x9A, 0xA9, 0x86, 0x44, 0x33, 0x33, 0x33, 0x33, 0x32, 0x33, 0x33, 0x23, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x22, 0x5A, 0xDE, 0xEE, 0xEE, 0xED, 0xB8, 0x66, 0x66, 0x67, 0x77,
  0x33, 0x47, 0xAB, 0xCD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xCB, 0xAA, 0x86, 0x44, 0x46, 0x67, 0x77, 0x77, 0x87, 0x78, 0x88, 0x88, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAB, 0xA9, 0x99, 0xAB, 0xBB, 0xBB, 0xBB, 0xBA, 0xBB, 0xAA, 0x99, 0x9A, 0xAA, 0x86, 0x53, 0x33, 0x33, 0x33, 0x33, 0x23, 0x33, 0x22, 0x33, 0x22, 0x33, 0x33, 0x22, 0x22, 0x22, 0x26, 0xBE, 0xFF, 0xEE, 0xC9, 0x66, 0x66, 0x77, 0x77, 0x77,
  0x32, 0x34, 0x68, 0x9A, 0xCD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xCB, 0x97, 0x79, 0x99, 0x87, 0x77, 0x77, 0x77, 0x77, 0x88, 0x88, 0x88, 0x88, 0x99, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x9A, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xBA, 0xA9, 0x99, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xA9, 0x99, 0x9A, 0xA9, 0x85, 0x33, 0x33, 0x33, 0x33, 0x32, 0x23, 0x33, 0x32, 0x23, 0x33, 0x23, 0x32, 0x22, 0x22, 0x22, 0x6B, 0xEE, 0xDB, 0x86, 0x66, 0x66, 0x77, 0x77, 0x77,
  0x33, 0x33, 0x45, 0x78, 0xAA, 0xBC, 0xCD, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDC, 0xCC, 0xDD, 0xDC, 0xB9, 0x98, 0x78, 0x88, 0x99, 0x98, 0x88, 0x88, 0x88, 0x88, 0x99, 0x99, 0x98, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAB, 0xBA, 0xA9, 0x9A, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAA, 0xA9, 0x99, 0x9A, 0xA9, 0x75, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x33, 0x33, 0x23, 0x22, 0x22, 0x22, 0x25, 0xAB, 0xA7, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77,
  0x33, 0x33, 0x34, 0x56, 0x78, 0x9A, 0xAB, 0xCC, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xDD, 0xEE, 0xEE, 0xED, 0xDD, 0xCB, 0xBB, 0xBB, 0xBA, 0xAA, 0xAA, 0xA9, 0x98, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAB, 0xAA, 0xA9, 0xAA, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0xAB, 0xAB, 0xAA, 0xA9, 0x99, 0xAA, 0xA9, 0x64, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x32, 0x22, 0x33, 0x33, 0x33, 0x22, 0x22, 0x32, 0x35, 0x56, 0x66, 0x66, 0x77, 0x77, 0x87, 0x77,
  0x33, 0x33, 0x33, 0x45, 0x66, 0x77, 0x89, 0x9A, 0xBC, 0xDD, 0xDD, 0xEE, 0xED, 0xDD, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xCC, 0xBB, 0xBB, 0xBB, 0xBA, 0xA9, 0x88, 0x88, 0x89, 0x99, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAB, 0xBA, 0xA9, 0xAA, 0xBB, 0xBB, 0xBB, 0xAA, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0xAA, 0x98, 0x53, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x23, 0x32, 0x23, 0x22, 0x22, 0x22, 0x22, 0x35, 0x76, 0x66, 0x77, 0x77, 0x77, 0x77,
  0x43, 0x34, 0x43, 0x34, 0x56, 0x66, 0x77, 0x78, 0x9A, 0xBC, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xEE, 0xEF, 0xFF, 0xEE, 0xEE, 0xEE, 0xDD, 0xDC, 0xCC, 0xCC, 0xCC, 0xBB, 0xBA, 0x98, 0x88, 0x98, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0xA9, 0xAA, 0xAB, 0xAB, 0xBB, 0xAA, 0xBB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0xAA, 0x96, 0x42, 0x23, 0x33, 0x33, 0x33, 0x23, 0x33, 0x22, 0x23, 0x33, 0x33, 0x22, 0x22, 0x22, 0x33, 0x57, 0x77, 0x77, 0x77, 0x78, 0x77,
  0x54, 0x33, 0x44, 0x44, 0x45, 0x66, 0x66, 0x77, 0x78, 0x9A, 0xBC, 0xDD, 0xDD, 0xEE, 0xEE, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBA, 0x98, 0x88, 0x99, 0x99, 0x99, 0x9A, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xAA, 0x99, 0xAA, 0xAA, 0xAA, 0xAB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x9A, 0xA9, 0x85, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x32, 0x22, 0x33, 0x33, 0x32, 0x22, 0x22, 0x22, 0x35, 0x77, 0x77, 0x77, 0x77, 0x77,
  0x54, 0x43, 0x44, 0x44, 0x44, 0x56, 0x66, 0x66, 0x66, 0x67, 0x9A, 0xBC, 0xCD, 0xDD, 0xED, 0xDD, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0xBA, 0x88, 0x88, 0x99, 0x99, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0xA9, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x9A, 0xA9, 0x74, 0x33, 0x33, 0x33, 0x32, 0x23, 0x33, 0x22, 0x22, 0x33, 0x33, 0x22, 0x22, 0x22, 0x23, 0x67, 0x78, 0x77, 0x77, 0x78,
  0x55, 0x54, 0x33, 0x45, 0x55, 0x55, 0x56, 0x66, 0x66, 0x55, 0x67, 0x9A, 0xBB, 0xCC, 0xDD, 0xDD, 0xED, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0xA9, 0x88, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 
        0xAA, 0x99, 0x99, 0xAB, 0xAA, 0xBB, 0xAA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0xAA, 0xA9, 0x53, 0x22, 0x33, 0x33, 0x22, 0x23, 0x32, 0x22, 0x22, 0x23, 0x33, 0x32, 0x22, 0x22, 0x36, 0x78, 0x87, 0x78, 0x77,
  0x45, 0x55, 0x44, 0x45, 0x55, 0x55, 0x55, 0x55, 0x65, 0x55, 0x55, 0x56, 0x79, 0xBC, 0xCD, 0xDD, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0xA9, 0x88, 0x99, 0x99, 0x99, 0x9A, 0xAA, 0xA9, 0xAA, 
        0xA9, 0x99, 0x99, 0xAA, 0xAA, 0xBB, 0xBA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0xAA, 0x97, 0x43, 0x32, 0x33, 0x32, 0x22, 0x33, 0x22, 0x22, 0x22, 0x23, 0x33, 0x22, 0x22, 0x23, 0x67, 0x87, 0x77, 0x78,
  0x34, 0x56, 0x55, 0x43, 0x45, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x44, 0x46, 0x8A, 0xBC, 0xDD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xED, 0xDD, 0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBB, 0x98, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 
        0xA9, 0x99, 0x9A, 0xAB, 0xBA, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0xAA, 0x85, 0x32, 0x23, 0x33, 0x32, 0x22, 0x32, 0x22, 0x23, 0x32, 0x33, 0x32, 0x22, 0x22, 0x36, 0x88, 0x88, 0x88,
  0x33, 0x45, 0x55, 0x54, 0x34, 0x55, 0x55, 0x65, 0x55, 0x55, 0x55, 0x54, 0x33, 0x44, 0x7A, 0xCD, 0xDD, 0xDE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xB9, 0x88, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 
        0x99, 0x99, 0x9A, 0xBB, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99, 0x99, 0xA9, 0x63, 0x33, 0x33, 0x33, 0x22, 0x23, 0x32, 0x23, 0x33, 0x33, 0x32, 0x22, 0x22, 0x23, 0x68, 0x88, 0x88,
  0x43, 0x44, 0x45, 0x65, 0x44, 0x45, 0x56, 0x66, 0x66, 0x65, 0x55, 0x55, 0x43, 0x22, 0x48, 0xBC, 0xCC, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDE, 0xDD, 0xDE, 0xEE, 0xDD, 0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0x98, 0x89, 0x99, 0x99, 0x9A, 0xAA, 0xA9, 
        0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA9, 0x99, 0x9A, 0x97, 0x43, 0x33, 0x33, 0x22, 0x23, 0x33, 0x22, 0x33, 0x33, 0x33, 0x32, 0x22, 0x22, 0x36, 0x88, 0x88,
  0x44, 0x44, 0x44, 0x56, 0x55, 0x44, 0x45, 0x66, 0x77, 0x66, 0x65, 0x54, 0x55, 0x43, 0x25, 0x9B, 0xBC, 0xDD, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xDE, 0xEE, 0xED, 0xDD, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xB9, 0x88, 0x99, 0x99, 0x9A, 0xAA, 0xAA, 
        0x99, 0x99, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x98, 0x99, 0x9A, 0x74, 0x33, 0x33, 0x33, 0x22, 0x22, 0x32, 0x22, 0x33, 0x33, 0x32, 0x22, 0x22, 0x23, 0x68, 0x88
};




const PROGMEM unsigned char image2[] = {       // even more mysterious image 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x12, 0x22, 0x22, 0x22, 0x23, 0x22, 0x22, 0x23, 0x33, 0x34, 0x33, 0x33, 0x33, 0x33, 0x34, 0x44, 0x41, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x34, 0x34, 0x44, 0x44, 0x44, 0x44, 0x34, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x46, 0x66, 0x66, 0x66, 0x41, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x30, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x64, 0x44, 0x46, 0x44, 0x44, 0x66, 0x44, 0x46, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x76, 0x66, 0x67, 0x62, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x44, 0x44, 0x64, 0x46, 0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x67, 0x77, 0x67, 0x76, 0x77, 0x77, 0x67, 0x76, 0x77, 0x77, 0x76, 
        0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x44, 0x44, 0x64, 0x46, 0x66, 0x66, 0x66, 0x66, 0x64, 0x67, 0x77, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 
        0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x46, 0x44, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
        0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x13, 0x66, 0x66, 0x64, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
        0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x67, 0x77, 
        0x76, 0x67, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 
        0x77, 0x76, 0x66, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x66, 0x66, 0x66, 0x76, 0x67, 0x76, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x77, 0x79, 0x77, 0x97, 
        0x77, 0x77, 0x77, 0x76, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x76, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x99, 0x99, 
        0x97, 0x99, 0x97, 0x77, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x67, 0x66, 0x77, 0x77, 0x77, 0x76, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x99, 0x99, 0x99, 0x99, 
        0x99, 0x99, 0x99, 0x97, 0x77, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x66, 0x76, 0x77, 0x77, 0x77, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x99, 0x99, 0xBB, 0xBB, 0xBD, 
        0xDB, 0xBB, 0xBB, 0x99, 0x99, 0x93, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x67, 0x77, 0x67, 0x76, 0x76, 0x77, 0x77, 0x77, 0x79, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB9, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x77, 0x77, 0x77, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xD6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x66, 0x66, 0x66, 0x66, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x66, 0x77, 0x77, 0x77, 0x99, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x46, 0x66, 0x66, 0x66, 0x67, 0x77, 0x76, 0x77, 0x76, 0x67, 0x66, 0x77, 0x77, 0x79, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x46, 0x66, 0x66, 0x67, 0x77, 0x76, 0x67, 0x77, 0x76, 0x66, 0x76, 0x77, 0x77, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB6, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x46, 0x66, 0x66, 0x67, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x79, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x92, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x66, 0x66, 0x66, 0x76, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x9B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB9, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x76, 0x66, 0x77, 0x77, 0x77, 0x79, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x94, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x9B, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB9, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x76, 0x66, 0x67, 0x76, 0x77, 0x76, 0x77, 0x77, 0x76, 0x79, 0x9B, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x93, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x76, 0x66, 0x66, 0x77, 0x76, 0x77, 0x67, 0x77, 0x77, 0x79, 0xBB, 0xDB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB9, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x66, 0x77, 0x79, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xBD, 
        0xBB, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x67, 0x67, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x9B, 0xDD, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xBB, 0xBB, 
        0xB9, 0x99, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x76, 0x67, 0x77, 0x76, 0x77, 0x77, 0x76, 0x77, 0x79, 0x9B, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xBB, 0x99, 
        0x99, 0x99, 0x99, 0x9B, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x77, 0x66, 0x66, 0x77, 0x77, 0x67, 0x77, 0x77, 0x79, 0x9B, 0xBB, 0xBD, 0xDD, 0xDD, 0xBB, 0xDD, 0xBB, 0xB9, 0x99, 0x97, 
        0x99, 0x97, 0x99, 0x99, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0xBB, 0xBB, 0xBB, 0xDD, 0xDB, 0xBB, 0xBB, 0xB9, 0x99, 0x97, 0x77, 
        0x77, 0x77, 0x77, 0x99, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xD7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0xBB, 0xBB, 0xBB, 0xBB, 0xDB, 0xBB, 0xBB, 0x76, 0x76, 0x77, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x99, 0x9D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x67, 0x77, 0x77, 0x79, 0x99, 0xBB, 0xDD, 0xBB, 0xBB, 0xB9, 0x7D, 0xFD, 0xD7, 0x67, 0x66, 
        0x77, 0x77, 0x77, 0x77, 0x79, 0x9B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x96, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x99, 0xBB, 0xBB, 0x99, 0x76, 0x7F, 0xFF, 0xFF, 0x49, 0xDD, 
        0x97, 0x66, 0x77, 0x77, 0x79, 0x99, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x66, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0xF7, 0x67, 0x99, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 
        0xFB, 0x97, 0x67, 0x77, 0x79, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x76, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x67, 0x66, 0x67, 0x66, 0x67, 0x77, 0x66, 0x67, 0x76, 0x46, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x4D, 0xBF, 
        0xFF, 0xFF, 0xD9, 0x77, 0x77, 0x79, 0x9B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB7, 0x77, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x47, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x67, 0x69, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xDF, 0xFF, 
        0xFF, 0xDB, 0xB7, 0x77, 0x77, 0x79, 0x9B, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB7, 0x77, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x47, 0x66, 0x66, 0x66, 0x77, 0x77, 0x67, 0x67, 0x7B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x6F, 0xFF, 
        0xD9, 0x66, 0x46, 0x67, 0x77, 0x79, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB7, 0x77, 0x67, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x66, 0x66, 0x76, 0x67, 0x77, 0x66, 0x77, 0x72, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD6, 0x64, 0x67, 
        0x66, 0x64, 0x67, 0x77, 0x77, 0x79, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB7, 0x77, 0x76, 0x73, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x6D, 0xFD, 0xFF, 0xFF, 0xD9, 0xBD, 0xB9, 0x97, 0x97, 0x79, 0x77, 0x77, 0x66, 
        0x66, 0x67, 0x77, 0x77, 0x77, 0x79, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDB, 0x97, 0x77, 0x77, 0x76, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x77, 0x6D, 0xFD, 0xFF, 0xF9, 0x9B, 0xBB, 0xBB, 0xBB, 0x99, 0xBB, 0x99, 0x77, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x77, 0x77, 0x76, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x46, 0x66, 0x67, 0x66, 0x76, 0x67, 0x77, 0x76, 0x6D, 0xFF, 0xFB, 0x67, 0x97, 0xBD, 0x99, 0xBB, 0x99, 0x99, 0x97, 0x77, 0x97, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x99, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x77, 0x77, 0x77, 0x76, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x46, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x69, 0xFF, 0xFF, 0xF6, 0xBD, 0xB7, 0xFF, 0xFD, 0x9B, 0x99, 0x99, 0x97, 0x79, 0x97, 
        0x77, 0x77, 0x77, 0x77, 0x79, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xBB, 0x97, 0x77, 0x77, 0x77, 0x66, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x47, 0x66, 0x66, 0x66, 0x67, 0x76, 0x77, 0x49, 0xFF, 0xFF, 0x77, 0xBB, 0xB9, 0xFF, 0xFF, 0x9B, 0x99, 0x99, 0x99, 0x97, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x79, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB9, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x47, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x34, 0xFF, 0xFF, 0x7B, 0xBD, 0xB9, 0xDF, 0xFF, 0x9B, 0x99, 0x99, 0x99, 0x99, 0x77, 
        0x79, 0x77, 0x77, 0x79, 0x99, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB9, 0x77, 0x77, 0x77, 0x76, 0x66, 0x67, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x47, 0x66, 0x66, 0x77, 0x77, 0x67, 0x77, 0x6F, 0xFF, 0xFD, 0x69, 0xBD, 0xB7, 0xFF, 0xFB, 0x9B, 0xB9, 0x99, 0x99, 0x99, 0x99, 
        0x97, 0x79, 0x77, 0x99, 0x99, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB9, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x67, 0x66, 0x67, 0x62, 0x66, 0x77, 0x77, 0x49, 0xFF, 0xFD, 0x69, 0xBB, 0xB7, 0xFF, 0xF6, 0x9B, 0xBB, 0xB9, 0x99, 0x99, 0x99, 
        0x99, 0x99, 0x79, 0x99, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB7, 0x77, 0x77, 0x77, 0x76, 0x77, 0x66, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x47, 0x76, 0x67, 0x33, 0x46, 0x76, 0x67, 0x41, 0x37, 0xB7, 0x37, 0xBD, 0xBB, 0xFF, 0xF6, 0x9B, 0xBB, 0xB9, 0xBB, 0x99, 0x99, 
        0x99, 0x99, 0x99, 0x9B, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x36, 0x46, 0x67, 0x34, 0x36, 0x77, 0x64, 0x36, 0x76, 0x64, 0x69, 0x9B, 0x9D, 0xFF, 0xF7, 0xBB, 0xBB, 0xB9, 0xBB, 0xB9, 0xB9, 
        0x9B, 0x99, 0x99, 0x9B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xB9, 0x97, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0x34, 0x77, 0x37, 0x76, 0x77, 0x63, 0x66, 0x66, 0x77, 0x69, 0x7B, 0x7D, 0xFF, 0xF9, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xB9, 
        0x99, 0x99, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xB9, 0x97, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x32, 0x66, 0x2D, 0xF6, 0x33, 0x36, 0x64, 0x66, 0x6D, 0xFF, 0x94, 0x9F, 0xFF, 0xD7, 0x9B, 0xBB, 0xBB, 0xBB, 0xB9, 0x99, 
        0x99, 0xBB, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xB9, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x32, 0x00, 0x01, 0x32, 0x2D, 0xFB, 0xB6, 0x26, 0x44, 0x43, 0x7F, 0xFF, 0xF7, 0xFF, 0xFF, 0xF7, 0x79, 0x7B, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xDD, 0xDD, 0xDD, 0xBB, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x67, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x21, 0x00, 0x11, 0x17, 0x41, 0x36, 0x46, 0x44, 0x77, 0x9F, 0xFB, 0xDF, 0xFF, 0xFF, 0xFF, 0xB9, 0x49, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x99, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x10, 0x21, 0x2F, 0xF9, 0x94, 0x46, 0x4B, 0xFF, 0xFD, 0x33, 0x6F, 0xFF, 0xFF, 0xFF, 0xD7, 0x49, 0xBB, 0xBB, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xBD, 0xBD, 0xBD, 0xDB, 0xDD, 0xDD, 0xDD, 0xDB, 0x99, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x01, 0x21, 0x63, 0x3F, 0xB2, 0x10, 0x13, 0x7F, 0xFF, 0x63, 0x79, 0x7F, 0xFF, 0xFF, 0xF9, 0x93, 0x6B, 0xB9, 0x9B, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xBB, 0xBD, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xB7, 0x99, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x11, 0x32, 0x76, 0x14, 0x22, 0x76, 0x24, 0xDF, 0xF6, 0x37, 0x96, 0x7F, 0xFF, 0xFD, 0xFF, 0xD2, 0x79, 0x79, 0xB9, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x11, 0x43, 0x77, 0x13, 0x13, 0x76, 0x46, 0xDF, 0xB6, 0x79, 0x64, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x21, 0x3B, 0xB9, 0x9B, 0xBB, 
        0xBB, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDB, 0xDD, 0xDB, 0xB9, 0x99, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x46, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x12, 0x44, 0x76, 0x11, 0x13, 0x64, 0x49, 0x9F, 0x74, 0x79, 0x43, 0xDF, 0xFF, 0xFF, 0xFF, 0xB1, 0x17, 0xBB, 0x99, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x99, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x12, 0x34, 0x66, 0x42, 0x47, 0x62, 0x22, 0x19, 0xDB, 0x67, 0x64, 0x69, 0xFB, 0x6D, 0xB9, 0x31, 0x23, 0x99, 0x99, 0xBB, 0xBB, 
        0xBB, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xB9, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x67, 0x77, 0x67, 0x76, 0x76, 0x66, 0x66, 0x66, 0x66, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x01, 0x36, 0x66, 0x67, 0x77, 0x63, 0x46, 0x49, 0xD7, 0xF7, 0x67, 0x64, 0x77, 0x64, 0x44, 0x11, 0x64, 0x79, 0x99, 0x9B, 0xBB, 
        0x9B, 0xBB, 0xBB, 0xBB, 0xBB, 0xDD, 0xBB, 0x99, 0x99, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x67, 0x76, 0x76, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0x00, 0x24, 0x66, 0x66, 0x67, 0x77, 0x77, 0x4D, 0xF3, 0xBB, 0x77, 0x97, 0x77, 0x99, 0x74, 0x21, 0x67, 0x77, 0x79, 0xBB, 0xBB, 
        0x9B, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xB9, 0x99, 0x97, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x67, 0x76, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x11, 0x11, 0x66, 0x66, 0x77, 0x77, 0x76, 0x4F, 0xB3, 0x46, 0x77, 0x79, 0x99, 0x97, 0x43, 0x64, 0x66, 0x77, 0x77, 0x99, 0xBB, 
        0x9B, 0xBB, 0xBB, 0xBB, 0xBB, 0xB9, 0x99, 0x97, 0x77, 0x99, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x67, 0x77, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x01, 0x46, 0x66, 0x66, 0x77, 0x74, 0x36, 0x46, 0x66, 0x77, 0x77, 0x79, 0x99, 0x77, 0x76, 0x66, 0x67, 0x77, 0x77, 0x99, 
        0x9B, 0x99, 0xBB, 0x99, 0x99, 0x99, 0x99, 0x99, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x67, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0x66, 0x66, 0x66, 0x67, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x67, 0x77, 0x77, 0x77, 
        0x99, 0x97, 0x79, 0x97, 0x99, 0x99, 0x97, 0x77, 0x99, 0x99, 0x77, 0x77, 0x77, 0x77, 0x67, 0x76, 0x76, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x10, 0x22, 0x36, 0x76, 0x22, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x67, 0x76, 0x67, 0x77, 
        0x99, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x99, 0x97, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x66, 0x76, 0x66, 0x66, 0x66, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x12, 0x21, 0x13, 0x21, 0x46, 0x37, 0x67, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x63, 0x11, 0x11, 0x31, 0x46, 0x67, 0x77, 0x76, 0x77, 0x77, 0x77, 0x76, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x77, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x67, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x16, 0x66, 0x66, 0x31, 0x01, 0x10, 0x47, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x77, 0x97, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x00, 0x26, 0x76, 0x76, 0x41, 0x10, 0x34, 0x36, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x76, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x37, 0x32, 0x34, 0x33, 0x00, 0x11, 0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x79, 0x77, 0x77, 0x77, 0x77, 0x76, 0x67, 0x77, 0x66, 0x67, 0x76, 0x76, 0x66, 0x66, 0x66, 0x67, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x14, 0x11, 0x32, 0x13, 0x33, 0x76, 0x67, 0x76, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x66, 0x66, 0x67, 0x67, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x00, 0x26, 0x10, 0x10, 0x11, 0x47, 0x67, 0x76, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x67, 
        0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x40, 0x00, 0x00, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x77, 0x79, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x61, 0x11, 0x00, 0x66, 0x32, 0x12, 0x22, 0x12, 0x33, 0x43, 0x31, 0x11, 0x11, 0x36, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x77, 0x77, 0x66, 0x67, 0x66, 0x67, 0x76, 0x66, 0x76, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x31, 0x60, 0x02, 0x11, 0x11, 0x23, 0x33, 0x33, 0x22, 0x22, 0x23, 0x46, 0x66, 0x22, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x77, 0x77, 0x77, 0x67, 0x67, 0x77, 0x77, 0x77, 0x77, 0x97, 0x77, 0x77, 0x77, 0x66, 0x77, 0x66, 0x77, 0x76, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x67, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x37, 0x41, 0x10, 0x01, 0x11, 0x77, 0x66, 0x66, 0x66, 0x44, 0x66, 0x66, 0x77, 0x77, 0x61, 0x27, 0x76, 0x66, 0x66, 0x66, 0x66, 
        0x67, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x27, 0x61, 0x01, 0x00, 0x22, 0x46, 0x32, 0x22, 0x11, 0x11, 0x11, 0x12, 0x33, 0x46, 0x76, 0x13, 0x76, 0x66, 0x66, 0x66, 0x66, 
        0x67, 0x77, 0x77, 0x77, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x67, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x64, 0x30, 0x04, 0x42, 0x21, 0x11, 0x33, 0x33, 0x44, 0x44, 0x44, 0x31, 0x11, 0x36, 0x41, 0x67, 0x66, 0x66, 0x66, 0x66, 
        0x67, 0x77, 0x77, 0x77, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x76, 0x67, 0x76, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x63, 0x01, 0x66, 0x31, 0x33, 0x33, 0x23, 0x44, 0x44, 0x34, 0x44, 0x43, 0x22, 0x12, 0x63, 0x16, 0x76, 0x66, 0x66, 0x66, 
        0x67, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x67, 0x66, 0x66, 0x67, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x37, 0x61, 0x26, 0x41, 0x13, 0x23, 0x14, 0x42, 0x43, 0x34, 0x44, 0x34, 0x43, 0x32, 0x11, 0x26, 0x22, 0x67, 0x66, 0x66, 0x66, 
        0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x77, 0x66, 0x66, 0x67, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x60, 0x66, 0x31, 0x34, 0x32, 0x24, 0x41, 0x34, 0x33, 0x44, 0x34, 0x33, 0x33, 0x21, 0x04, 0x61, 0x37, 0x66, 0x66, 0x66, 
        0x66, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x27, 0x41, 0x64, 0x31, 0x43, 0x41, 0x14, 0x13, 0x44, 0x34, 0x44, 0x33, 0x33, 0x32, 0x21, 0x06, 0x76, 0x16, 0x76, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x77, 0x67, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x40, 0x63, 0x42, 0x24, 0x43, 0x22, 0x21, 0x34, 0x34, 0x43, 0x44, 0x44, 0x44, 0x21, 0x26, 0x63, 0x06, 0x76, 0x66, 0x66, 
        0x66, 0x67, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x27, 0x40, 0x43, 0x34, 0x12, 0x34, 0x41, 0x64, 0x23, 0x44, 0x33, 0x34, 0x33, 0x44, 0x11, 0x44, 0x31, 0x07, 0x66, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x00, 0x26, 0x40, 0x43, 0x34, 0x41, 0x14, 0x32, 0x23, 0x33, 0x44, 0x44, 0x44, 0x33, 0x32, 0x13, 0x42, 0x46, 0x16, 0x66, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x67, 0x77, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x00, 0x26, 0x40, 0x63, 0x33, 0x46, 0x31, 0x12, 0x23, 0x44, 0x44, 0x44, 0x33, 0x12, 0x33, 0x34, 0x34, 0x96, 0x16, 0x66, 0x66, 0x66, 
        0x66, 0x67, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x77, 0x76, 0x66, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x40, 0x76, 0x33, 0x33, 0x44, 0x42, 0x12, 0x22, 0x22, 0x11, 0x23, 0x46, 0x44, 0x33, 0x47, 0x96, 0x17, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x67, 0x77, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x60, 0x77, 0x63, 0x33, 0x44, 0x44, 0x43, 0x33, 0x44, 0x44, 0x64, 0x43, 0x33, 0x36, 0x77, 0x96, 0x17, 0x76, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x77, 0x76, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x66, 0x66, 0x67, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x60, 0x67, 0x77, 0x43, 0x33, 0x34, 0x44, 0x44, 0x66, 0x44, 0x43, 0x33, 0x34, 0x67, 0x77, 0x96, 0x16, 0x76, 0x66, 0x66, 
        0x66, 0x67, 0x77, 0x77, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x61, 0x46, 0x77, 0x77, 0x43, 0x33, 0x33, 0x33, 0x34, 0x33, 0x33, 0x34, 0x67, 0x77, 0x77, 0x96, 0x16, 0x76, 0x66, 0x66, 
        0x66, 0x66, 0x77, 0x77, 0x76, 0x66, 0x77, 0x77, 0x77, 0x77, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x60, 0x67, 0x77, 0x77, 0x77, 0x77, 0x66, 0x77, 0x64, 0x33, 0x33, 0x67, 0x77, 0x77, 0x77, 0x96, 0x17, 0x76, 0x66, 0x66, 
        0x66, 0x66, 0x76, 0x66, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x60, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x77, 0x96, 0x17, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x77, 0x76, 0x77, 0x76, 0x67, 0x77, 0x77, 0x77, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x60, 0x69, 0x77, 0x77, 0x77, 0x76, 0x47, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 0x76, 0x17, 0x66, 0x66, 0x44, 
        0x66, 0x66, 0x76, 0x67, 0x76, 0x76, 0x67, 0x67, 0x77, 0x77, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x60, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x60, 0x37, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x74, 0x64, 0x17, 0x66, 0x66, 0x64, 
        0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x76, 0x76, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x61, 0x29, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x77, 0x64, 0x77, 0x77, 0x77, 0x73, 0x73, 0x16, 0x66, 0x66, 0x46, 
        0x66, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x61, 0x39, 0x77, 0x77, 0x77, 0x73, 0x47, 0x77, 0x77, 0x77, 0x44, 0x77, 0x77, 0x79, 0x63, 0x91, 0x27, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x40,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x61, 0x19, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x77, 0x46, 0x77, 0x77, 0x97, 0x36, 0x91, 0x47, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x76, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x62, 0x19, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x77, 0x46, 0x97, 0x74, 0x44, 0x47, 0x91, 0x47, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x67, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x63, 0x19, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x77, 0x46, 0x77, 0x63, 0x76, 0x67, 0x71, 0x67, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x63, 0x07, 0x77, 0x77, 0x77, 0x74, 0x47, 0x77, 0x77, 0x76, 0x36, 0x96, 0x36, 0x77, 0x79, 0x40, 0x76, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x64, 0x07, 0x77, 0x77, 0x77, 0x76, 0x47, 0x77, 0x77, 0x64, 0x67, 0x74, 0x47, 0x74, 0x69, 0x11, 0x76, 0x66, 0x66, 0x66, 
        0x64, 0x66, 0x67, 0x76, 0x67, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x66, 0x06, 0x77, 0x77, 0x77, 0x76, 0x47, 0x77, 0x77, 0x36, 0x77, 0x73, 0x67, 0x74, 0x66, 0x06, 0x66, 0x66, 0x66, 0x66, 
        0x64, 0x66, 0x67, 0x76, 0x77, 0x66, 0x67, 0x76, 0x67, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x26, 0x66, 0x06, 0x76, 0x47, 0x77, 0x77, 0x47, 0x77, 0x76, 0x47, 0x77, 0x63, 0x77, 0x77, 0x71, 0x26, 0x76, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x77, 0x77, 0x76, 0x67, 0x76, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x14, 0x66, 0x04, 0x73, 0x36, 0x77, 0x77, 0x46, 0x77, 0x74, 0x47, 0x77, 0x64, 0x77, 0x79, 0x21, 0x76, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x67, 0x77, 0x77, 0x76, 0x67, 0x77, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x03, 0x74, 0x64, 0x77, 0x77, 0x36, 0x77, 0x74, 0x67, 0x79, 0x44, 0x79, 0x77, 0x16, 0x76, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x77, 0x67, 0x76, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x13, 0x73, 0x73, 0x67, 0x77, 0x46, 0x77, 0x74, 0x77, 0x79, 0x44, 0x67, 0x96, 0x17, 0x76, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x67, 0x66, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x21, 0x74, 0x96, 0x67, 0x67, 0x46, 0x77, 0x73, 0x67, 0x77, 0x63, 0x47, 0x94, 0x17, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x21, 0x74, 0x76, 0x67, 0x77, 0x44, 0x77, 0x73, 0x67, 0x77, 0x63, 0x47, 0x73, 0x37, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x66, 0x64, 0x46, 0x66, 0x66, 0x66, 0x66, 0x46,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x31, 0x73, 0x66, 0x47, 0x77, 0x64, 0x77, 0x74, 0x77, 0x77, 0x63, 0x47, 0x72, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x77, 0x66, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x66, 0x66, 0x46, 0x66, 0x66, 0x46, 0x64, 0x66,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x40, 0x74, 0x34, 0x46, 0x77, 0x64, 0x77, 0x73, 0x77, 0x77, 0x63, 0x47, 0x91, 0x47, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x46, 0x66, 0x77, 0x66, 0x77, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x40, 0x76, 0x47, 0x46, 0x77, 0x63, 0x67, 0x73, 0x67, 0x64, 0x63, 0x47, 0x71, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x76, 0x66, 0x77, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x30, 0x67, 0x77, 0x36, 0x77, 0x76, 0x36, 0x73, 0x67, 0x44, 0x64, 0x67, 0x71, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x40, 0x67, 0x74, 0x37, 0x77, 0x77, 0x46, 0x73, 0x69, 0x46, 0x76, 0x67, 0x61, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x64, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x61, 0x29, 0x76, 0x67, 0x77, 0x77, 0x46, 0x73, 0x67, 0x46, 0x76, 0x67, 0x31, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x64, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x46, 0x66, 0x66, 0x66, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x63, 0x06, 0x77, 0x77, 0x77, 0x77, 0x46, 0x73, 0x67, 0x36, 0x76, 0x76, 0x03, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x46, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x64, 0x46, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x20, 0x69, 0x77, 0x77, 0x77, 0x37, 0x73, 0x67, 0x36, 0x76, 0x74, 0x17, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 
        0x66, 0x44, 0x44, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x46, 0x64, 0x64, 0x44, 0x66, 0x64, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x46, 0x62, 0x04, 0x77, 0x77, 0x76, 0x37, 0x73, 0x67, 0x37, 0x77, 0x60, 0x37, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 
        0x46, 0x44, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x46, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x64, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x64, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x16, 0x66, 0x66, 0x66, 0x30, 0x47, 0x77, 0x76, 0x36, 0x73, 0x67, 0x37, 0x79, 0x21, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 
        0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x10, 0x16, 0x66, 0x66, 0x66, 0x73, 0x06, 0x77, 0x76, 0x47, 0x74, 0x66, 0x37, 0x76, 0x04, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x46, 0x66, 0x66, 0x64, 0x66, 0x66, 0x44, 0x64, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x66, 0x66, 0x67, 0x12, 0x77, 0x76, 0x47, 0x74, 0x66, 0x49, 0x71, 0x27, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x44, 0x64, 0x66, 0x66, 0x64, 0x44, 0x66, 0x44, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x66, 0x44, 0x44, 0x64, 0x46, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x30, 0x67, 0x76, 0x47, 0x74, 0x64, 0x69, 0x41, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x64, 0x46, 0x44, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x66, 0x44, 0x66, 0x44, 0x44, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x61, 0x67, 0x76, 0x37, 0x77, 0x63, 0x76, 0x13, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x64, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x64, 0x44, 0x64, 0x46, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x61, 0x47, 0x76, 0x37, 0x77, 0x64, 0x93, 0x16, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x64, 0x46, 0x44, 0x44, 0x66, 0x64, 0x66, 0x44, 0x64, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x71, 0x27, 0x74, 0x47, 0x76, 0x36, 0x71, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x64, 0x46, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x72, 0x17, 0x74, 0x47, 0x76, 0x47, 0x41, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x44, 0x64, 0x44, 0x64, 0x66, 0x66, 0x44, 0x46, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x14, 0x66, 0x66, 0x66, 0x66, 0x73, 0x17, 0x74, 0x47, 0x76, 0x77, 0x13, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x64, 0x44, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x14, 0x66, 0x66, 0x66, 0x66, 0x74, 0x17, 0x76, 0x67, 0x77, 0x76, 0x16, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x44, 0x44, 0x44, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x66, 0x66, 0x66, 0x66, 0x66, 0x16, 0x77, 0x77, 0x77, 0x74, 0x17, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x42,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x66, 0x41, 0x16, 0x66, 0x67, 0x77, 0x74, 0x26, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x64, 0x46, 0x44, 0x44, 0x44, 0x44, 0x64, 0x64, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x46, 0x40,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x64, 0x3B, 0xFF, 0xD7, 0x67, 0x77, 0x71, 0x27, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x63, 0xFF, 0xFF, 0xFF, 0x76, 0x76, 0x76, 0x34, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x46, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x64, 0xFF, 0xFF, 0xFF, 0x94, 0x7F, 0xFF, 0xF4, 0x47, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x41, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x63, 0xFF, 0xFF, 0xFF, 0x7B, 0xFF, 0xFF, 0xFD, 0x36, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x61, 0xDF, 0xFF, 0xF7, 0xDF, 0xFF, 0xFF, 0xFF, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x37, 0xFF, 0xFF, 0xD7, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x66, 0x46, 0x66, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x42, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x2F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x43, 0x66, 0x44, 0x66, 0x26, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x66, 0x66, 0x66, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x31, 0x46, 0x44, 0x64, 0x26, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x26, 0xFF, 0xFF, 0xF9, 0x9D, 0xFF, 0xFF, 0xFF, 0x94, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x41, 0x46, 0x44, 0x63, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x42, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x32, 0xFF, 0xFF, 0xD7, 0x69, 0xFF, 0xFF, 0xFF, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x46, 0x41, 0x34, 0x46, 0x62, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x66, 0x66, 0x66, 0x3D, 0xFF, 0xFF, 0xFD, 0x77, 0xFF, 0xFF, 0xFB, 0x36, 0x76, 0x66, 0x66, 0x64, 0x66, 0x66, 0x64, 0x36, 
        0x64, 0x41, 0x16, 0x66, 0x41, 0x46, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x20, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x66, 0x66, 0x66, 0x3D, 0xFF, 0xFF, 0xFF, 0x76, 0xBF, 0xFF, 0xFB, 0x36, 0x76, 0x66, 0x66, 0x64, 0x66, 0x66, 0x64, 0x13, 
        0x64, 0x62, 0x16, 0x66, 0x41, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x43, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x66, 0x66, 0x66, 0x46, 0xFF, 0xFF, 0xFD, 0x67, 0x7F, 0xFF, 0xFF, 0x46, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x31, 
        0x46, 0x64, 0x16, 0x66, 0x41, 0x31, 0x27, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x66, 0x66, 0x66, 0x66, 0xDF, 0xD7, 0xB7, 0x67, 0x7F, 0xFF, 0xFF, 0x94, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 
        0x16, 0x66, 0x14, 0x23, 0x30, 0x31, 0x37, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x10, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0x64, 0x66, 0x66, 0x67, 0x6B, 0x97, 0x77, 0x77, 0x6F, 0xFF, 0xFF, 0xF3, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x23, 0x66, 0x11, 0x02, 0x43, 0x62, 0x47, 0x66, 0x66, 0x66, 0x66, 0x66, 0x76, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x64, 0x66, 0x66, 0x66, 0x73, 0x36, 0x77, 0x77, 0x6F, 0xFF, 0xFF, 0xFB, 0x36, 0x76, 0x66, 0x66, 0x64, 0x66, 0x66, 0x66, 
        0x42, 0x22, 0x21, 0x12, 0x66, 0x61, 0x67, 0x77, 0x66, 0x77, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x64, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x44, 0x44, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x64, 0x66, 0x66, 0x66, 0x74, 0x37, 0x77, 0x76, 0x6D, 0xFF, 0xFF, 0xFF, 0x44, 0x76, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 
        0x66, 0x42, 0x13, 0x31, 0x66, 0x41, 0x77, 0x67, 0x76, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x64, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0x46, 0x44, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x64, 0x66, 0x66, 0x67, 0x74, 0x36, 0x77, 0x66, 0x79, 0xFF, 0xFF, 0xFF, 0xF3, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x13, 0x61, 0x37, 0x33, 0x76, 0x44, 0x67, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x64, 0x66, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x66, 0x66, 0x66, 0x67, 0x74, 0x46, 0x66, 0x77, 0x76, 0x24, 0xFF, 0xFF, 0xFB, 0x16, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
        0x66, 0x66, 0x21, 0x63, 0x37, 0x34, 0x46, 0xD9, 0x46, 0x76, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x66, 0x66, 0x66, 0x67, 0x74, 0x66, 0x66, 0x76, 0x77, 0x44, 0x7F, 0xFF, 0xFF, 0x72, 0x67, 0x66, 0x76, 0x66, 0x66, 0x64, 
        0x64, 0x66, 0x41, 0x74, 0x26, 0x31, 0x9F, 0xFF, 0xD6, 0x76, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x44, 0x66, 0x44, 0x44, 0x46, 0x44, 0x44, 0x44, 0x46, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x66, 0x66, 0x67, 0x77, 0x74, 0x79, 0x66, 0x67, 0x99, 0x47, 0x6D, 0xFF, 0xFF, 0xF4, 0x36, 0x66, 0x66, 0x32, 0x23, 0x11, 
        0x21, 0x13, 0x41, 0x36, 0x36, 0x14, 0xFF, 0xFF, 0xF6, 0x76, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x66, 0x66, 0x67, 0x77, 0x73, 0x27, 0x77, 0x77, 0x99, 0x39, 0x74, 0xFF, 0xFF, 0xFF, 0x11, 0x11, 0x23, 0x46, 0x77, 0x31, 
        0x10, 0x00, 0x11, 0x13, 0x22, 0x0F, 0xFF, 0xFF, 0xF6, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x44, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x64, 0x44, 0x44, 0x44, 0x64, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x66, 0x66, 0x67, 0x77, 0x76, 0x32, 0x34, 0x67, 0x74, 0x06, 0x41, 0x1F, 0xFF, 0xFD, 0x79, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 
        0xD9, 0xBB, 0x99, 0x96, 0x10, 0x0F, 0xFF, 0xFF, 0xF6, 0x77, 0x77, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x62, 0x46, 0x44, 0x66, 0x44, 0x44, 0x66, 0x44, 0x44, 0x44, 0x44, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x66, 0x66, 0x66, 0x77, 0x66, 0x64, 0x11, 0x11, 0x10, 0x16, 0x46, 0x7B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBD, 0xBB, 0xBB, 
        0xBB, 0xDD, 0xDD, 0xFD, 0xB6, 0x3F, 0xFF, 0xFF, 0xF6, 0x67, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x63, 0x46, 0x44, 0x66, 0x64, 0x44, 0x66, 0x44, 0x44, 0x44, 0x44, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x66, 0x66, 0x43, 0x12, 0x21, 0x11, 0x12, 0x36, 0x99, 0xBD, 0xFF, 0xFF, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBD, 0xBB, 0xBB, 
        0xB9, 0x99, 0xBD, 0xDD, 0xFD, 0xBF, 0xFF, 0xFF, 0xF6, 0x67, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x63, 0x44, 0x44, 0x66, 0x66, 0x44, 0x44, 0x44, 0x44, 0x44, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x63, 0x11, 0x02, 0x79, 0x99, 0xBB, 0xBD, 0xBB, 0xDD, 0xDD, 0xDF, 0xFF, 0xFD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xDD, 0xDD, 0xDB, 0xB9, 0xB9, 0xBF, 0xFF, 0xFF, 0xF4, 0x67, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x62, 0x46, 0x66, 0x46, 0x64, 0x44, 0x44, 0x44, 0x44, 0x44, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x11, 0x6B, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xFF, 0xDD, 0xDB, 0xDF, 0xFD, 0xDD, 0xDB, 0xBB, 0xBB, 0xBB, 0x9B, 0xBD, 
        0xDD, 0xDD, 0xB6, 0x66, 0x77, 0xBF, 0xFF, 0xFF, 0xF1, 0x47, 0x66, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x46, 0x42, 0x46, 0x46, 0x66, 0x66, 0x64, 0x44, 0x44, 0x64, 0x46, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49, 0x99, 0x77, 0x9D, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xD9, 0xDF, 0xBB, 0xDD, 0xDB, 0xBB, 0xBB, 0xBB, 0xDB, 0xBB, 0xBD, 
        0xDD, 0xDB, 0x67, 0xBD, 0xDB, 0xDF, 0xFF, 0xFF, 0xF6, 0x11, 0x62, 0x67, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x34, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x44, 0x44, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xFF, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xDD, 
        0xDD, 0xB7, 0xBD, 0xDD, 0xDB, 0xBF, 0xFF, 0xFF, 0xFF, 0xF6, 0x13, 0x37, 0x66, 0x76, 0x66, 0x66, 0x66, 0x64, 0x32, 0x22, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x44, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xDD, 0xFF, 0xFB, 0xFF, 0xFF, 0xFD, 0xFD, 0xDF, 0xFD, 0xDD, 0xFD, 
        0xFF, 0xB9, 0xDD, 0xDD, 0xFB, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x04, 0x44, 0x76, 0x66, 0x66, 0x66, 0x43, 0x23, 0x44, 0x64, 0x66, 0x66, 0x66, 0x66, 0x44, 0x44, 0x46, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xF3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xDD, 0xDD, 0xBB, 0xBD, 0xBB, 0xFF, 0xFB, 0xFF, 0xDF, 0xFD, 0xDB, 0xBB, 0xB9, 0x99, 0x9B, 
        0xFF, 0x7B, 0xDD, 0xDD, 0xFD, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x01, 0x73, 0x77, 0x66, 0x66, 0x63, 0x34, 0x44, 0x66, 0x64, 0x46, 0x66, 0x66, 0x66, 0x46, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xDD, 0xDB, 0xFF, 0xFF, 0xFF, 0xFF, 0xD9, 0xDD, 0xDF, 0xDD, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xF6, 0x04, 0xFD, 0xDD, 0xFD, 0x9F, 0xFF, 0xFF, 0xF6, 0xFD, 0x1F, 0x70, 0x43, 0x66, 0x66, 0x66, 0x63, 0x46, 0x44, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x46, 0x66, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00, 0x3B, 0xBB, 0xDD, 0xDD, 0xDD, 0xDD, 0xB9, 0x79, 0x99, 0xDD, 0xBB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 
        0xF2, 0x06, 0xFD, 0xDD, 0xDD, 0xBF, 0xFF, 0xFF, 0xF1, 0xD4, 0xBF, 0xF0, 0x02, 0x42, 0x66, 0x66, 0x63, 0x44, 0x44, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4B, 0xDD, 0xDD, 0xDD, 0xDD, 0xB7, 0x7B, 0xDD, 0xDD, 0xDF, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 
        0xFD, 0x3D, 0xFD, 0xDD, 0xDD, 0xBD, 0xFF, 0xFF, 0xFB, 0xB9, 0xFD, 0xFB, 0x01, 0x42, 0x46, 0x66, 0x63, 0x44, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x46, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF3, 0x00, 0x00, 0x00, 0x00, 0x09, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xBD, 0xDF, 0xDD, 0xDD, 0xDF, 0xDB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFD, 0xFD, 0xFD, 0xDF, 0xDD, 0xDD, 
        0xFF, 0xD9, 0xBD, 0xDD, 0xDD, 0xFF, 0xFF, 0xDD, 0xFF, 0xFF, 0xDD, 0xFF, 0x41, 0x32, 0x67, 0x66, 0x62, 0x46, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF9, 0x90, 0x00, 0x00, 0x00, 0x00, 0xBF, 0xDD, 0xDD, 0xBB, 0xDB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDB, 0xB9, 0xBD, 0xFF, 0xFF, 0xB9, 0xFF, 0xDF, 0xFF, 0xDD, 0xDD, 0xDD, 
        0xFF, 0xDD, 0x99, 0x9B, 0xDD, 0xFF, 0xDD, 0x9F, 0xFF, 0xFF, 0xFD, 0x7D, 0xD1, 0x11, 0x67, 0x66, 0x63, 0x44, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFF, 0xF9, 0xBF, 0xFD, 0xFF, 0xDF, 0xFF, 0xFF, 
        0xFD, 0xDF, 0xFD, 0x69, 0xDB, 0xFD, 0x99, 0xDF, 0xFF, 0xFF, 0xF6, 0x0D, 0xF3, 0x01, 0x67, 0x66, 0x62, 0x46, 0x66, 0x64, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x0B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0x9D, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 
        0xDD, 0xDF, 0xFF, 0xB7, 0xB9, 0xBD, 0x99, 0xFF, 0xFF, 0xFF, 0xF0, 0x1F, 0xF6, 0x01, 0x66, 0x42, 0x11, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x44, 0x66, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDB, 0xDD, 0xDD, 0xDD, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
        0xDD, 0xDD, 0xDF, 0xB9, 0xB7, 0x7D, 0x9B, 0xFF, 0xF0, 0x7F, 0xD1, 0x9F, 0xF9, 0x01, 0x22, 0x33, 0x44, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x0B, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0x99, 0xDB, 0xDD, 0xDD, 0xDD, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xDF, 0xFF, 0xFD, 0xDD, 0xDD, 
        0xBD, 0xB9, 0xBB, 0x7B, 0xD9, 0x9B, 0xDB, 0xDF, 0xFB, 0xFF, 0xFD, 0xDD, 0xF7, 0x04, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xDD, 0xBB, 0xBB, 0xDD, 
        0xDF, 0xFF, 0xFF, 0x9B, 0xF7, 0xBF, 0xFB, 0xDF, 0xFF, 0xFF, 0xFD, 0xDD, 0xF6, 0x03, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x07, 0xDB, 0xDB, 0xB9, 0xBD, 0xDD, 0xDD, 0xDD, 0xBD, 0xDD, 0xDF, 0xFD, 0xFF, 0xFD, 0xDD, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xBD, 0xDD, 0xDD, 0xDB, 
        0xDD, 0xFF, 0xFB, 0x7D, 0xF9, 0xDF, 0xFD, 0xBF, 0xFF, 0xFF, 0xDD, 0xDD, 0xF7, 0x02, 0x11, 0x36, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x3D, 0xDD, 0xBD, 0xFF, 0xD9, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDF, 0xFD, 0xDD, 0xDB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xDF, 0xDD, 0xBB, 0xBB, 
        0xDD, 0xFD, 0x79, 0xDD, 0xFB, 0xDF, 0xDD, 0xBD, 0xFF, 0xFF, 0xDD, 0xDD, 0xF6, 0x27, 0x43, 0x12, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xDD, 0xDB, 0xBF, 0xFF, 0xFF, 0x9D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xBD, 0xBB, 0xDD, 0xDD, 
        0xDF, 0xF7, 0x9F, 0xFD, 0xD9, 0x7D, 0xDD, 0xDD, 0xFD, 0xDF, 0xDD, 0xDF, 0xF4, 0x47, 0x66, 0x63, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x06, 0xFB, 0x9D, 0xFF, 0xFF, 0xFF, 0xFB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFD, 0xDD, 0xBB, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9D, 0xDF, 0xFD, 0xDD, 
        0xFF, 0xB7, 0xDF, 0xDD, 0xD9, 0x7D, 0xFD, 0xDB, 0xBD, 0xDD, 0xDF, 0xFF, 0xF2, 0x46, 0x66, 0x66, 0x36, 0x66, 0x66, 0x66, 0x66, 0x63, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x29, 0xBB, 0xDF, 0xFF, 0xFF, 0xFF, 0xF9, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDF, 0xFD, 0xDD, 0xBB, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xFF, 0xFD, 0xDD, 
        0xFF, 0x79, 0xDD, 0xDD, 0xFD, 0x9F, 0xD7, 0x99, 0xDF, 0xDD, 0xFD, 0xFF, 0x61, 0x64, 0x66, 0x66, 0x13, 0x66, 0x66, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x99, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xDF, 0xDD, 0xDD, 
        0xFB, 0x7B, 0xBD, 0xDD, 0xFD, 0x7B, 0xB9, 0xDF, 0xFB, 0xBF, 0xDF, 0xF1, 0x01, 0x73, 0x36, 0x66, 0x41, 0x66, 0x66, 0x66, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0x99, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBB, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xDD, 0xFD, 0xDD, 0xFD, 0xDF, 0xFF, 0xFD, 0xFD, 0x7F, 0xFF, 0xFF, 0xFD, 0xBF, 0xFF, 0xDD, 
        0xD7, 0x9D, 0xDF, 0xFD, 0xDD, 0x99, 0xF9, 0xDF, 0xD9, 0xFF, 0xFF, 0x20, 0x04, 0x66, 0x32, 0x66, 0x62, 0x46, 0x66, 0x66, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDF, 0xFD, 0xFF, 0xDD, 0xFF, 0xDD, 0xFF, 0xFF, 0xFF, 0xDD, 0xFF, 0xDD, 
        0xD9, 0xDD, 0xDF, 0xFD, 0xDF, 0xD9, 0xDD, 0xDD, 0xBD, 0xFF, 0xD1, 0x00, 0x17, 0x66, 0x63, 0x26, 0x63, 0x26, 0x66, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x9D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xBB, 0xDD, 0xDF, 0xFF, 0xDD, 0xDD, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xDD, 
        0xDB, 0xFD, 0xDD, 0xFD, 0x79, 0x96, 0xDF, 0x99, 0xFF, 0xFF, 0x40, 0x12, 0x67, 0x66, 0x66, 0x14, 0x66, 0x14, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFF, 0xFF, 0xFD, 0xBF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xB9, 0x9B, 0xBD, 0xDF, 0xFD, 0xFF, 0xDD, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xF7, 0x9F, 0xFD, 
        0xDD, 0xFF, 0xDD, 0xDD, 0x7B, 0xBB, 0xDD, 0x7B, 0xFF, 0xD4, 0x02, 0x34, 0x77, 0x66, 0x41, 0x36, 0x66, 0x41, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFD, 0xBB, 0x9B, 0xBD, 0xDD, 0xFF, 0xDD, 0xFF, 0xFD, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFB, 0x79, 0xDF, 
        0xFF, 0xFF, 0xDD, 0xDD, 0x9B, 0xFF, 0xDB, 0xB9, 0xDB, 0x20, 0x37, 0x66, 0x76, 0x64, 0x13, 0x66, 0x66, 0x61, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDB, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xFF, 0xFF, 0xFB, 0xB6, 0x7D, 
        0xFF, 0xFD, 0xDF, 0xFF, 0xB7, 0xFD, 0xBD, 0xD7, 0x63, 0x23, 0x77, 0x66, 0x66, 0x64, 0x16, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xDD, 0xBB, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFB, 0xD9, 0x77, 
        0xDF, 0xFD, 0xDF, 0xFD, 0xD7, 0x9D, 0xFF, 0x92, 0x17, 0x76, 0x76, 0x66, 0x66, 0x66, 0x21, 0x66, 0x64, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDF, 0xDD, 0xFF, 0xFD, 0xBB, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFD, 0xDB, 0xBB, 
        0xBD, 0xFF, 0xDF, 0xFF, 0xD9, 0x7F, 0xD7, 0x33, 0x16, 0x97, 0x66, 0x66, 0x66, 0x66, 0x42, 0x26, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xFF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xBB, 0xBD, 0xDD, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFB, 0xFF, 0xDD, 0xB9, 0xBD, 
        0x9B, 0xFF, 0xFF, 0xFD, 0xDF, 0x77, 0x32, 0x47, 0x32, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xBB, 0xBD, 0xDD, 0xDD, 0xFD, 0xFF, 0xFF, 0xDD, 0xFF, 0xFB, 0xB9, 0xBF, 0xFD, 0xBB, 0x9F, 
        0xB9, 0xFF, 0xFF, 0xFF, 0xFD, 0x20, 0x47, 0x77, 0x61, 0x46, 0x66, 0x66, 0x66, 0x66, 0x66, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0xDB, 0x9B, 0xDD, 0xDD, 0xDD, 0xDF, 0xFD, 0xB9, 0xBD, 0xDD, 0xDD, 0xDD, 0xFD, 0xFD, 0xDD, 0xDD, 0xDD, 0x74, 0x9F, 0xFF, 0xDB, 0xBB, 0x9B, 
        0xB9, 0xFF, 0xFF, 0xFD, 0x92, 0x11, 0x77, 0x77, 0x73, 0x26, 0x76, 0x66, 0x66, 0x66, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBB, 0x79, 0xBD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xBD, 0xDF, 0xFD, 0xDD, 0xDD, 0xFF, 0xFD, 0xDF, 0xFF, 0xB6, 0x6D, 0xFF, 0xFD, 0xDB, 0xBB, 0xBB, 
        0xB7, 0xFF, 0xFD, 0x93, 0x24, 0x61, 0x47, 0x77, 0x66, 0x46, 0x76, 0x66, 0x66, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x17, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x9D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xFF, 0xFD, 0xFD, 0xDD, 0xFF, 0xDD, 0xFF, 0xFF, 0xB7, 0xDF, 0xDD, 0xDD, 0xDB, 0xBB, 0xBB, 
        0xB9, 0xFD, 0x63, 0x24, 0x66, 0x73, 0x27, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9B, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xDD, 0x7D, 0xDD, 0xBD, 0xDD, 0xDD, 0xBB, 0xBB, 
        0xB6, 0x72, 0x26, 0x77, 0x67, 0x76, 0x46, 0x76, 0x66, 0x66, 0x67, 0x66, 0x64, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDF, 0xDF, 0xFF, 0xDF, 0xFF, 0xFF, 0xDF, 0xDF, 0xDD, 0xBD, 0xD9, 0xBD, 0xBB, 0xBD, 0xD7, 0x69, 0xDB, 0xBD, 
        0x90, 0x36, 0x77, 0x77, 0x77, 0x76, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFD, 0xFD, 0xDF, 0xDD, 0xDD, 0xDF, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xFF, 0xDF, 0xFD, 0xDD, 0xFF, 0xFD, 0xBB, 0xDF, 0xD9, 0xFD, 0xBB, 0xD9, 0x10, 0x00, 0xBD, 0xBB, 
        0x92, 0x77, 0x77, 0x77, 0x67, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0x71, 0x00, 0x9F, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDF, 0xFD, 0xFF, 0xFF, 0xDF, 0xDD, 0xFD, 0xFD, 0xDD, 0xDF, 0xFF, 0xBB, 0xFD, 0xBD, 0x90, 0x00, 0x00, 0x7D, 0xBB, 
        0x74, 0x76, 0x67, 0x77, 0x76, 0x66, 0x67, 0x77, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF1, 0x00, 0x0B, 0xFF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDD, 0xFF, 0xFF, 0xFD, 0xDD, 0xDF, 0xFD, 0xFF, 0xDF, 0xFF, 0xFF, 0x9D, 0xDB, 0xBB, 0x10, 0x00, 0x00, 0x7F, 0xDB, 
        0x34, 0x77, 0x77, 0x76, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF4, 0x00, 0x00, 0x3D, 0x99, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xDF, 0xFF, 0xFF, 0xFD, 0xDD, 0xDD, 0xDF, 0xFF, 0xFD, 0xDF, 0xFD, 0x9D, 0xB9, 0xB6, 0x00, 0x00, 0x00, 0x9D, 0xD7, 
        0x01, 0x36, 0x77, 0x77, 0x66, 0x66, 0x66, 0x66, 0x66, 0x63, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4D, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xFF, 0xDF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xDD, 0xFF, 0xDD, 0xFB, 0x9D, 0xBB, 0xB1, 0x00, 0x00, 0x00, 0xDD, 0xF1, 
        0x00, 0x00, 0x12, 0x47, 0x77, 0x67, 0x66, 0x66, 0x66, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xFF, 0xFD, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xDB, 0xBD, 0xBB, 0xB1, 0x00, 0x00, 0x0B, 0xFD, 0x90, 
        0x00, 0x00, 0x00, 0x00, 0x24, 0x67, 0x76, 0x66, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDD, 0xFD, 0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFD, 0xD9, 0xDD, 0xBB, 0xB4, 0x00, 0x00, 0x9F, 0xD9, 0x10, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x23, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFD, 0xDD, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xDD, 0xD9, 0xDD, 0xBB, 0xBB, 0x41, 0x2B, 0xDD, 0xB1, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xB7, 0xBF, 0xDF, 0xDD, 0xDF, 0xFD, 0xDD, 0xFF, 0xFF, 0xFF, 0xDD, 0xDF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xBB, 0xDD, 0xBB, 0xBB, 0xDD, 0xDD, 0xDD, 0x30, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0x7B, 0xFD, 0xDF, 0xFD, 0xDD, 0xFD, 0xDF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xDB, 0xDB, 0xB9, 0xBB, 0xBB, 0xBB, 0xBB, 0xD6, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x9B, 0xDD, 0xDD, 0xFF, 0xDD, 0xFF, 0xDD, 0xFF, 0xDD, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFD, 0xDD, 0xDD, 0x9F, 0xD9, 0xB9, 0xBB, 0xBB, 0xBB, 0xBB, 0x30, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xFF, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xDD, 0xDD, 0xD9, 0xDF, 0xD9, 0xB9, 0xBB, 0xBB, 0xBD, 0xD4, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xDF, 0xFD, 0xDD, 0xDD, 0xDF, 0xFF, 0xFF, 0xFD, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xDD, 0xFD, 0x9D, 0xFD, 0xDB, 0xBB, 0xBB, 0xBB, 0xDD, 0x40, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xDF, 0xFF, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xDD, 0xFF, 0xDB, 0xDD, 0xDD, 0xBB, 0x99, 0xBB, 0xBD, 0xD3, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xBD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xFD, 0xDD, 0xDD, 0xFF, 0xFD, 0xBD, 0xFD, 0xBB, 0xBB, 0x9B, 0xBB, 0xB9, 0x10, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3D, 0xB9, 0x99, 0xBD, 0xDD, 0xDD, 0xFF, 0xFF, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xBB, 0xFF, 0xDD, 0xBB, 0xBB, 0x9B, 0xDB, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x9D, 0xDB, 0xDD, 0xFD, 0xDD, 0xFD, 0xDD, 0xDD, 0xDD, 0xFF, 0xFF, 0xF9, 0x04, 0xFF, 0xDB, 0xBB, 0xBB, 0x99, 0xBB, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xFF, 0xDD, 0xFD, 0xDF, 0xFF, 0xFF, 0xDF, 0xDD, 0xFF, 0x20, 0x00, 0x6F, 0xFD, 0xDD, 0xDD, 0xBB, 0xDD, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x01, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x14, 0xBD, 0xFF, 0xFF, 0xFF, 0xDF, 0xFD, 0xDF, 0xB0, 0x01, 0x00, 0x06, 0xDF, 0xDD, 0xFF, 0xBB, 0xDB, 0xD3, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x06, 0x7D, 0xDD, 0x9D, 0xD4, 0x64, 0x00, 0x21, 0x10, 0x13, 0x19, 0x97, 0xBD, 0xFD, 0xDD, 0xDF, 0x40, 0x01, 0x10, 0x00, 0x00, 
        0x11, 0x10, 0x02, 0x10, 0x01, 0x00, 0x10, 0x02, 0x01, 0x00, 0x42, 0x00, 0x00, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x00, 0x00, 0x01, 0x12, 0x00, 0xDD, 0xB1, 0x01, 0x00, 0x10, 0x10, 0x10, 0x00, 0x63, 0x30, 0x6D, 0xDD, 0xDF, 0x70, 0x01, 0x00, 0x00, 0x00, 
        0x10, 0x10, 0x00, 0x00, 0x01, 0x00, 0x10, 0x01, 0x01, 0x00, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x31, 0x00, 0x13, 0x10, 0x01, 0x00, 0x13, 0x00, 0x00, 0x00, 0x12, 0x10, 0x00, 0x6F, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 
        0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xB7, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
 };







const PROGMEM unsigned char Font5x7[] = {
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00,// (space)
        0x00, 0x00, 0x5F, 0x00, 0x00, 0x00,// !
        0x00, 0x07, 0x00, 0x07, 0x00, 0x00,// "
        0x14, 0x7F, 0x14, 0x7F, 0x14, 0x00,// #
        0x24, 0x2A, 0x7F, 0x2A, 0x12, 0x00,// $
        0x23, 0x13, 0x08, 0x64, 0x62, 0x00,// %
        0x36, 0x49, 0x55, 0x22, 0x50, 0x00,// &
        0x00, 0x05, 0x03, 0x00, 0x00, 0x00,// '
        0x00, 0x1C, 0x22, 0x41, 0x00, 0x00,// (
        0x00, 0x41, 0x22, 0x1C, 0x00, 0x00,// )
        0x08, 0x2A, 0x1C, 0x2A, 0x08, 0x00,// *
        0x08, 0x08, 0x3E, 0x08, 0x08, 0x00,// +
        0x00, 0x50, 0x30, 0x00, 0x00, 0x00,// ,
        0x08, 0x08, 0x08, 0x08, 0x08, 0x00,// -
        0x00, 0x60, 0x60, 0x00, 0x00, 0x00,// .
        0x20, 0x10, 0x08, 0x04, 0x02, 0x00,// /
        0x3E, 0x51, 0x49, 0x45, 0x3E, 0x00,// 0
        0x00, 0x42, 0x7F, 0x40, 0x00, 0x00,// 1
        0x42, 0x61, 0x51, 0x49, 0x46, 0x00,// 2
        0x21, 0x41, 0x45, 0x4B, 0x31, 0x00,// 3
        0x18, 0x14, 0x12, 0x7F, 0x10, 0x00,// 4
        0x27, 0x45, 0x45, 0x45, 0x39, 0x00,// 5
        0x3C, 0x4A, 0x49, 0x49, 0x30, 0x00,// 6
        0x01, 0x71, 0x09, 0x05, 0x03, 0x00,// 7
        0x36, 0x49, 0x49, 0x49, 0x36, 0x00,// 8
        0x06, 0x49, 0x49, 0x29, 0x1E, 0x00,// 9
        0x00, 0x36, 0x36, 0x00, 0x00, 0x00,// :
        0x00, 0x56, 0x36, 0x00, 0x00, 0x00,// ;
        0x00, 0x08, 0x14, 0x22, 0x41, 0x00,// <
        0x14, 0x14, 0x14, 0x14, 0x14, 0x00,// =
        0x41, 0x22, 0x14, 0x08, 0x00, 0x00,// >
        0x02, 0x01, 0x51, 0x09, 0x06, 0x00,// ?
        0x32, 0x49, 0x79, 0x41, 0x3E, 0x00,// @
        0x7E, 0x11, 0x11, 0x11, 0x7E, 0x00,// A
        0x7F, 0x49, 0x49, 0x49, 0x36, 0x00,// B
        0x3E, 0x41, 0x41, 0x41, 0x22, 0x00,// C
        0x7F, 0x41, 0x41, 0x22, 0x1C, 0x00,// D
        0x7F, 0x49, 0x49, 0x49, 0x41, 0x00,// E
        0x7F, 0x09, 0x09, 0x01, 0x01, 0x00,// F
        0x3E, 0x41, 0x41, 0x51, 0x32, 0x00,// G
        0x7F, 0x08, 0x08, 0x08, 0x7F, 0x00,// H
        0x00, 0x41, 0x7F, 0x41, 0x00, 0x00,// I
        0x20, 0x40, 0x41, 0x3F, 0x01, 0x00,// J
        0x7F, 0x08, 0x14, 0x22, 0x41, 0x00,// K
        0x7F, 0x40, 0x40, 0x40, 0x40, 0x00,// L
        0x7F, 0x02, 0x04, 0x02, 0x7F, 0x00,// M
        0x7F, 0x04, 0x08, 0x10, 0x7F, 0x00,// N
        0x3E, 0x41, 0x41, 0x41, 0x3E, 0x00,// O
        0x7F, 0x09, 0x09, 0x09, 0x06, 0x00,// P
        0x3E, 0x41, 0x51, 0x21, 0x5E, 0x00,// Q
        0x7F, 0x09, 0x19, 0x29, 0x46, 0x00,// R
        0x46, 0x49, 0x49, 0x49, 0x31, 0x00,// S
        0x01, 0x01, 0x7F, 0x01, 0x01, 0x00,// T
        0x3F, 0x40, 0x40, 0x40, 0x3F, 0x00,// U
        0x1F, 0x20, 0x40, 0x20, 0x1F, 0x00,// V
        0x7F, 0x20, 0x18, 0x20, 0x7F, 0x00,// W
        0x63, 0x14, 0x08, 0x14, 0x63, 0x00,// X
        0x03, 0x04, 0x78, 0x04, 0x03, 0x00,// Y
        0x61, 0x51, 0x49, 0x45, 0x43, 0x00,// Z
        0x00, 0x00, 0x7F, 0x41, 0x41, 0x00,// [
        0x02, 0x04, 0x08, 0x10, 0x20, 0x00,// "\"
        0x41, 0x41, 0x7F, 0x00, 0x00, 0x00,// ]
        0x04, 0x02, 0x01, 0x02, 0x04, 0x00,// ^
        0x40, 0x40, 0x40, 0x40, 0x40, 0x00,// _
        0x00, 0x01, 0x02, 0x04, 0x00, 0x00,// `
        0x20, 0x54, 0x54, 0x54, 0x78, 0x00,// a
        0x7F, 0x48, 0x44, 0x44, 0x38, 0x00,// b
        0x38, 0x44, 0x44, 0x44, 0x20, 0x00,// c
        0x38, 0x44, 0x44, 0x48, 0x7F, 0x00,// d
        0x38, 0x54, 0x54, 0x54, 0x18, 0x00,// e
        0x08, 0x7E, 0x09, 0x01, 0x02, 0x00,// f
        0x08, 0x14, 0x54, 0x54, 0x3C, 0x00,// g
        0x7F, 0x08, 0x04, 0x04, 0x78, 0x00,// h
        0x00, 0x44, 0x7D, 0x40, 0x00, 0x00,// i
        0x20, 0x40, 0x44, 0x3D, 0x00, 0x00,// j
        0x00, 0x7F, 0x10, 0x28, 0x44, 0x00,// k
        0x00, 0x41, 0x7F, 0x40, 0x00, 0x00,// l
        0x7C, 0x04, 0x18, 0x04, 0x78, 0x00,// m
        0x7C, 0x08, 0x04, 0x04, 0x78, 0x00,// n
        0x38, 0x44, 0x44, 0x44, 0x38, 0x00,// o
        0x7C, 0x14, 0x14, 0x14, 0x08, 0x00,// p
        0x08, 0x14, 0x14, 0x18, 0x7C, 0x00,// q
        0x7C, 0x08, 0x04, 0x04, 0x08, 0x00,// r
        0x48, 0x54, 0x54, 0x54, 0x20, 0x00,// s
        0x04, 0x3F, 0x44, 0x40, 0x20, 0x00,// t
        0x3C, 0x40, 0x40, 0x20, 0x7C, 0x00,// u
        0x1C, 0x20, 0x40, 0x20, 0x1C, 0x00,// v
        0x3C, 0x40, 0x30, 0x40, 0x3C, 0x00,// w
        0x44, 0x28, 0x10, 0x28, 0x44, 0x00,// x
        0x0C, 0x50, 0x50, 0x50, 0x3C, 0x00,// y
        0x44, 0x64, 0x54, 0x4C, 0x44, 0x00,// z
        0x00, 0x08, 0x36, 0x41, 0x00, 0x00,// {
        0x00, 0x00, 0x7F, 0x00, 0x00, 0x00,// |
        0x00, 0x41, 0x36, 0x08, 0x00, 0x00,// }
        0x08, 0x08, 0x2A, 0x1C, 0x08, 0x00,// ->
        0x08, 0x1C, 0x2A, 0x08, 0x08, 0x00 // <-
        };






//**********************************************
//************ GRAPHIC   FUNCTIONS *************
//**********************************************




void refresh(void)        // Refreshes the screen
    {
    int i;
    u8x8_cad_StartTransfer(u8g2.getU8x8());
    u8x8_cad_SendCmd( u8g2.getU8x8(), 0x5C);
    for(i=0;i<256;i++)
      {
      u8x8_cad_SendData( u8g2.getU8x8(),41,screen+41*i);
      }
    u8x8_cad_EndTransfer(u8g2.getU8x8()); 
    }





void clear_screen(void)    // Clears the whole screen
    {
    int i;
     for(i=0;i<10496;i++)
        {
        screen[i]=0;
        }
    
    }





void clear_graph(void)      // Clears the graphic area
    {
    int i,j;
     for(i=0;i<8323;i++)
        {
        screen[i]=0;
        }
     for(i=203;i<256;i++)
        {
       for(j=0;j<2;j++)
         {screen[41*i+j]=0;}
        }    
    }






void pixel(uint8_t x,uint8_t y,uint8_t color)   // Draws a pixel
     {
     int adress,a,b,buf;
     a = y / 4;
     b = y - 4 * a;
     adress = 41*x+y/4;
     buf = screen[adress];
     b = 2 * b;
     a = 255 ^(3 << b);
     buf = buf & a;
     buf = buf | (color << b) ;     
     screen[adress] = buf;      
     }




void xor_pixel(int x,int y,int color)     // same function in XOR mode
     {
     int adress,a,b,buf;
     a = y / 4;
     b = y - 4 * a;
     adress = 41*x+y/4;
     buf = screen[adress];
     b = 2 * b;
     buf = buf ^ (color << b) ;     
     screen[adress] = buf;      
     }




void font(char c,int x,int y)  // 
     {
     int i;
     int j;
     int col;
     for(i=0;i<6;i++)
        {
        col=pgm_read_byte(Font5x7+6*((int) c-32)+i);
        for(j=0;j<7;j++)
        {
          pixel(x+i,y-j,3*(col & 1));
        col=col/2;
        }
        }
     }





void put_hex_entier(int e,int x,int y)  // 
     {
     int i;
     int j;
     int k;
     int ep;
     int buf;
     int col,wi;
     wi=1;
     for(i=0;i<8;i++)
       {
       for(j=0;j<27;j++)
         {
         pixel(x-j+4,y+i,0);
         }
       }
     buf=e;
     if(e < 0) {
               buf = -e;
               }
     for(k=0;k<5;k++)
        {
        ep = buf-10*floor(buf/10);
        buf= floor(buf/10);

        if(wi==1)
             {
             for(i=0;i<5;i++)
                {
                col=pgm_read_byte(Font5x7+6*(16+ep)+i);
                for(j=0;j<7;j++)
                   {
                  // if(col & 1) pixel(x+i-7*k,y-j+7,3);
                   pixel(x+i-7*k,y-j+7,3*(col & 1));
                   col=col/2;
                   }
                }
             }
        if(wi==2)   {
                     for(i=0;i<5;i++)
                        {
                        col=0;
                        for(j=0;j<7;j++)
                           {
                       //    if(col & 1) pixel(x+i-7*k,y-j+7,3);
                           pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     }
        if((e<0) & (wi==0)) {
                     for(i=0;i<5;i++)
                        {
                        col=pgm_read_byte(Font5x7+78+i);
                        for(j=0;j<7;j++)
                           {
                          // if(col & 1) pixel(x+i-7*k,y-j+7,3);
                          pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     wi = 2;
                     }
        if(!buf)  wi=0;
        }
        
      }






void put_float(long e,int x,int y,int v)     // v is the place where the "." has to be
     {
     int i;
     int j;
     int k;
     int ep;
     long buf;
     int col,wi;
     wi=1;
     for(i=0;i<8;i++)    
       {
       for(j=0;j<42;j++)
         {
         pixel(x-j+4,y+i,0);
         }
       }

     buf=e;
     if(e<0) buf = -e;
     for(k=0;k<6;k++)
        {
        if(!(k==v))
           {
           ep = buf-10*floor(buf/10);
           buf= floor(buf/10);
           }
        else
           {
           ep = -2;    // virgule
           }
        if(wi == 1)
             {
             for(i=0;i<5;i++)
                {
                col=pgm_read_byte(Font5x7+6*(16+ep)+i);
                for(j=0;j<7;j++)
                   {
//                   if(col & 1) pixel(x+i-7*k,y-j+7,3);
                   pixel(x+i-7*k,y-j+7,3*(col & 1));
                   col=col/2;
                   }
                }
             }
        if(wi==2)   {
                     for(i=0;i<5;i++)
                        {
                        col=0;
                        for(j=0;j<7;j++)
                           {
//                           if(col & 1) pixel(x+i-7*k,y-j+7,3);
                           pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     }
        if((e<0) & (wi==0)) {
                     for(i=0;i<5;i++)
                        {
                        col=pgm_read_byte(Font5x7+78+i);
                        for(j=0;j<7;j++)
                           {
//                           if(col & 1) pixel(x+i-7*k,y-j+7,3);
                           pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     wi = 2;
                     }
        if((!buf) & (k>=v+1) & (wi != 2))  wi=0;
        }
      }


void put_float9(long e,int x,int y,int v)     // v is the place where the "." has to be
     {
     int i;
     int j;
     int k;
     int ep;
     long buf;
     int col,wi;
     wi=1;
     for(i=0;i<8;i++)    
       {
       for(j=0;j<42;j++)
         {
         pixel(x-j+4,y+i,0);
         }
       }

     buf=e;
     if(e<0) buf = -e;
     for(k=0;k<9;k++)
        {
        if(!(k==v))
           {
           ep = buf-10*floor(buf/10);
           buf= floor(buf/10);
           }
        else
           {
           ep = -2;    // virgule
           }
        if(wi == 1)
             {
             for(i=0;i<5;i++)
                {
                col=pgm_read_byte(Font5x7+6*(16+ep)+i);
                for(j=0;j<7;j++)
                   {
//                   if(col & 1) pixel(x+i-7*k,y-j+7,3);
                   pixel(x+i-7*k,y-j+7,3*(col & 1));
                   col=col/2;
                   }
                }
             }
        if(wi==2)   {
                     for(i=0;i<5;i++)
                        {
                        col=0;
                        for(j=0;j<7;j++)
                           {
//                           if(col & 1) pixel(x+i-7*k,y-j+7,3);
                           pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     }
        if((e<0) & (wi==0)) {
                     for(i=0;i<5;i++)
                        {
                        col=pgm_read_byte(Font5x7+78+i);
                        for(j=0;j<7;j++)
                           {
//                           if(col & 1) pixel(x+i-7*k,y-j+7,3);
                           pixel(x+i-7*k,y-j+7,3*(col & 1));
                           col=col/2;
                           }
                         }
                     wi = 2;
                     }
        if((!buf) & (k>=v+1) & (wi != 2))  wi=0;
        }
      }






void put_text(char text[],int x,int y)        // the text must finish by "/0"
     {                       
     int car;              
     int i,j,k;              
     int fin;
     char texte[51];
     fin=0;

     for(i=0;i<51;i++)
        {
        texte[i]=text[i];
        }
     for(i=0;i<51;i++)
        {
        if(((int) texte[i]==0x2F) && ((int) texte[i+1]==0x30))
           {
           fin=1;
           }
        if(fin == 0)
           {
           for(k=0;k<8;k++)
             {
             for(j=0;j<5;j++)
               {
               pixel(x+6*i+j,y-k,0);
               }
             }
           car = (int) texte[i];
           font(car,x+6*i,y);
           }
        }
     }





void put_text_vert(char text[],int x,int y)       // the text must finish by "/0"
     {                       
     int car;                
     int i,j,k;              
     int fin;
     char texte[51];
     fin=0;

     for(i=0;i<51;i++)
        {
        texte[i]=text[i];
        }
     for(i=0;i<51;i++)
        {
        if(((int) texte[i]==0x2F) && ((int) texte[i+1]==0x30))
           {
           fin=1;
           }
        if(fin == 0)
           {
           for(k=0;k<8;k++)
             {
             for(j=0;j<5;j++)
               {
               pixel(x+j,y-k-8*i,0);
               }
             }
           car = (int) texte[i];
           font(car,x,y-8*i);
           }
        }
     }





void line(int xd,int yd,int xf,int yf,int color)
     {
     int xe;
     int ye;
     int i;
     int pente;
     xe=xf-xd;
     ye=yf-yd;
     pente=100*ye;
     pente=floor(pente/xe);
        pixel(xd,yd,color);
        pixel(xf,yf,color);

     for(i=1;i<xe;i++)
        {
        if(pente>1)
           {
           pixel(xd,yd+1,color);
           }
        else
           {
           pixel(xd+1,yd,color);
           }
        }
     }




     
void lineh(int y,int xd,int xf,int color) // ligne horizontale
     {
     int xe;
     int i;
     xe=xf-xd;
     for(i=0;i<xe+1;i++)
        {
           pixel(xd+i,y,color);
        }
     }





void linev(int x,int yd,int yf,int color)  // ligne verticale
     {
     int ye;
     int i;
     ye=yf-yd;
     for(i=0;i<ye+1;i++)
        {
           pixel(x,yd+i,color);
        }
     }





void put_image(byte image)      // two images can be displayed
    {
    int i,j,buf1,buf2,buf3,error=0;

    for(j=0;j<164+image*38;j++)        // formating data and applying error diffusion algorithm
       {
       for(i=0;i<41;i++)
          {
          if(image) {buf1 = pgm_read_byte(image2+82*j+ 2*i) & 15;} else {buf1 = pgm_read_byte(image1+82*j+ 2*i) & 15;}
          buf1=min(15,max(0,buf1+error));
          buf2=buf1 >>2;       
          error=buf1-4*buf2-2;   
          if(image) {buf1 = pgm_read_byte(image2+82*j+ 2*i) & 240;} else {buf1 = pgm_read_byte(image1+82*j+ 2*i) & 240;}
          buf1=min(15,max(0,(buf1>>4)+error));
          buf2=buf2+(buf1>>2)*4;
          error=buf1-(buf2 & 12)-2;
  
          if(image) {buf1=  pgm_read_byte(image2+82*j+ 2*i+1) & 15;} else {buf1=  pgm_read_byte(image1+82*j+ 2*i+1) & 15;}
          buf1=min(15,max(0,buf1+error));
          buf3=buf1 >>2;       
          error=buf1-4*buf3-2;   
          if(image) {buf1=  pgm_read_byte(image2+82*j+ 2*i+1) & 240;} else {buf1=  pgm_read_byte(image1+82*j+ 2*i+1) & 240;}
          buf1=min(15,max(0,(buf1>>4)+error));
          buf3=buf3+(buf1>>2)*4;
          error=buf1-(buf3 & 12)-2;
  
          buf1=buf2+buf3*16;
  
  
          //*** reversing bits ***        
          buf2 = 0;
          if(buf1 & 1) buf2=buf2+128;     
          if(buf1 & 2) buf2=buf2+64; 
          if(buf1 & 4) buf2=buf2+32; 
          if(buf1 & 8) buf2=buf2+16; 
          if(buf1 & 16) buf2=buf2+8; 
          if(buf1 & 32) buf2=buf2+4; 
          if(buf1 & 64) buf2=buf2+2; 
          if(buf1 & 128) buf2=buf2+1; 
          
          screen[41*j+i]=buf1^255;
          }
        }

    if(!image) {      // the two images doesn't have the same width
               for(i=6724;i<8281;i++) screen[i]=0;
               }
     
    }











//**********************************************
//*********** HMI       FUNCTIONS **************
//**********************************************





void menu(void)
  {
   int i,j;
   linev(203,19,159,3);
   linev(255,19,159,3);
   lineh(159,203,255,3);
   for(i=1;i<12;i++)
      {
      lineh(159-12*i,203,255,3);
      }

    /* 4 gray levels squares in order to help contrast adjustment */
    for(i=0;i<12;i++)
       {
       for(j=0;j<9;j++)
          {
          pixel(206+i,137+j,3); 
          }    
       }
    for(i=0;i<12;i++)
       {
       for(j=0;j<9;j++)
          {
          pixel(218+i,137+j,2); 
          }    
       }  
    for(i=0;i<12;i++)
       {
       for(j=0;j<9;j++)
          {
          pixel(230+i,137+j,1); 
          }    
       }
       
  put_text("  TIME  /0",205,156);
  put_text("     %  /0",205,132);
  put_hex_entier(16*brightness/2.56,228,125);
  put_text("rectangl/0",207,120);
  put_text(" 0-10 A /0",207,108);
  put_text(" phase /0",210,96);
  put_text(" save /0",213,84);
  put_text(" recall/0",208,72);
  put_text("scr.shot/0",207,60);
  put_text(" ABOUT /0",209,48);
  put_text("  RUN /0",209,36);

  }






void chronog(int x,int y)         // creation of a 128*128 pixels chronogram
     {
     int i;
     
     linev(x,y,y+128,3);
     for(i=1;i<9;i++)
        {
        linev(x+16*i,y,y+128,1);
        }
     linev(x+64,y,y+128,2);
     linev(x+128,y,y+128,2);

     for(i=0;i<9;i++)
        {
        lineh(y+16*i,x,x+128,1);
        }

     if(power_grid_voltage)
          {
           put_text("0/0",x-7,y+64+3);
           put_text("100/0",x-7-12,y+64+3+16);
           put_text("200/0",x-7-12,y+64+3+32);
           put_text("300/0",x-7-12,y+64+3+48);
           put_text("-100/0",x-7-18,y+64+3-16);
           put_text("-200/0",x-7-18,y+64+3-32);
           put_text("-300/0",x-7-18,y+64+3-48);
           put_text("U(V)/0",x-11-12,y+64+5+62);
          }
     else     
          {
           put_text("0/0",x-7,y+64+3);
           put_text(" 50/0",x-7-12,y+64+3+16);
           put_text("100/0",x-7-12,y+64+3+32);
           put_text("150/0",x-7-12,y+64+3+48);
           put_text(" -50/0",x-7-18,y+64+3-16);
           put_text("-100/0",x-7-18,y+64+3-32);
           put_text("-150/0",x-7-18,y+64+3-48);
           put_text("U(V)/0",x-11-12,y+64+5+62);
          }

    if(power_grid_freq)
          { 
           put_text("0_ms/0",x-12,y-1);
           put_text("16.7_ms/0",x-18+64,y-1);
           put_text("33.4_ms/0",x-18+128,y-1);
          }
    else
          {
           put_text("0_ms/0",x-12,y-1);
           put_text("20_ms/0",x-12+64,y-1);
           put_text("40_ms/0",x-12+128,y-1);            
          }
    }





void spectrum(int x,int y) // creation d'un graphique pour affiche un spectre
     {
     int i;

     linev(x,y,y+100,3);
     linev(x+64,y,y+100,2);
     linev(x+96,y,y+100,1);
     linev(x+32,y,y+100,1);
     linev(x+128,y,y+100,2);

     for(i=1;i<6;i++)
        {
        lineh(y+20*i,x,x+128,2);
        lineh(y+20*i-10,x,x+128,1);
        }
     lineh(y,x,x+128,3);

     if(power_grid_freq)
          { 
           put_text("0 Hz/0",x-4,y-3);
           put_text("960 Hz/0",x-12+64,y-3);
           put_text("1920 Hz/0",x-16+128,y-3);
          }
     else
          {
           put_text("0 Hz/0",x-4,y-3);
           put_text("800 Hz/0",x-12+64,y-3);
           put_text("1600 Hz/0",x-16+128,y-3);
          }

     put_text("0%/0",x-8-12,y+3+0);
     put_text("20%/0",x-8-12,y+3+20);
     put_text("40%/0",x-8-12,y+3+40);
     put_text("60%/0",x-8-12,y+3+60);
     put_text("80%/0",x-8-12,y+3+80);
     put_text("100%/0",x-8-12-5,y+3+100);
     }





void select(int sel,int color)
    {
    lineh(158-12*sel,204,254,color);
    lineh(148-12*sel,204,254,color);
    linev(204,149-12*sel,157-12*sel,color);
    linev(254,149-12*sel,157-12*sel,color);
    linev(205,149-12*sel,157-12*sel,min(1,color));
    linev(253,149-12*sel,157-12*sel,min(1,color));
    }





void TIME(void)
    {
    put_text("U=     V  I=     mA  S=       VA  F=     %/0",0,17);
    put_text("P=        W  Q=        VAR  D=        VAD /0",0,7);
    lineh(9,0,255,3);
    lineh(19,0,255,3);
    linev(72,0,9,3);
    linev(160,0,9,3);
//    linev(176,0,9,3);
    linev(54,10,19,3);
    linev(119,10,19,3);
    linev(197,10,19,3);
    }





void FREQ(void)
    {
    int i;
    put_text("H1/0",13,17);put_text("H3/0",16+30,17);put_text("H5/0",16+60,17);put_text("H7/0",16+90,17);put_text("H9/0",16+120,17);put_text("H11/0",14+150,17);put_text("H13 /0",14+180,17);put_text("H15  /0",14+210,17);
    put_text("CURRENT'S SPECTRUM/0",45,152);
    put_text("%/0",249,7);
    lineh(9,0,255,3);
    lineh(19,0,255,3);

     for(i=1;i<=8;i++)
        {
        linev(30*i+6,0,19,3);
        }
    linev(30*7+6,0,9,3);
    linev(30*8+6,0,9,3);        
    }



void ENERGY(int x,int y)
    {
    int i;
    put_text("ACTIVE POWER/0",70,152);
    lineh(9,0,255,3);
    lineh(19,0,255,3);
    lineh(29,0,200,3);
    put_text("U=     V  I=     mA  S=       VA  F=     %/0",0,17);
    put_text("P=        W  Q=        VAR  D=        VAD /0",0,7);
    put_text("E=           kWh/0",0,27);
    linev(72,0,9,3);
    linev(160,0,9,3);
    linev(54,10,19,3);
    linev(119,10,19,3);
    linev(197,10,19,3);
    linev(105,20,29,3); 
    linev(x,y,y+100,3);
    linev(x+0,y-3,y,3);
    linev(x+59,y-3,y,3);
    linev(x+119,y-3,y,3);
    linev(x+179,y-3,y,3);
    put_text("P(W)/0",x,y+3+105);
    lineh(y,x,x+180,3);           
    lineh(y+25,x,x+180,1);
    lineh(y+50,x,x+180,1);
    lineh(y+75,x,x+180,1);
    lineh(y+100,x,x+180,1);
    }









//**********************************************
//**************** SCREENSHOT ******************
//**********************************************



void screenshot()
     {
     unsigned char buf,buf1,buf2;
     unsigned char header[]={0x42,0x4D,0x46,0x54,0x00,0x00,0x00,0x00,0x00,0x00,0x46,0x00,0x00,0x00,0x28,0x00,0x00,0x00,0xA4,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x01,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x55,0x55,0x55,0x00,0xAA,0xAA,0xAA,0x00,0xFF,0xFF,0xFF,0x00};
     int i,j;


     for(j=0;j<70;j++)          // Sending the header of the BMP file
        { 
        Serial.write(header[j]);
        }

     for(j=255;j>=0;j--)        // Formating and sending DATA
        {
        for(i=0;i<42;i++)
           {
           buf=screen[41*j+i];
           
           buf=buf ^ 0xff;
           buf1 = buf & 0x0f; buf2 = buf & 0xf0;
           buf1 = ((buf1 & 0x03)<<4) + ((buf1 & 0x0C)>>2);
           buf2 = ((buf2 & 0x30)) + ((buf2 & 0xC0)>>6);

           Serial.write(buf1);
           Serial.write(buf2);
           }
        }

    }





//**********************************************
//***************** AUTO-RANGE *****************
//**********************************************



void i_max(int disp)
   {
   int i,imax;
   imax = 0;
   for(i=0;i<128;i++)
      {
      if(abs(plotted[i+128]) > imax) imax = abs(plotted[i+128]);
      }
   if(imax >= 64)  {
                  calibri = calibri+1;
                  if((calibri == 5) && (calibr == 1)) calibri = 4;
                  if((calibri == 5) && (calibr == 0)) { calibri = 1; calibr = 1; }
                  }
   if(imax <= 27)  {
                  calibri = calibri-1;
                  if((calibri < 0) && (calibr == 0)) calibri = 0;
                  if((calibri < 0) && (calibr == 1)) { calibri = 3; calibr = 0; }
                  }
   digitalWrite(range,!calibr);
   if(disp) i_calibre(32,28,calibri);
   }




void i_sensor_range()
   {
   int i,imax;
   imax = 0;
   for(i=0;i<128;i++)
      {
      if(abs(vReal[i+128]-512) > imax) imax = abs(vReal[i+128]-512);
      }
   if((imax >= 400) && (calibr == 0))  {calibr = 1;put_text(" 0-10 A /0",207,108);} 
   if((imax <= 28) && (calibr == 1))  {calibr = 0;put_text(" 0-1 A  /0",207,108);}
   digitalWrite(range,!calibr);
   }





void i_calibre(int x, int y,int calibre)
     {
     if(calibr == 0){
     put_text("I(mA)/0",x+133,y+64+5+62);
     put_text(" 0-1 A  /0",207,108);
  
     if(calibre+1-power_grid_voltage == 0) {
                put_text("   0 /0",x+133,y+64+3);
                put_text(" +25 /0",x+133,y+64+3+16);
                put_text(" +50 /0",x+133,y+64+3+32);
                put_text(" +75 /0",x+133,y+64+3+48);
                put_text(" -25 /0",x+133,y+64+3-16);
                put_text(" -50 /0",x+133,y+64+3-32);
                put_text(" -75 /0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 1) {
                put_text("    0/0",x+133,y+64+3);
                put_text("  +50/0",x+133,y+64+3+16);
                put_text(" +100/0",x+133,y+64+3+32);
                put_text(" +150/0",x+133,y+64+3+48);
                put_text("  -50/0",x+133,y+64+3-16);
                put_text(" -100/0",x+133,y+64+3-32);
                put_text(" -150/0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 2) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +100/0",x+133,y+64+3+16);
                put_text(" +200/0",x+133,y+64+3+32);
                put_text(" +300/0",x+133,y+64+3+48);
                put_text(" -100/0",x+133,y+64+3-16);
                put_text(" -200/0",x+133,y+64+3-32);
                put_text(" -300/0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 3) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +200/0",x+133,y+64+3+16);
                put_text(" +400/0",x+133,y+64+3+32);
                put_text(" +600/0",x+133,y+64+3+48);
                put_text(" -200/0",x+133,y+64+3-16);
                put_text(" -400/0",x+133,y+64+3-32);
                put_text(" -600/0",x+133,y+64+3-48);
                }
      if(calibre+1-power_grid_voltage == 4) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +400/0",x+133,y+64+3+16);
                put_text(" +800/0",x+133,y+64+3+32);
                put_text("+1200/0",x+133,y+64+3+48);
                put_text(" -400/0",x+133,y+64+3-16);
                put_text(" -800/0",x+133,y+64+3-32);
                put_text(" -1200/0",x+133,y+64+3-48);
                }
      if(calibre+1-power_grid_voltage == 5) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +800/0",x+133,y+64+3+16);
                put_text("+1600/0",x+133,y+64+3+32);
                put_text("+2400/0",x+133,y+64+3+48);
                put_text(" -800/0",x+133,y+64+3-16);
                put_text("-1600/0",x+133,y+64+3-32);
                put_text("-2400/0",x+133,y+64+3-48);
                }
           }
     else {
     if(calibr == 1) 
              {
     put_text("I(A)/0",x+133,y+64+5+62);
     put_text(" 0-10 A /0",207,108);
     if(calibre+1-power_grid_voltage == 0) {
                put_text("    0/0",x+133,y+64+3);
                put_text("+0.25/0",x+133,y+64+3+16);
                put_text("+0.50/0",x+133,y+64+3+32);
                put_text("+0.75/0",x+133,y+64+3+48);
                put_text("-0.25/0",x+133,y+64+3-16);
                put_text("-0.50/0",x+133,y+64+3-32);
                put_text("-0.75/0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 1) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +0.5/0",x+133,y+64+3+16);
                put_text(" +1.0/0",x+133,y+64+3+32);
                put_text(" +1.5/0",x+133,y+64+3+48);
                put_text(" -0.5/0",x+133,y+64+3-16);
                put_text(" -1.0/0",x+133,y+64+3-32);
                put_text(" -1.5/0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 2) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +1.0/0",x+133,y+64+3+16);
                put_text(" +2.0/0",x+133,y+64+3+32);
                put_text(" +3.0/0",x+133,y+64+3+48);
                put_text(" -1.0/0",x+133,y+64+3-16);
                put_text(" -2.0/0",x+133,y+64+3-32);
                put_text(" -3.0/0",x+133,y+64+3-48);
                }
     if(calibre+1-power_grid_voltage == 3) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +2.0/0",x+133,y+64+3+16);
                put_text(" +4.0/0",x+133,y+64+3+32);
                put_text(" +6.0/0",x+133,y+64+3+48);
                put_text(" -2.0/0",x+133,y+64+3-16);
                put_text(" -4.0/0",x+133,y+64+3-32);
                put_text(" -6.0/0",x+133,y+64+3-48);
                }
      if(calibre+1-power_grid_voltage == 4) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +4.0/0",x+133,y+64+3+16);
                put_text(" +8.0/0",x+133,y+64+3+32);
                put_text("+12.0/0",x+133,y+64+3+48);
                put_text(" -4.0/0",x+133,y+64+3-16);
                put_text(" -8.0/0",x+133,y+64+3-32);
                put_text("-12.0/0",x+133,y+64+3-48);
                }
      if(calibre+1-power_grid_voltage == 5) {
                put_text("    0/0",x+133,y+64+3);
                put_text(" +8.0/0",x+133,y+64+3+16);
                put_text("+16.0/0",x+133,y+64+3+32);
                put_text("+24.0/0",x+133,y+64+3+48);
                put_text(" -8.0/0",x+133,y+64+3-16);
                put_text("-16.0/0",x+133,y+64+3-32);
                put_text("-24.0/0",x+133,y+64+3-48);
                }
           }
      
        }
     }





void P_calibre(int x, int y)
  {
  if(P_cal == 0)
    {  
    put_text("  0W/0",x+179,y+3);
    put_text("  5W/0",x+179,y+3+25);
    put_text(" 10W/0",x+179,y+3+50);
    put_text(" 15W/0",x+179,y+3+75);
    put_text(" 20W/0",x+179,y+3+100);
    }
  if(P_cal == 1)
    {  
    put_text("  0W/0",x+179,y+3);
    put_text(" 25W/0",x+179,y+3+25);
    put_text(" 50W/0",x+179,y+3+50);
    put_text(" 75W/0",x+179,y+3+75);
    put_text("100W/0",x+179,y+3+100);
    }
  if(P_cal == 2)
    {  
    put_text("  0W/0",x+179,y+3);
    put_text("100W/0",x+179,y+3+25);
    put_text("200W/0",x+179,y+3+50);
    put_text("300W/0",x+179,y+3+75);
    put_text("400W/0",x+179,y+3+100);
    }
  if(P_cal == 3)
    {  
    put_text("  0W/0",x+179,y+3);
    put_text("500W/0",x+179,y+3+25);
    put_text(" 1kW/0",x+179,y+3+50);
    put_text("1.5kW/0",x+173,y+3+75);
    put_text(" 2kW/0",x+179,y+3+100);
    }

  }



void T_base(int x, int y)
  {
  if(T_cal == 0)
    {  
    put_text("0m/0",x,y-3);
    put_text("1m/0",x-4+59,y-3);
    put_text("2m/0",x-4+119,y-3);
    put_text("3m/0",x-4+179,y-3);
    }
  if(T_cal == 1)
    {  
    put_text("0h/0",x,y-3);
    put_text("1h/0",x-4+59,y-3);
    put_text("2h/0",x-4+119,y-3);
    put_text("3h/0",x-4+179,y-3);
    }
  if(T_cal == 2)
    {  
    put_text("0d/0",x,y-3);
    put_text("1d/0",x-4+59,y-3);
    put_text("2d/0",x-4+119,y-3);
    put_text("3d/0",x-4+179,y-3);
    }
  }
  




//**********************************************
//***** CALCULATING AND GRAPHING VALUES ********
//**********************************************




void write_data(int x, int y,int waves) 
  {    
  unsigned j, k, l, mmax ,trigger,Ueff;
  long int Ieff;
  float    V_offset,I_offset,bfl1, bfl2, tmpr;
  int buf2,buf3,buf,buf1;


  j      = 0;                      
  mmax    = 0;
  buf3 = 0;
  trigger = 0;       


  bfl1 = 0;
  for(l=0;l<128;l++)      // Voltage's offset
           {
           bfl1 = vImag[l] + bfl1;
           }
  bfl1 = bfl1 / 128;
  V_offset = bfl1;




  while (!trigger)   {      // triggering voltage
        buf2 = vImag[j];
        bfl1 =  (buf2-V_offset);
        buf2 = bfl1;                    
        if((buf2>0) & (buf3 <0)) trigger = 1;
        buf3 = buf2;
        j++;
        if(j == 127) trigger = 1;
        }

  j--;                      // j is now the triggering index
  buf = 0;
  

 


  k = 0;
  buf = 0;

  while (k <= 127)   {             //  Plotting the voltage
      buf2 = vImag[(k+j)];
      bfl1 =  (buf2-V_offset)*(1+power_grid_voltage)/15.64;
      buf2 = bfl1;
      bfl1 =  (vImag[(k+j)]-V_offset)*(1+power_grid_voltage)/2.5;
      buf3 = bfl1;
      bbuffer[k]=buf3;

      buf3 = plotted[k]-buf;
      if((k>0) && (firstvplot ==1))  // Clearing previous plotting
        {
        for(l=0;l<=abs(buf3);l++)
           {
           if(buf3>=0) xor_pixel(k+x,buf+y+64+l,2);
           if(buf3<0)  xor_pixel(k+x,buf+y+64-l,2);
           }
        }
      else if(k==126) firstvplot = 1;
      buf3 = buf2-plotted[k-1];
      if(k>0)                       // Plotting new data
        {
        for(l=0;l<=abs(buf3);l++)
           {
           if(buf3>=0)       xor_pixel(k+x,plotted[k-1]+y+64+l,2);
           if(buf3<0)        xor_pixel(k+x,plotted[k-1]+y+64-l,2);
           }
        }
      buf = plotted[k];
      plotted[k] = buf2;
       
      k++;
   }



  
  bfl1 = 0;
  for(l=0;l<128;l++)                // Current's offset
           {
           bfl1 = vReal[(l+j)] + bfl1;
           }
  bfl1 = bfl1 / 128;
  I_offset = bfl1;



  k = 0;
  buf = 0;
  while (k <= 127)   {             // Plotting the current
      buf2 = vReal[(k+j)];
      bfl1 =  (buf2 - I_offset)*4*(2-power_grid_voltage)*pow(10,calibr);
      bbuffer[k+128] = bfl1;         // I ( mA )

      tmpr =  (buf2 - I_offset)*2.56*(2-power_grid_voltage);
      bfl1 = tmpr /pow(2,calibri);
      buf2 = bfl1;
      buf3 = plotted[k+128]-buf;
      if((k>0) && (firstiplot ==1))
        {
        for(l=0;l<=abs(buf3);l++)
           {
           if(buf3 >= 0) xor_pixel(k+x,buf+y+64+l,3);
           if(buf3 < 0)  xor_pixel(k+x,buf+y+64-l,3);
           }
        }
      else if(k==126) firstiplot = 1;
      buf3 = buf2-plotted[k-1+128];
      pixel(k+x,y+16*4,1);
      if(k>0)
        {
        for(l=0;l<=abs(buf3);l++)
           {
           if(buf3>=0)    xor_pixel(k+x,plotted[k-1+128]+y+64+l,3);
           if(buf3<0)     xor_pixel(k+x,plotted[k-1+128]+y+64-l,3);
           }
        }
      buf = plotted[k+128];
      plotted[k+128] = buf2;
       
      k++;
      }
   
      i_max(1);
 




  // Displaying Ueff
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     tmpr = pow(bbuffer[l],2);
     bfl2 = bfl2 + tmpr;
     }
  tmpr = sqrt(bfl2/128);
  Ueff = 10*tmpr;
  put_hex_entier(Ueff/10,34,10);

  // Displaying Ieff
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     bfl1 = abs(bbuffer[l+128]);
     tmpr = bfl1 * bfl1;
     bfl2 = bfl2 + tmpr;
     }
  bfl1 = bfl2 / 128;
  tmpr = sqrt(bfl1);
  Ieff = 10*tmpr;
  put_hex_entier(Ieff/10,95,10);

  // Displaying S
  tmpr = floor((double)Ueff * (double) Ieff/10000);
  powers[0] = tmpr;
  put_float(powers[0],173,10,1);


  // Displaying P
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     bfl1 = bbuffer[l+128];
     tmpr = bbuffer[l];
     bfl2 = bfl1*tmpr + bfl2;
     }
  bfl1 = bfl2 / 128;
  powers[1] = floor(bfl1/100);
  put_float(powers[1],52,0,1);


  // Displaying Fp
  if(powers[0] != 0)  tmpr = floor((powers[1]*100) / powers[0]);
  buf = tmpr;
  put_hex_entier(abs(buf),237,10);


  // Displaying Q
  bfl2 = 0;
  for(l=0;l<64;l++)
     {
     bfl1 = bbuffer[l+128+16];
     tmpr = bbuffer[l];
     bfl2 = bfl1*tmpr + bfl2;
     }
  bfl1 = bfl2 / 64;
  powers[2] = floor(bfl1/100);
  put_float(powers[2],130,0,1);


  // Displaying D
  bfl1 = abs(powers[0]*powers[0]-powers[1]*powers[1]-powers[2]*powers[2]);
  tmpr = sqrt(bfl1);
  powers[3] = floor(tmpr);
  put_float(powers[3],221,0,1);
  
  }







void write_energy(int x, int y,int waves) 
  {    
  unsigned j, k, l, mmax ,trigger,Ueff;
  long int Ieff;
  float    V_offset,I_offset,bfl1, bfl2, tmpr,tmpp;
  int buf2,buf3,buf,buf1;
  long day,hour,minu,seco;


  j       = 0;                      
  mmax    = 0;
  buf3    = 0;
  trigger = 0;       


  bfl1 = 0;
  for(l=0;l<128;l++)      // Voltage's offset
           {
           bfl1 = vImag[l] + bfl1;
           }
  bfl1 = bfl1 / 128;
  V_offset = bfl1;



  j = 1;                     // j is now the triggering index
  buf = 0;
 


  k = 0;
  buf = 0;

  while (k <= 127)   {             //  normalizing the voltage
      bfl1 =  (vImag[(k+j)]-V_offset)*(1+power_grid_voltage)/2.5;
      buf3 = bfl1;
      bbuffer[k]=buf3;
      k++;
      }



  
  bfl1 = 0;
  for(l=0;l<128;l++)                // Current's offset
           {
           bfl1 = vReal[(l+j)] + bfl1;
           }
  bfl1 = bfl1 / 128;
  I_offset = bfl1;



  k = 0;
  buf = 0;
  while (k <= 127)   {             //  normalyzing the current
      buf2 = vReal[(k+j)];
      bfl1 =  (buf2 - I_offset)*4*(2-power_grid_voltage)*pow(10,calibr);
      bbuffer[k+128] = bfl1;         // I ( mA )    
      k++;
      }
   

 

  // Displaying Ueff
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     tmpr = pow(bbuffer[l],2);
     bfl2 = bfl2 + tmpr;
     }
  tmpr = sqrt(bfl2/128);
  Ueff = 10*tmpr;
  put_hex_entier(Ueff/10,34,10);


  // Displaying Ieff
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     bfl1 = abs(bbuffer[l+128]);
     tmpr = bfl1 * bfl1;
     bfl2 = bfl2 + tmpr;
     }
  bfl1 = bfl2 / 128;
  tmpr = sqrt(bfl1);
  Ieff = 10*tmpr;
  put_hex_entier(Ieff/10,95,10);


  // Displaying S
  tmpr = floor((double)Ueff * (double) Ieff/10000);
  powers[0] = tmpr;
  put_float(powers[0],173,10,1);

  tmpp = powers[1];
  // Displaying P
  bfl2 = 0;
  for(l=0;l<128;l++)
     {
     bfl1 = bbuffer[l+128];
     tmpr = bbuffer[l];
     bfl2 = bfl1*tmpr + bfl2;
     }
  bfl1 = bfl2 / 128;
  powers[1] = floor(bfl1/100);
  put_float(powers[1],52,0,1);

  analysis_energy = analysis_energy + (long) powers[1];
  put_float9(((float) analysis_energy)/78,69,20,6);

  day  = floor(analysis_time/864000);
  hour = floor((analysis_time-day*864000)/36000);
  minu = floor((analysis_time-day*864000-hour*36000)/600);
  seco = floor((analysis_time-day*864000-hour*36000-minu*600)/10);
  
  
  analysis_time = analysis_time +5;
  put_hex_entier(seco,190,20);
  put_hex_entier(minu,170,20);
  put_hex_entier(hour,150,20);
  put_hex_entier(day,130,20);
  put_text("s/0",196,27);
  put_text("m/0",176,27);
  put_text("h/0",156,27);
  put_text("d/0",136,27);

  buf1 = (int)(plot_time/Tdiv()/2);
  if(buf1 > time_buf)
      {
      for(l=1;l<100;l++) {pixel(buf1+x,y+l,0);pixel((buf1+1)%180+x,y+l,2);}
      pixel(buf1+x,y,3);pixel(buf1+x,y+25,1);pixel(buf1+x,y+50,1);pixel(buf1+x,y+75,1);
      }
  if(tmpp<=powers[1]) {for(l=min(100,(tmpp/2/P_div[P_cal]));l<=min(100,(powers[1]/2/P_div[P_cal]));l++) pixel(buf1+x,y+l,3);}
  else {for(l=min(100,(powers[1]/2/P_div[P_cal]));l<=min(100,(tmpp/2/P_div[P_cal]));l++) pixel(buf1+x,y+l,3);}
  if((++plot_time)>=360*Tdiv()) plot_time = 0;
  time_buf = buf1;


  // Displaying Fp
  if(powers[0] != 0)  tmpr = floor((powers[1]*100) / powers[0]);
  buf = tmpr;
  put_hex_entier(abs(buf),237,10);


  // Displaying Q
  bfl2 = 0;
  for(l=0;l<64;l++)
     {
     bfl1 = bbuffer[l+128+16];
     tmpr = bbuffer[l];
     bfl2 = bfl1*tmpr + bfl2;
     }
  bfl1 = bfl2 / 64;
  powers[2] = floor(bfl1/100);
  put_float(powers[2],130,0,1);


  // Displaying D
  bfl1 = abs(powers[0]*powers[0]-powers[1]*powers[1]-powers[2]*powers[2]);
  tmpr = sqrt(bfl1);
  powers[3] = floor(tmpr);
  put_float(powers[3],221,0,1);
  
  }


int Tdiv(void)
    {
    if(T_cal == 0) return 1;
    if(T_cal == 1) return 60;
    if(T_cal == 2) return 1440;
    }




void write_fft(int x, int y)
   {
   float    bfl1;
   double   mmax;
   unsigned  l,k;
 
   if(witch_spectrum)     put_text("VOLTAGE'S SPECTRUM/0",45,152);
   else    put_text("CURRENT'S SPECTRUM/0",45,152);
   
   mmax=0;

   for(k=2;k<127;k++)
        {
        mmax=max(mmax,vReal[k]);
        }
   for(k=0;k<128;k++)
        {
        bfl1=1000*vReal[k];
        bfl1=bfl1/mmax;
        vReal[k]=bfl1;
        }
        
   k=1;  
   while (k <= 127)   {                                                   // plotting the spectrum
                      for(l=1;l<=plotted[k];l++)  xor_pixel(k+x,l+y,3);   // Clearing old spectrum
                      for(l=1;l<=vReal[k]/10;l++) xor_pixel(k+x,l+y,3);   // Plotting new spectrum
                      plotted[k] = vReal[k]/10;                           // Saving current spectrum
                      k++;
                      }
                      
   /*  displaying % of first odd harmonics  */
   for(k=0;k<8;k++)               
        {
        put_float(vReal[(7-k)*8+4],30*((7-k)+1),0,1);
        }
   for(k=1;k<=8;k++)
        {
        linev(30*k+6,0,9,3);
        }
   put_text("%/0",249,7);
   }





//**********************************************
//************* DATA ACQUISITION ***************
//**********************************************



// INTERRUPT VECTOR
ISR(TIMER1_COMPA_vect) 
  {
  if(!finished)
      {
      ADCSRA = (ADCSRA & 248) + 7 ;                               // best resolution is requibuf2
      vReal[count_analog]=analogRead(A0);                         // saving RAM space by storing I into vReal
      for(cphase=0;cphase<18*phase;cphase++){cphase=cphase+1;}    // adjusting phase between U and I
      ADCSRA = (ADCSRA & 248) + 6 ;                               // lower resolution is requibuf2
      vImag[count_analog++]=analogRead(A1);                       // saving RAM space by storing U into vImag
      
      if (count_analog > 255) 
          { 
          count_analog = 0;
          finished = 1;
          }
      }
  }




ISR(TIMER2_COMPA_vect) {
  if (varCount++ > 32) 
      { 
      varCount = 0;
      finished = 0;   
      energy_acq = 1;
      write_energy(0,40,0);
      }
}




//**********************************************
//****************** SET-UP ********************
//**********************************************



void setup(void) {
  pinMode (range, OUTPUT);
 
  cli(); // Désactive l'interruption globale
  TCCR1A = 0;
  TCCR1B = 0b00001010;
  TIMSK1 = 0b00000010;
  TCNT1 = 0;  
  OCR1A = 625-104*power_grid_freq;
  sei(); 

  TCCR2A = 0b00000010;
  TCCR2B = 0b00000111; // Clock / 1024
//  TIMSK2 = 0b00000010; // Interruption locale autorisée par OCIE2A
  OCR2A = 210;

  if(EEPROM.read(0)==85)
      {
      contrast = EEPROM.read(1);
      brightness = EEPROM.read(2);
      phase = EEPROM.read(3);
      }
  EEPROM.write(0,85);
  EEPROM.write(1,contrast);
  EEPROM.write(2,brightness);
  put_hex_entier(16*brightness/2.56,228,125);
  EEPROM.write(3,phase);


 
  u8g2.begin();
  u8g2.setContrast(contrast);
  u8x8_cad_StartTransfer(u8g2.getU8x8());
  u8x8_cad_SendCmd( u8g2.getU8x8(), 0x30);
   
  u8x8_cad_SendCmd( u8g2.getU8x8(), 0xF0);  // 4 gray levels
  u8x8_cad_SendArg( u8g2.getU8x8(), 0x11);

  u8x8_cad_SendCmd( u8g2.getU8x8(), 0x75);
  u8x8_cad_SendArg( u8g2.getU8x8(), 0x00);
  u8x8_cad_SendArg( u8g2.getU8x8(), 0x28);
  
  u8x8_cad_SendCmd( u8g2.getU8x8(), 0x15);
  u8x8_cad_SendArg( u8g2.getU8x8(), 0x00);
  u8x8_cad_SendArg( u8g2.getU8x8(), 0xff);
 
  u8x8_cad_SendCmd( u8g2.getU8x8(), 0xbc); //scanning mode
  u8x8_cad_SendArg( u8g2.getU8x8(), 0x06);
   
  u8x8_cad_SendCmd( u8g2.getU8x8(), 0x0C); // data format  
  
  u8x8_cad_EndTransfer(u8g2.getU8x8());

  analogWrite(bright,16*brightness);
  analogReference(EXTERNAL);

  calibri=0;
 
  }








//**********************************************
//***************** MAIN LOOP ******************
//**********************************************


 

void loop(void) {
  int i,j,k=1,x,y;
  byte changing=0;
  u8x8_t *uuu=u8g2.getU8x8();


  x=0;
  show_screen=1;
//  u8g2.setContrast(190);
//  analogWrite(bright,255);
  /**** display init ****/        
  clear_screen();
  menu();
  select(selected,2);
  chronog(34,28);
  TIME();
  refresh();


  /*******************/       
  /**** MAIN LOOP ****/       
  /*******************/       
  i=0;
  while(1){ 
          /**** Acquiring DATA ****/  
          if((!TIMSK2) || (energy_acq))
              {
              finished = 0;   
              TIMSK1 = 0b00000010;
              delay(82);
              TIMSK1 = 0b00000000;
              energy_acq = 0;
              }

      
        /**** FREQUENCY domain display routine ****/       
        if(show_screen == 0)
               {
               i_sensor_range();
               if(witch_spectrum) 
                  {for(k=0;k<256;k++)   vReal[k]=vImag[k]-512;}
               else
                  {for(k=0;k<256;k++)   vReal[k]=vReal[k]-512;}     
               if(windowing)  {
                       // Removes continous part before windowing           
                              FFT.Windowing(vReal, samples, FFT_WIN_TYP_TRIANGLE, FFT_FORWARD);      // Triangle windowing
                              }
               for(k=0;k<256;k++) vImag[k] = 0;                     // Clears voltage acquisition before FFT
               FFT.Compute(vReal, vImag, samples, FFT_FORWARD);     // Computes FFT
               FFT.ComplexToMagnitude(vReal, vImag, samples);       // Computes magnitudes
               if(changing){
                           for(k=0;k<256;k++)
                                {
                                plotted[k] = 0;
                                }
                           clear_graph();
                           spectrum(36,40);
                           FREQ();
                           put_text("  FREQ  /0",205,156);
                           changing=0;
                           }
              write_fft(36,40);
              for(k=0;k<256;k++)     vImag[k] = 0;
              }



        /**** TIME domain display routine ****/       
        if(show_screen==1) {
                           if(changing){
                                       clear_graph();
                                       chronog(34,28);
                                       TIME();
                                       put_text("  TIME  /0",205,156);
                                       for(k=0;k<256;k++)
                                           {
                                           plotted[k] = 0;
                                           }
                                       changing=0; 
                                       }
                          write_data(34,28,0);
                          }


        /**** ENERGY counter display routine ****/       
        if(show_screen==2) {
                           i_sensor_range();
                           if(changing){
                                       clear_graph();
                                       ENERGY(0,40);
                                       put_text(" ENERGY/0",206,156);
                                       for(k=0;k<256;k++)
                                           {
                                           plotted[k] = 0;
                                           }
                                       changing=0;
                                       analysis_energy=0;
                                       analysis_time=0;
                                       varCount=0;                          
                                       P_calibre(0,40);
                                       T_base(0,40); 
                                       }
                          TIMSK2 = 0b00000010;

                          }






            /*******************************/                          
            /**** HMI interface routine ****/                          
            /*******************************/ 
                                     
            if(i++==100) i=0;
            x=x+((analogRead(A7)+128)>>8);    // aquire and check if the value is stable over 1 cycle
            if(((x&15) == 1) && (selected>0)) {select(selected--,0);select(selected,2);}
            if(((x&15) == 3) && (selected<10)) {select(selected++,0);select(selected,2);}
            if(x&15)
                {
                if(!(x&1) && (selected ==0) && !(x&240)) changing=1;
                if(selected ==0)
                    {
                    if(((x&15)==4) && (changing == 1)) if(show_screen==0){show_screen=0;}else{show_screen=show_screen-1;}
                    if(((x&15)==2) && (changing == 1)) if(show_screen==2){show_screen=2;}else{show_screen=show_screen+1;}
                    if(show_screen == 2) {TIMSK2 = 0b00000010;} else {TIMSK2 = 0b00000000;}
                    if((x&15) == 1 && (show_screen==2))
                      {
                      P_cal=P_cal+1;
                      if(P_cal>3) P_cal=0;
                      clear_graph();
                      ENERGY(0,40);
                      P_calibre(0,40);
                      analysis_time = 0;plot_time =0;time_buf = 0;  
                      }
                    if((x&15) == 2 && (show_screen==2))
                      {
                      T_cal=T_cal+1;
                      if(T_cal>2) T_cal=0;
                      T_base(0,40);
                      analysis_time = 0;plot_time =0;time_buf = 0;  
                      }
                    if((x&15) == 4 && (show_screen==0))
                      {
                      witch_spectrum=!witch_spectrum;  
                      }
                    }
                if(selected ==1)
                    {
                    if((x&15)==4) {contrast=min(++contrast,160);u8g2.setContrast(contrast);EEPROM.write(1,contrast);}
                    if((x&15)==2) {contrast=max(--contrast,140);u8g2.setContrast(contrast);EEPROM.write(1,contrast);}
                    }
                if(selected ==2)
                    {
                    if(((x&15)==4)) {brightness=min(++brightness,16);analogWrite(bright,min(16*(brightness),255));EEPROM.write(2,brightness);put_hex_entier(16*brightness/2.56,228,125);}
                    if(((x&15)==2)) {brightness=max(--brightness,1);analogWrite(bright,16*(brightness));EEPROM.write(2,brightness);put_hex_entier(16*brightness/2.56,228,125);}
                    }
                if(selected ==3)
                    {
                    if((x&15)==4) {put_text("triangle/0",207,120);windowing=1;}
                    if((x&15)==2) {put_text("rectangl/0",207,120);windowing=0;}
                    }
                if(selected ==5)
                    {
                    if((x&15)==4) {phase=phase+1;phase=min(phase,20);EEPROM.write(3,phase);}
                    if((x&15)==2) {phase=phase-1;phase=max(phase,0);EEPROM.write(3,phase);}
                    }
                if((x==4) && (selected ==6))
                    {


                    }
                if((x==4) && (selected ==8))
                    {
                    digitalWrite(range,0);
                    Serial.begin(9600);
                    screenshot();
                    Serial.end();
                    i_sensor_range();
                    }
                if((x==4) && (selected ==9))
                    {
                    digitalWrite(range,0);
                    put_image(1);
                    put_text("MAINS ANALYZER V1.4/0",30,30);
                    put_text("www.muselec.fr/0",48,20);
                    put_text("Vincent Thiernesse/0",32,10);
                    refresh();
                    changing=1;
                    while((analogRead(A7)+128)>>8);
                    i_sensor_range();
                    }
                if((x==2) && (selected ==9))
                    {
                    digitalWrite(range,0);
                    put_image(0);
                    put_text_vert("MAINS ANALYZER V1.4/0",169,158);
                    put_text_vert("www.muselec.fr/0",181,138);
                    put_text_vert("Vincent THIERNESSE/0",193,154);
                    refresh();
                    changing=1;
                    while((analogRead(A7)+128)>>8);
                    i_sensor_range();
                    }
                }
            x=(x&15)*16;                // storing the old value of the joystick

//            put_hex_entier(i,195,20);   // just to get a idea of data refreshing rate...



            /**** RUN/STOP routine ****/
            if(digitalRead(RUN_STOP))
                  {
                  digitalWrite(range,0);
                  put_text("  STOP /0",207,36);
                  while(digitalRead(14));
                  select(selected,0);selected=8;select(selected,2);
                  refresh();
                  while(!digitalRead(14))
                      {
                      x=x+((analogRead(A7)+128)>>8);
                      if((x==4) && (selected ==8))
                          {
                          Serial.begin(9600);
                          screenshot();
                          Serial.end();
                          }
                      x=(x&15)*16;    
                      }
                  while(digitalRead(14));
                  put_text("  RUN /0",209,36);
                  i_sensor_range();
                  }
            refresh();
 

           
             }
}
